# Generated by Makefile. Do not edit.

commit e76fa5e078b80a3d76a0eb57861dcd659ce30bad
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Apr 16 01:48:58 2013 -0700

    Add Alan to maintainers

 MAINTAINERS |    5 +++++
 seed.doap   |    9 ++++++++-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 3e3a98162f9fd3d3359d64dfd20ce5a9cbeccb1e
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Apr 16 01:00:03 2013 -0700

    Post-release version bump

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d2d46cb16232a9c9744c7cf67dd496e62bd9adb
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Apr 16 00:59:24 2013 -0700

    Seed 3.8

 NEWS         |    4 ++++
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit e03106d8d3ae328186d35eb41bb47048d7dadd31
Author: Alan Knowles <alan@akbkhome.com>
Date:   Sun Mar 31 22:45:52 2013 +0800

    Adding ondemand for reference -
    
    Standard seed loads all properties into the namespace when you reference it, this patch file changes the behaviour so a fake namespace object
    is created, then when you request properties, the objects are created (eg. ctors/classes/enums etc..)
    
    The net effect of this is a shared memory reduction of around 20M when using a few key namespaces (eg. Gtk ... etc..)
    
    Still not close to gjs memory but a small improvement..

 ondemand.namespace.diff |  697 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 697 insertions(+)

commit d4c63f31cb0d310754df21e4150a838604ac07ba
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Feb 6 14:49:10 2013 +0000

    support signals with annotated types
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695857

 libseed/seed-closure.c |   16 ++++++++++++---
 libseed/seed-closure.h |    8 ++++++++
 libseed/seed-signals.c |   26 +++++++++++++++++++++---
 libseed/seed-types.c   |   51 +++++++++++++++++++++++++++++++++++++++++++++---
 libseed/seed-types.h   |    4 ++++
 5 files changed, 96 insertions(+), 9 deletions(-)

commit c4ee2c531c577622b61d4bb4b8908d186f69be83
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Mar 29 20:59:45 2013 +0800

    seed_prepare_global_context: don't include Seed.js if not needed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696547

 libseed/seed-engine.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 29462f933d6068fa45281fbc0b47719ef4983c30
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.com>
Date:   Thu Mar 14 17:38:09 2013 -0300

    Remove duplicated code, call function instead
    
    seed_closure_invoke was a copy of seed_closure_invoke_with_context
    with just 2 additional statements before and 1 after the same
    code. This is bad because fixes need to be applied to both, a great
    oportunity for code reuse.

 libseed/seed-closure.c |   16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)

commit 919efb474ed04853b9aff6622148a9be0ddc9a68
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.com>
Date:   Thu Mar 14 17:27:08 2013 -0300

    Append user data to the new arguments array, not the source one
    
    This code was previously adding a new item to the passed in array
    instead of appending it to the newly created array, causing a buffer
    overflow that sometimes ends in stack corruption and a crash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695876

 libseed/seed-closure.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit afdf68ea8bc6a039e2d5d9fe047f4953f58f8a3b
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Feb 27 07:48:36 2013 +0800

    part fix to bug #694458 - first step to getting make check working - passes most tests, just need to add fix module lookup path

 libseed/seed-signals.c               |    2 ++
 tests/javascript/Makefile.am         |    3 +++
 tests/javascript/gtypes/Makefile.am  |    4 ++++
 tests/javascript/signals/Makefile.am |    4 ++++
 tests/javascript/structs/Makefile.am |    3 +++
 5 files changed, 16 insertions(+)

commit 2d56f604a04a784c7948aef586f7926acdd64e95
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Feb 11 16:10:03 2013 +0000

    implement hashtables conversion between js and gi values
    
    Based on initial patch from Gustavo Noronha <gns@gnome.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=618454

 libseed/seed-types.c |  145 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 145 insertions(+)

commit ebe57fe1fdcff23e1d3f272da39ed49f0e074418
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 29 13:10:09 2013 +0100

    add seed_importer_add_search_path()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692794

 libseed/seed-importer.c |   22 ++++++++++++++++++++++
 libseed/seed.h          |    2 +-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit a8d295ef526b8ffe67c4418ecf2c360b61572c58
Author: Alexandre Mazari <amazari@igalia.com>
Date:   Tue Aug 30 14:41:10 2011 +0200

    Add a GLib namespace extension providing comodities for conversion from/to GVariant.
    
    Add Variant.toJSON and Object.toVariant method.
    Uses json-glib parsing facilities if present, fallbacks to javascript code
    imported from Gjs otherwise.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657699

 extensions/GLib.js               |  282 ++++++++++++++++++++++++++++++++++++++
 extensions/Makefile.am           |    2 +-
 tests/javascript/glib-variant.js |   66 +++++++++
 3 files changed, 349 insertions(+), 1 deletion(-)

commit 7847cbfb332a29d04237df02611515cc6b8710fa
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Jan 28 12:47:54 2013 +0000

    seed_init_with_context: reuse existing context group
    
    When initializing seed with an existing context, reuse its context group rather
    than creating a new one. Contexts always exist inside a context group.
    
    Seed creates a temporary context when importing modules (from GObject
    introspection or otherwise) and passes variables between the contexts. Contexts
    must be in the same context group, otherwise the behaviour is undefined.
    
    This fixes a crash when creating a new GObject from the javascript code.

 libseed/seed-engine.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9632daec1ad6c5f52ca44d09591bf59034a9f7b2
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Jan 25 16:53:56 2013 +0000

    SeedEngine: add missing pthread_key_create
    
    libseed has 6 different init functions; some of them are calling
    pthread_key_create() correctly, but some don't. This patch factorizes the call
    to pthread_key_create() so it is correctly called whatever the init function
    used.
    
    The bug was found when testing seed_init_with_context_and_group(). Symptoms:
    when creating a GObject, memory corruption and segfault in
    thread_memory_swap_magazines().

 libseed/seed-engine.c |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit e9781ebb4c29636b5373500a2e4443e96b12dc2a
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Feb 6 15:30:39 2013 +0800

    fix binding GStrv to javascript value
    
    libseed crashes when converting a GStrv to a javascript value. It happens when
    the javascript code connects to the "g-properties-changed" GLib signal on
    GDBusProxy objects.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693217

 libseed/seed-types.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f1c31e475e5b782edca239023eaf0d64ddc37fc
Author: Alan Knowles <alan@roojs.com>
Date:   Fri Aug 10 18:55:52 2012 +0800

    add backtrace stack to the exception string

 libseed/seed-exceptions.c |   27 +++++++++++++++++++++++++--
 libseed/seed-exceptions.h |    1 +
 2 files changed, 26 insertions(+), 2 deletions(-)

commit 2076440c15be157ae8a6b16d4e11cce9d92f46b9
Author: Alan Knowles <alan@roojs.com>
Date:   Fri Aug 10 12:16:50 2012 +0800

    check if object is abstract before construction - thanks to Ryan Lortie

 libseed/seed-engine.c |   14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit dd6811ccc95b456c5ff42e1ba8508386fdfdba91
Author: Eric Le Bihan <eric.le.bihan.dev@free.fr>
Date:   Thu Jul 12 18:35:14 2012 +0200

    Added support for uint8 array as return type

 libseed/seed-engine.c |   23 +++++++++++++++++------
 libseed/seed-types.c  |    2 +-
 2 files changed, 18 insertions(+), 7 deletions(-)

commit 5628064de12cdfd00eecbfe2860a8dc16f67f8d9
Author: Alan Knowles <alan@akbkhome.com>
Date:   Thu May 17 23:06:40 2012 +0800

    major memory reductions by garbage collecting at end of closure (example was timeout loops) - it might be worth exposing this somehow so  user space so it can be called manually...

 libseed/seed-closure.c |    3 +++
 1 file changed, 3 insertions(+)

commit cc85c963b0c7571612956f497970670bd6001bc4
Author: Alan Knowles <alan@akbkhome.com>
Date:   Thu May 17 22:52:45 2012 +0800

    remove unused variables / compiler warnings

 libseed/seed-closure.c |    5 -----
 1 file changed, 5 deletions(-)

commit 0db29c68a1e52bee7763fdb212f2591bfb9c125e
Author: Alan Knowles <alan@akbkhome.com>
Date:   Thu May 17 19:09:05 2012 +0800

    creating a JSRef to find the length value appears to cause segfaults - replacing with simpler code.. -

 libseed/seed-engine.c |   27 +++++++++++++++++++++------
 1 file changed, 21 insertions(+), 6 deletions(-)

commit 1993cf2b458041d78fd44a4ec0bac72d103ee5c6
Author: Alan Knowles <alan@akbkhome.com>
Date:   Thu May 17 00:55:24 2012 +0800

    fix ref code for iface_info broken by refactoring

 libseed/seed-engine.c |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 0cd15d095eac8b62bbafa3f8379a954b52d52cbc
Author: Alan Knowles <alan@akbkhome.com>
Date:   Thu May 17 00:44:07 2012 +0800

    initialize and free jchar in binary string, Im still not sure this is the correct way to do string creation, need to run some tests to ensure it really works

 libseed/seed-types.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c2f0ce8819b652b2e0e68a6b56d6d2a02525bbd5
Author: Alan Knowles <alan@akbkhome.com>
Date:   Thu May 17 00:39:36 2012 +0800

     refactor main call code, remove quite a few redundant ifdefs, keep track of caller allocations so they can be freed on failure

 libseed/seed-engine.c |  302 +++++++++++++++++++++++++------------------------
 1 file changed, 156 insertions(+), 146 deletions(-)

commit 2a90188b7465e3d22c89cf4d882b699daa7f15d2
Author: Alan Knowles <alan@roojs.com>
Date:   Sun May 13 22:30:43 2012 +0800

    free binary strings always, this is a bit risky, as it assumes that when we see an array of c uints and its used as a binary string, we should always free it... - Im not sure if it should really check transfer settings.. - but this will crash badly if it is not right...

 libseed/seed-types.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit b136ca762daa8dd3500c735cda39d3d31c4d4c19
Author: Alan Knowles <alan@roojs.com>
Date:   Sun May 13 11:34:51 2012 +0800

    finally get the code right to handle array length offset information

 libseed/seed-engine.c |   31 +++++++++++++++++++++++++++----
 libseed/seed-types.c  |   26 ++++++++++++--------------
 libseed/seed-types.h  |    2 +-
 3 files changed, 40 insertions(+), 19 deletions(-)

commit 1e537cdba82557298cf074fc00cd6eab7b4c8098
Author: Alan Knowles <alan@roojs.com>
Date:   Sat May 12 18:20:01 2012 +0800

    rename with_length to _full, since relay of calling for enums sent the wrong data, and got the wrong result..

 libseed/seed-engine.c |    8 +++++---
 libseed/seed-types.c  |   23 ++++++++++++++---------
 libseed/seed-types.h  |    5 +++--
 3 files changed, 22 insertions(+), 14 deletions(-)

commit d4319e6bca21966c9b5caf758cb38941f1a7500d
Author: Alan Knowles <alan@roojs.com>
Date:   Sat May 12 18:03:47 2012 +0800

    enum types are not all long any more, we need to check the type and recurse to return the right type..

 libseed/seed-types.c |   39 +++++++++++++++++++++++++++++++--------
 1 file changed, 31 insertions(+), 8 deletions(-)

commit 1e627f78a58b06b629ac1718212fa3f3f50fd338
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri May 11 08:00:44 2012 +0800

    tidy up of binary string support, should now solve quite a few of the short string issues with NULL chars in

 libseed/seed-types.c |   98 ++++++++++++++++++++++++++++----------------------
 1 file changed, 55 insertions(+), 43 deletions(-)

commit 47e939b716deb6ec6774c05fc3bd7d00812bc336
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri May 11 00:16:16 2012 +0800

    Very hacky support for <array length="x" zero-teminated="0" c:type="gchar**"><type name="..."/>, used by GLib.file_get_contents in latest girs

 libseed/seed-engine.c |   26 +++++++++++++++++++---
 libseed/seed-types.c  |   57 +++++++++++++++++++++++++++++++++++++++++++++++--
 libseed/seed-types.h  |    5 +++++
 3 files changed, 83 insertions(+), 5 deletions(-)

commit 18008514b4763d4941db6af37056f8a1e5fdfa20
Author: Alan Knowles <alan@roojs.com>
Date:   Sat Jan 28 23:28:05 2012 +0800

    xorg module - libxss check has bad error message

 configure.ac |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 730b0e62854204175dd248e7ae61306348d4d882
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Nov 30 22:52:49 2011 +0800

    xorg module - close display after using it

 modules/xorg/seed-xorg.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 67484737433bcf5263194d84ae3f0c2526cccc3d
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Nov 30 22:17:57 2011 +0800

    Add an xorg extension (experimental) - at present only has one function to get the screen idle time...

 configure.ac             |   31 ++++++++++++++++++
 modules/Makefile.am      |    2 +-
 modules/xorg/Makefile.am |   29 +++++++++++++++++
 modules/xorg/seed-xorg.c |   79 ++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 140 insertions(+), 1 deletion(-)

commit 3219a9691653127330d364cda7833454dc6cb7b9
Author: Alan Knowles <alan@akbkhome.com>
Date:   Tue Nov 29 17:02:26 2011 +0800

    fix #653077 - fix for webkit 1.0 configure (Dominique Leuenberger)

 configure.ac |    6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit b254df57d964317c37ebdeab5f875c8de8d4adf9
Author: Sunil Mohan Adapa <sunil@medhas.org>
Date:   Tue Nov 8 15:48:08 2011 +0530

    Fix #637248 - Add support for implicitly converting GObject to GValue

 libseed/seed-types.c                |   10 +++++++++-
 tests/javascript/gvalue-argument.js |    4 +++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 89cac4a4d27b7a1be462b80bc44fe84c82f06869
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Nov 9 09:26:10 2011 +0800

    fix #663609 - documentation on seed_value_* now matches actual return values

 libseed/seed-types.c |  110 +++++++++++++++++---------------------------------
 1 file changed, 37 insertions(+), 73 deletions(-)

commit 2717feb7db0e8516deb3fbe32c8e4204f9722887
Author: Alan Knowles <alan@akbkhome.com>
Date:   Thu Nov 3 15:17:05 2011 +0800

    fix #663289 - gtype signal parsing not resetting param count

 libseed/seed-gtype.c                               |    6 ++++-
 tests/javascript/gtypes/Makefile.am                |    2 ++
 .../gtypes/gtype-signal-order-bug663289.js         |   25 ++++++++++++++++++++
 3 files changed, 32 insertions(+), 1 deletion(-)

commit 6d38e2b5601f8097e3a99da647b46d2048ce160d
Author: Alan Knowles <alan@akbkhome.com>
Date:   Mon Oct 3 15:10:08 2011 +0800

    fix most of #660644 - except function-info.js (my gdb is broken)

 tests/javascript/Makefile.am                  |    2 -
 tests/javascript/everything.js                |   71 -------------------------
 tests/javascript/function-info.js             |    4 +-
 tests/javascript/gdk-event.js                 |   11 ++--
 tests/javascript/gvalue-argument.js           |    9 ++--
 tests/javascript/introspect.js                |    4 +-
 tests/javascript/native-closure-exception.js  |    2 +-
 tests/javascript/object-info.js               |   12 ++---
 tests/javascript/structs/struct-enumerate.js  |   13 ++---
 tests/javascript/structs/struct-nested-set.js |   15 +++---
 10 files changed, 36 insertions(+), 107 deletions(-)

commit 5a9cd3d9ab1fd5e24478ba63d593866542b49927
Author: Alan Knowles <alan@akbkhome.com>
Date:   Mon Oct 3 15:02:00 2011 +0800

    allow [ GObject.GTYPE_INT, 10 ] syntax to work again for not-null elements

 libseed/seed-engine.c |   25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit 1ec48efc03df9368a59f501dfd1de9c9b15f016c
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Sep 23 14:08:06 2011 +0800

    fix #659548 - stop CFLAGS getting unconditionally overwritten

 configure.ac |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f382387b9b56d72adbc6888f924e3838a1a94668
Author: Funda Wang <fundawang@gmail.com>
Date:   Fri Sep 23 13:58:33 2011 +0800

    fix #659910 - fix linkage against libgio - broken by webkit going...

 configure.ac        |    3 +++
 libseed/Makefile.am |    1 +
 2 files changed, 4 insertions(+)

commit 09fe24d64c6fe4259884fa9f72bb2bc58a21290a
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Sep 21 21:36:25 2011 -0700

    Postrelease version bump.

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 004746bf04ae72924c233377869c7e639ac8deee
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Sep 21 21:31:16 2011 -0700

    Bump version to 3.2.0

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5645ccc8f3fff91797a4e8cd2cc732c92b45b9d7
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Sep 21 21:30:22 2011 -0700

    Let gtkdoc do its thing

 doc/reference/tmpl/seed-exception.sgml      |    2 +-
 doc/reference/tmpl/seed-typeconversion.sgml |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 920e8754f72d2626a6c2ced995aaf5a2f01839b2
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Sep 21 21:29:59 2011 -0700

    Remove missing file from tests/javascript/gtypes/Makefile.am

 tests/javascript/gtypes/Makefile.am |    1 -
 1 file changed, 1 deletion(-)

commit f2cb32103467e0d3c1ded57997656e5e69f69399
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Sep 9 15:37:04 2011 +0100

    Make maintiner mode enabled by default
    
    See http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ae79c21436f036f36ab7ebfe1b5466ae741f00d
Author: Alexandre Mazari <amazari@igalia.com>
Date:   Wed Aug 31 12:49:01 2011 +0200

    Fix #657833 - Import GLib namespace when searchPath is initialized. GLib might have extension present in the searchPath. Also makes extension loading exceptions bubble up to the javascript context.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657833

 extensions/Seed.js.in   |   73 +++++++++++++++++++++++------------------------
 libseed/seed-importer.c |    2 +-
 2 files changed, 37 insertions(+), 38 deletions(-)

commit eedae3e24b470b28951b9d303b65b94ad9613209
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Aug 31 17:32:10 2011 +0800

    Revert "Introduce facilities for client DBus using GDbus: methods generation, signals and properties binding."
    
    Wait until we have API fixed.
    
    This reverts commit 9f4589a7f8eb24f755fd2931499a1d2a3346911c.

 extensions/Gio.js |  181 +----------------------------------------------------
 1 file changed, 3 insertions(+), 178 deletions(-)

commit b0be7270b4029bc4001d7a819ffb9c318666670f
Author: Sunil Mohan Adapa <sunil@medhas.org>
Date:   Fri Aug 26 19:08:44 2011 +0530

    Fix #6574441 -  incorrect comparision in gtype testcase

 tests/javascript/gtypes/gtype.js |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc3c00ee0b18d6fd13ee8d9766d53e443e57bf6c
Author: Alexandre Mazari <amazari@igalia.com>
Date:   Wed Aug 31 16:51:57 2011 +0800

    https://bugzilla.gnome.org/show_bug.cgi?id=657647

 libseed/seed-types.c |   38 ++++++++++++++++++++++++++++++++++++++
 libseed/seed-types.h |    3 ++-
 2 files changed, 40 insertions(+), 1 deletion(-)

commit 9f4589a7f8eb24f755fd2931499a1d2a3346911c
Author: Alexandre Mazari <amazari@igalia.com>
Date:   Tue Aug 30 14:46:21 2011 +0200

    Introduce facilities for client DBus using GDbus: methods generation, signals and properties binding.
    /!\ This is not compatible with the existing native dbus module.
    See documentation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657702

 extensions/Gio.js |  181 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 178 insertions(+), 3 deletions(-)

commit 0aa53b6d9667ab2fc8cb0e6242564e8851ef66d6
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   Wed Aug 31 11:54:42 2011 +0800

    Fixes : bug#657228 - Make callbacks work with WebkFrame's Js Context (Revised)

 libseed/seed-closure.c |    6 ++++--
 libseed/seed-closure.h |    1 +
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 142625d27d522dcc9a4c2b52948cef48fa56c59c
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Aug 31 09:57:45 2011 +0800

    Revert "Fixes : bug#657228 - Make callbacks work with WebkFrame's Js Context"
    
    The patched caused serious segfaults. on fetching context  JSContextGetGroup(privates->ctx)
    
    I did try protecting ctx before putting it in the struct, but that did not appear to help.
    
    This reverts commit b41c16b814f1c08228be08ecfa2dec0917d1696b.

 libseed/seed-closure.c |    6 ++----
 libseed/seed-closure.h |    1 -
 2 files changed, 2 insertions(+), 5 deletions(-)

commit b41c16b814f1c08228be08ecfa2dec0917d1696b
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   Wed Aug 24 16:49:56 2011 +0530

    Fixes : bug#657228 - Make callbacks work with WebkFrame's Js Context

 libseed/seed-closure.c |    6 ++++--
 libseed/seed-closure.h |    1 +
 2 files changed, 5 insertions(+), 2 deletions(-)

commit e5cd8a0e34de7ee60c7da00c23edf37cf53016d7
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Aug 24 16:31:25 2011 +0800

    partial fix for #615199 - gets rid of segfault, and at least it calls back sometimes.
    
    Basically removes the new context from the closure callback

 modules/dbus/module.c |   22 ++++++++++------------
 1 file changed, 10 insertions(+), 12 deletions(-)

commit 9805441749f447b7b46f6b314531542d3b4453aa
Author: Alexandre Mazari <amazari@igalia.com>
Date:   Thu Aug 11 18:06:27 2011 +0200

    fix #656517 - Do not add search path entry for non-existing directory.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656517

 libseed/seed-importer.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 58415e71d8e767570428354c06dbbf9affedd5fa
Author: Alexandre Mazari <scaroo@gmail.com>
Date:   Sat Mar 5 11:46:43 2011 +0100

    Switch to LGPL2+ (See bug #643938 for details of approval by all major contributors)
    
    Import the LGPL2+ licence in the COPYING file
    Modify the source files headers to permit redistribution under
    LGPL2+ distribution.

 COPYING                                        |  637 ++++++++++++++++++------
 libseed/seed-api.c                             |    2 +-
 libseed/seed-builtins.c                        |    2 +-
 libseed/seed-builtins.h                        |    2 +-
 libseed/seed-closure.c                         |    2 +-
 libseed/seed-closure.h                         |    2 +-
 libseed/seed-debug.h                           |    2 +-
 libseed/seed-engine.c                          |    2 +-
 libseed/seed-engine.h                          |    2 +-
 libseed/seed-exceptions.c                      |    2 +-
 libseed/seed-exceptions.h                      |    2 +-
 libseed/seed-gtype.c                           |    2 +-
 libseed/seed-gtype.h                           |    2 +-
 libseed/seed-importer.c                        |    2 +-
 libseed/seed-importer.h                        |    2 +-
 libseed/seed-module.h                          |    2 +-
 libseed/seed-private.h                         |    2 +-
 libseed/seed-signals.c                         |    2 +-
 libseed/seed-signals.h                         |    2 +-
 libseed/seed-structs.c                         |    2 +-
 libseed/seed-structs.h                         |    2 +-
 libseed/seed-types.c                           |    2 +-
 libseed/seed-types.h                           |    2 +-
 libseed/seed.h                                 |    2 +-
 modules/DynamicObject/seed-DynamicObject.c     |    2 +-
 modules/cairo/seed-cairo-enums.c               |    2 +-
 modules/cairo/seed-cairo-image-surface.c       |    2 +-
 modules/cairo/seed-cairo-matrix.c              |    2 +-
 modules/cairo/seed-cairo-pattern.c             |    2 +-
 modules/cairo/seed-cairo-pdf-surface.c         |    2 +-
 modules/cairo/seed-cairo-surface.c             |    2 +-
 modules/cairo/seed-cairo.c                     |    2 +-
 modules/canvas/seed-canvas.c                   |    2 +-
 modules/dbus/dbus-exports.c                    |    2 +-
 modules/dbus/dbus-values.c                     |    2 +-
 modules/dbus/module.c                          |    2 +-
 modules/example/seed-example.c                 |    2 +-
 modules/ffi/seed-ffi.c                         |    2 +-
 modules/gettext/seed-gettext.c                 |    2 +-
 modules/gtkbuilder/seed-gtkbuilder.c           |    2 +-
 modules/libxml/seed-libxml.c                   |    2 +-
 modules/mpfr/seed-mpfr-arithmetic.c            |    2 +-
 modules/mpfr/seed-mpfr-cmp.c                   |    2 +-
 modules/mpfr/seed-mpfr-trig.c                  |    2 +-
 modules/mpfr/seed-mpfr.c                       |    2 +-
 modules/multiprocessing/seed-multiprocessing.c |    2 +-
 modules/os/seed-os.c                           |    2 +-
 modules/readline/seed-readline.c               |    2 +-
 modules/sandbox/seed-sandbox.c                 |    2 +-
 modules/sqlite/seed-sqlite.c                   |    2 +-
 src/args.c                                     |    2 +-
 src/main.c                                     |    2 +-
 tests/c/api-closure.c                          |    2 +-
 tests/c/api-js-signal-from-c.c                 |    2 +-
 tests/c/api-types.c                            |    2 +-
 tests/c/basic.c                                |    2 +-
 tests/c/main.c                                 |    2 +-
 57 files changed, 533 insertions(+), 216 deletions(-)

commit a84576e42dbceb102f5cb7fa5b9e3ebce8d7a9c9
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Fri Aug 12 21:27:20 2011 +0200

    More fixes for bgo#653077: Also correctly identify javascriptcoregtk-1.0

 configure.ac |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 1dae3adaa27f1cbef976ace0584c71217e594c7a
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Aug 12 13:58:56 2011 +0800

    since GParamSpec is not exposed, we can not call param_spec_* methods any more, so Gtype object contruction has to be done via properties in the ctor.

 tests/javascript/gtypes/Makefile.am                |    1 -
 .../javascript/gtypes/gtype-property-construct.js  |   22 +++++++-------
 tests/javascript/gtypes/gtype-property.js          |   30 --------------------
 3 files changed, 11 insertions(+), 42 deletions(-)

commit debb39ead5b86f774eb9488af8dd20e80d10ecf3
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   Tue Aug 9 22:17:21 2011 +0530

    Fixes : bug#656227 - Seed doesn't support GPtrArray as return type

 libseed/seed-types.c |   35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit 937d32206c93a2024bd4d6c2ff045d5310bfbda5
Author: Alan Knowles <alan@akbkhome.com>
Date:   Tue Aug 9 12:53:07 2011 +0800

    More fixes for  #653077 - javascriptcoregtk build needs to be linked against libraries, rather than expecting it via webkit any more

 modules/cairo/Makefile.am      |    4 +++-
 modules/canvas/Makefile.am     |    1 +
 modules/gtkbuilder/Makefile.am |    1 +
 3 files changed, 5 insertions(+), 1 deletion(-)

commit db641cd31d82aff79a16080f65f7c7562aaadde6
Author: Alan Knowles <alan@akbkhome.com>
Date:   Mon Aug 8 18:05:48 2011 +0800

    more fixes for  #653077 - xml build without webkit, also includes fix for  #652771 - removing paramspec reference

 libseed/seed-gtype.c       |    6 ++++--
 modules/libxml/Makefile.am |    1 +
 2 files changed, 5 insertions(+), 2 deletions(-)

commit dd591f267d0a726ee69216542d67d04202fbfd6b
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   Thu Aug 4 09:19:14 2011 +0530

    Adds support for handling GUNIT32

 libseed/seed-types.c |   17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 7509ce76f8295134a276654a92841fc899e35b25
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Jul 20 23:53:53 2011 +0800

    substitute SEED_GTK_VERSION - fixes build...

 configure.ac |    2 ++
 1 file changed, 2 insertions(+)

commit 91ab326855490e1173696d95e153fcdf7e8105e9
Author: Alan Knowles <alan@akkbhome.com>
Date:   Sun Jul 3 23:01:12 2011 +0800

    fix #653077 - change build to support javascriptcoregtk change

 configure.ac |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit ff9eca41b42f3b6c2cc312dd996f78b67bf5be35
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue May 17 12:55:53 2011 -0400

    postrelease version bump

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 872cc1404b55fa3673bfd8a5fd995f7561292369
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue May 17 12:52:38 2011 -0400

    actually add config.h.in to .gitignore

 .gitignore |    1 +
 1 file changed, 1 insertion(+)

commit db859ed93cf642393b41bd432cbd6cbc2e44a331
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue May 17 12:51:56 2011 -0400

    Version bump

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a1df2a43ca17dd567ec8e0690ab91688e3969b8
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue May 17 12:50:27 2011 -0400

    Update news for 3.1.1

 NEWS |   12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 8a6a84b1b9a5449d6239fbcbb15c3f4a6349f950
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue May 17 12:45:48 2011 -0400

    We only require libutil.h for FreeBSD, apparently

 doc/reference/tmpl/seed-context.sgml |   28 ++++++++++++++--------------
 doc/reference/tmpl/seed-eval.sgml    |    2 +-
 doc/reference/tmpl/seed-jsclass.sgml |    2 +-
 doc/reference/tmpl/seed-object.sgml  |    8 ++++----
 modules/os/seed-os.c                 |    4 +---
 5 files changed, 21 insertions(+), 23 deletions(-)

commit c1d6b3ad19520ee05d04e7094b700d94ac69b4df
Author: Michael Terry <michael.terry@canonical.com>
Date:   Tue May 17 12:34:17 2011 -0400

    Add DBUSGLIB_CFLAGS and DBUSGLIB_LDFLAGS to dbus module's Makefile.am to fix build failure

 modules/dbus/Makefile.am |    2 ++
 1 file changed, 2 insertions(+)

commit 424ad8504a03c393439283873316d413a9edd2ec
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue May 17 00:47:37 2011 -0400

    Remove config.h.in from git (recently .gitignored)

 config.h.in |   92 -----------------------------------------------------------
 1 file changed, 92 deletions(-)

commit 920b1d82a2282fdfea3a0d0358a51d3b23facc47
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue May 17 00:46:42 2011 -0400

    Only include libutil.h on FreeBSD (util.h on OpenBSD, nothing on Linux)

 modules/os/seed-os.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 081707c35a0f90aae0651c7a079729a6031bc4e6
Author: Alan Knowles <alan@akbkhome.com>
Date:   Mon May 16 17:52:55 2011 +0800

    add config.h.in to git ignore

 .gitignore |    1 +
 1 file changed, 1 insertion(+)

commit 6a9e7fa16c23b697ebeccd0aec53a70dc0a3533c
Author: Matej Cepl <mcepl@redhat.com>
Date:   Mon May 16 17:49:00 2011 +0800

    fix #650121 - typo in sqlite documentation

 doc/modules/sqlite/sqlite.xml |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03c808137331be912e9adde997dd2830cf2e5593
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Mon May 16 17:38:37 2011 +0800

    fix #650234 -m Add FreeBSD/OpenBSD support to os/seed-os.c

 modules/os/seed-os.c |   41 +++++++++++++++++++++++++++++++++++++++--
 1 file changed, 39 insertions(+), 2 deletions(-)

commit 18861a32f2a251c323c21e172ad39fd91fc80e3f
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Mon May 16 17:36:33 2011 +0800

    fix #650233 Fix importing scripts on *BSD

 libseed/seed-importer.c |   18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 7afc3b2138e559bfc65c056153141c2ccc747ac4
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Mon May 16 17:32:02 2011 +0800

    fix #650232 -  Missing includes cause build to fail on OpenBSD

 libseed/seed-closure.c |    1 +
 libseed/seed-private.h |    4 +++-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit d55b446cc031e1de483c92b5d22d59312ed4e234
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   Fri Apr 22 01:49:29 2011 -0500

    Fix build-time errors with recent dash as sh
    
    dash and FreeBSD sh's "test" builtins do not support the == operator,
    leading to confusion at configure time:
    
      checking for GTHREAD... yes
      ./configure: 13717: test: xyes: unexpected operator
      ./configure: 14011: test: xyes: unexpected operator
    [...]
      checking pty.h usability... yes
    
    and errors at compile time:
    
      make[3]: Entering directory `/home/jrn/src/seed/modules/canvas'
        CC     libseed_canvas_la-seed-canvas.lo
      seed-canvas.c:21:19: fatal error: cairo.h: No such file or directory
      compilation terminated.
    
    Use the more portable = instead.
    
    Probably this was not noticed before because until recently dash
    lacked support for $LINENO, leading autoconf to fall back on bash.
    
    Reported-by: Lucas Nussbaum <lucas@lucas-nussbaum.net>
    Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>

 configure.ac |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit df358cc51df5ab155b1496e21a9da8d6ae401ed3
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Apr 22 15:38:21 2011 +0800

    fix tests for GI_TYPE_TAG_* that where removed in 0.9 GI

 libseed/seed-closure.c |    8 ++------
 libseed/seed-types.c   |   12 +++---------
 2 files changed, 5 insertions(+), 15 deletions(-)

commit e04b84f579f02f607656c65799e80483b537f8c0
Author: Craig Keogh <cskeogh@adam.com.au>
Date:   Sun Apr 17 20:12:56 2011 +0800

    fix #64009 - honor ACLOCAL_FLAGS to help jhbuild out

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9cfd171875515aba2d43b90d8b260a0dd678fa1
Author: Alan Knowles <alan@akbkhome.com>
Date:   Sat Apr 16 13:31:28 2011 +0800

    fix types which have been removed in new versions

 libseed/seed-types.c |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 42d87d2df6e91da9526aa1adb2cba671abc3f51f
Author: Alan Knowles <alan@akbkhome.com>
Date:   Sat Apr 16 13:23:10 2011 +0800

    fix types which have been removed in new versions

 libseed/seed-closure.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 5d14a17e2998135b5ac50fcb2a2a60f325729ab9
Author: Alan Knowles <alan@akbkhome.com>
Date:   Sat Apr 16 12:03:55 2011 +0800

    fix autoconf stripping square brackets in introspection versioning code

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f7469671f507835973df0e89e1b19c5b8eec7ba2
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Apr 1 22:51:26 2011 -0400

    Update news for 3.0

 NEWS         |   10 ++++++++++
 configure.ac |    2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 1bd4ec7b96f1b19e94fdd5b2b4e0df03aa2c0666
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 24 10:21:48 2011 -0700

    Expose seed_value_(to|from)_gi_argument

 libseed/seed-closure.c  |    4 ++--
 libseed/seed-engine.c   |   10 +++++-----
 libseed/seed-importer.c |    2 +-
 libseed/seed-structs.c  |   10 +++++-----
 libseed/seed-types.c    |   24 ++++++++++++------------
 libseed/seed-types.h    |   17 +++++++++--------
 libseed/seed.h          |   10 ++++++++++
 7 files changed, 44 insertions(+), 33 deletions(-)

commit a655d0136520b156088327284c5a0377476008e7
Author: Garrett Regier <alias301@gmail.com>
Date:   Thu Mar 24 10:19:59 2011 -0700

    Expose seed_value_to_gvalue

 libseed/seed-engine.c  |    6 +++---
 libseed/seed-gtype.c   |    2 +-
 libseed/seed-signals.c |   10 +++++-----
 libseed/seed-structs.c |    2 +-
 libseed/seed-types.c   |   24 ++++++++++++------------
 libseed/seed-types.h   |    7 ++++---
 libseed/seed.h         |    4 ++++
 7 files changed, 30 insertions(+), 25 deletions(-)

commit 513244a8b19692f3b41638964586dc60694333c7
Author: José Aliste <jaliste@src.gnome.org>
Date:   Mon Mar 28 11:39:20 2011 -0400

    Make seed.h C++ friendly.

 libseed/seed.h |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 31de08a8b76b7f277defe23b5ab5a371500e4c4a
Author: Alexandre Mazari <amazari@igalia.com>
Date:   Wed Mar 23 18:34:54 2011 +0100

    Allow the creation of a restricted/constrained SeedEngine and add APIs to expose choosen GObject namspaces and instance into this engine
    
    The Javascript context of a restricted SeedEngine is empty by default.
    The importer module, builtins and GType overriding facilities aren't
    exposed to JS Code.
    The developer must expose *explicitely* the objects and namespaces
    that should be accessible from the Javascript context.
    
    Add hight-level API to expose GObject instance and namespace in the JS context
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645696

 libseed/seed-engine.c   |  165 +++++++++++++++++++++++++++++++++++++++++++----
 libseed/seed-importer.c |   13 ++--
 libseed/seed-importer.h |    2 +
 libseed/seed.h          |    9 +++
 4 files changed, 171 insertions(+), 18 deletions(-)

commit 74bc83ed18f609340a06307f7be3b9d47a357398
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Mar 13 19:25:15 2011 +0000

    Take Gtk version into account in the prefix path
    
    https://bugzilla.gnome.org/show_bug.cgi?id=644663

 libseed/seed-path.h.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce54fb5de39fb47996f663cec50a5eec1d564150
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Feb 22 17:56:22 2011 -0500

    Postrelease increment

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c99ced2c6935055b7166e15aa3cc4915aea4ee1d
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Feb 22 17:51:04 2011 -0500

    Ready 2.91.90

 NEWS         |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit f7b765ecefd2b8ff5748c4c2757f4594c2c26ed7
Author: Frederic Crozat <fred@crozat.net>
Date:   Thu Feb 17 07:26:32 2011 +0100

    Fix build when using gtk3
    
    Check gtk version used :
    some modules are hardcoding gtk2 / gdk2 in their configure.ac part.
    Fixes #641264

 configure.ac |   12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit f74599d7db79b61615b0cd26e5f3e2e1863b8857
Author: Frederic Crozat <fcrozat@novell.com>
Date:   Wed Feb 2 17:18:02 2011 +0100

    Change soname and install directory when building gtk3 version
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639896

 configure.ac                        |    2 ++
 extensions/Makefile.am              |    6 +++---
 libseed/Makefile.am                 |   12 ++++++------
 modules/DynamicObject/Makefile.am   |    2 +-
 modules/cairo/Makefile.am           |    4 ++--
 modules/canvas/Makefile.am          |    4 ++--
 modules/dbus/Makefile.am            |    6 +++---
 modules/example/Makefile.am         |    4 ++--
 modules/ffi/Makefile.am             |    4 ++--
 modules/gettext/Makefile.am         |    4 ++--
 modules/gtkbuilder/Makefile.am      |    4 ++--
 modules/libxml/Makefile.am          |    6 +++---
 modules/mpfr/Makefile.am            |    4 ++--
 modules/multiprocessing/Makefile.am |    4 ++--
 modules/os/Makefile.am              |    4 ++--
 modules/readline/Makefile.am        |    4 ++--
 modules/sandbox/Makefile.am         |    4 ++--
 modules/sqlite/Makefile.am          |    4 ++--
 seed.pc.in                          |    4 ++--
 src/Makefile.am                     |    2 +-
 tests/c/Makefile.am                 |    2 +-
 21 files changed, 46 insertions(+), 44 deletions(-)

commit 9aa7ca97a9e4d5f30c0d7f3a6fe05b2b407124dc
Author: Frederic Crozat <fred@crozat.net>
Date:   Mon Feb 7 21:46:26 2011 +0100

    Fix #641265 - remove gdk drawable
    
    Port code to be compilable with GTK+3.

 modules/cairo/seed-cairo.c |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 5b748f5814dc9d8d91b33d86e14930c187c8cc1c
Author: Alan Knowles <alan@akkbhome.com>
Date:   Thu Dec 9 21:07:50 2010 +0800

    Fix #636678 - Mx Toolkit - Mx.Table not properly displayed
    
    overlay methods of object after interface methods so they override the properties

 libseed/seed-engine.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d34283ef6728f483af9b65b1c48d2d3569f33edd
Author: JJ L <poiquiop@gmail.com>
Date:   Tue Dec 7 21:44:53 2010 +0800

    bug #636647 - remove depreciated g_main_interation

 modules/dbus/util/dbus.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f78441320ca04c11183273b009bc2a1804222b5
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Nov 6 22:22:22 2010 -0400

    Fix documentation typo

 doc/reference/tmpl/seed-context.sgml  |   30 +++++++++++++++---------------
 tests/javascript/gtypes/testsuite.js  |   33 ++++++++++++++++++++++++++++++++-
 tests/javascript/signals/testsuite.js |   33 ++++++++++++++++++++++++++++++++-
 tests/javascript/structs/testsuite.js |   33 ++++++++++++++++++++++++++++++++-
 4 files changed, 111 insertions(+), 18 deletions(-)

commit 2deaab0e96436e8b597825dc8a86a0a12937c44e
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Nov 6 09:37:04 2010 -0400

    docs: Remove incredibly outdated "building on OS X" documentation

 doc/reference/Makefile.am                   |    2 +-
 doc/reference/building-osx.sgml             |   43 ---------------------------
 doc/reference/seed-docs.sgml                |    1 -
 doc/reference/tmpl/seed-closure.sgml        |    3 ++
 doc/reference/tmpl/seed-context.sgml        |    3 ++
 doc/reference/tmpl/seed-eval.sgml           |    3 ++
 doc/reference/tmpl/seed-exception.sgml      |    3 ++
 doc/reference/tmpl/seed-jsclass.sgml        |    3 ++
 doc/reference/tmpl/seed-main.sgml           |    3 ++
 doc/reference/tmpl/seed-modules.sgml        |    3 ++
 doc/reference/tmpl/seed-nativefuncs.sgml    |    3 ++
 doc/reference/tmpl/seed-nativetypes.sgml    |    3 ++
 doc/reference/tmpl/seed-object.sgml         |    5 +++-
 doc/reference/tmpl/seed-signals.sgml        |    3 ++
 doc/reference/tmpl/seed-typeconversion.sgml |    3 ++
 15 files changed, 38 insertions(+), 46 deletions(-)

commit a228b4e86372d45f03ecd98aec0f9dcec0d5945b
Author: Alan Knowles <alan@akkbhome.com>
Date:   Wed Sep 22 08:01:45 2010 +0800

    Fix Bug #623558 - DSO linking against libgthread
    
    It appears a few projects don't like implicit DSO linking...

 configure.ac    |    3 +++
 src/Makefile.am |    3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 81baf4c61ea2bcdcfa0b0c7659306444e387f013
Author: Alan Knowles <alan@akkbhome.com>
Date:   Wed Sep 22 07:21:39 2010 +0800

    Fix Bug #630258 - default option for --with-webkit was invalid
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630258

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6361f9fc6c6a7eed53399e0eda72402517ec9496
Author: Chris Mayo <aklhfex@gmail.com>
Date:   Fri Sep 10 07:30:04 2010 +0800

    Bug 629216 - seed doesn't use docdir for documentation
    
    Use docdir rather than hardcoded datadir subdirectory

 Makefile.am                             |    6 ++----
 config.h.in                             |    3 +++
 doc/Makefile.am                         |    1 -
 doc/mapping/Makefile.am                 |    2 +-
 doc/modules/Makefile.am                 |    7 ++-----
 doc/modules/canvas/Makefile.am          |    2 +-
 doc/modules/gtkbuilder/Makefile.am      |    4 +---
 doc/modules/multiprocessing/Makefile.am |    2 +-
 doc/modules/readline/Makefile.am        |    2 +-
 doc/modules/sandbox/Makefile.am         |    4 +---
 doc/modules/sqlite/Makefile.am          |    2 +-
 doc/tutorial-standalone/Makefile.am     |    2 +-
 12 files changed, 15 insertions(+), 22 deletions(-)

commit c7476c4eea23549968dcf591774160c14437bdf8
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 30 18:27:55 2010 -0400

    Postrelease version bump

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4798f474e0eecc0ec5bd2fea64bc8e2c8e64e85
Author: Tim Horton <hortont@gnome.org>
Date:   Mon Aug 30 18:21:21 2010 -0400

    Update readme for webkit build changes

 README |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d5ec90d0c29b05ae17e7c02565d4df3faeb850e
Author: Tim Horton <hortont@gnome.org>
Date:   Mon Aug 30 18:19:31 2010 -0400

    Update version number.

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c47937a3d6a150ad6d5c0482b0a3110c3da44a21
Author: Tim Horton <hortont@gnome.org>
Date:   Mon Aug 30 18:19:06 2010 -0400

    Update news for release

 NEWS |   15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 73198a47b80dcd04631fde9e733639dadf9ef04e
Author: Tim Horton <hortont@gnome.org>
Date:   Mon Aug 30 17:56:00 2010 -0400

    --with-webkit=3.0/1.0 instead of gtk-3.0/1.0, since the gtk distinction is meaningless (all of them are webkit-gtk, the name just changed)

 configure.ac |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e540d7fbc2eb95ed5ae92b3ed47b601dcdad4615
Author: Funda Wang <fundawang@gmail.com>
Date:   Mon Aug 9 11:32:06 2010 +0800

    Bug #626177 - Wrong LDFLAGS was used in libseed/Makefile.am
    
    GOBJECT_INTROSPECTION_LIBS and WEBKIT_LIBS are acturally linking libs,
    rather than linker flags, they should be put into LIBADD, rather than LDFLAGS.
    
    See here:
    http://wiki.mandriva.com/en/Underlinking
    
    Futhermore, seed-types are calling dlerror() and dlsym(), but I could not find
    -ldl in Makefile.

 libseed/Makefile.am                 |    6 ++++--
 modules/cairo/Makefile.am           |    5 ++++-
 modules/canvas/Makefile.am          |    5 ++++-
 modules/dbus/Makefile.am            |    7 +++++--
 modules/example/Makefile.am         |    5 ++++-
 modules/ffi/Makefile.am             |    5 ++++-
 modules/gettext/Makefile.am         |    5 ++++-
 modules/gtkbuilder/Makefile.am      |    5 ++++-
 modules/libxml/Makefile.am          |    5 ++++-
 modules/mpfr/Makefile.am            |    7 ++++---
 modules/multiprocessing/Makefile.am |    5 ++++-
 modules/os/Makefile.am              |    5 ++++-
 modules/readline/Makefile.am        |    7 +++++--
 modules/sandbox/Makefile.am         |    5 ++++-
 modules/sqlite/Makefile.am          |    6 +++++-
 15 files changed, 63 insertions(+), 20 deletions(-)

commit 051a51167d573dce1c5e28289a0ab3d81681a912
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Aug 9 11:26:45 2010 +0800

    Do not fail to detect libwebkitgtk-1.0
    
    The library name got changed from libwebkit-1.0 to libwebkitgtk-1.0, so
    we should support both.

 configure.ac |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f0a4e7be5ea6bdc5f991e806c972bca0d47791fc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Aug 7 01:59:41 2010 +0200

    Reference the right pkg-config for webkit in seed.pc
    
    We need to make sure we reference webkit-1.0 if we build seed against
    webkit-1.0.

 configure.ac |    6 ++++--
 seed.pc.in   |    2 +-
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 9c98a38779f47aa7eb7a82db9ea45b20c0b16056
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Jul 16 20:46:16 2010 +0200

    Fix seed_object_copy_property_names ().
    
    Due to a typo, it only returned up to n-1 chars for each property names,
    where n is the amount of properties the object has, making it unusable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=624562

 libseed/seed-api.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a2ba35cd632a3ae15e7c320222fea7b02c79a84d
Author: Steve Frécinaux <code@istique.net>
Date:   Fri Jul 16 20:29:44 2010 +0200

    Expose seed_value_from_gvalue().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=624560

 libseed/seed.h |    3 +++
 1 file changed, 3 insertions(+)

commit 1c70da1a5c2684d71d5cd7c5ad97076f7d7c25eb
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Jul 16 12:01:07 2010 +0800

    bump g-i-r dependancy down to 0.6.3
    
    As we have #ifdefs for new code we can support older versions (which are currently being included in distros..)

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad9fcdcfa4db7b178d02389af48a59c087bc69a8
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Jul 16 11:53:10 2010 +0800

    caller_allocates - only enabled on newer versions of g-i-r
    
    add #ifdefs around caller allocates code to make sure it works with older versions of g-i-r

 libseed/seed-engine.c |   23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

commit e77116f169645e3b950a84790d072d86009d99ca
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Jul 16 11:51:09 2010 +0800

    format change for intropsection version - now - GOBJECT_INTROSPECTION_VERSION = 0x000904
    
    This enables fine tune checking for versions

 configure.ac           |    8 ++++----
 libseed/Makefile.am    |    3 +--
 libseed/seed-closure.c |    4 ++--
 libseed/seed-types.c   |    6 +++---
 4 files changed, 10 insertions(+), 11 deletions(-)

commit 65c532e13bf59aa8844a3d81d41197d7c897af5e
Author: Alan Knowles <alan@akbkhome.com>
Date:   Wed Jul 14 12:06:01 2010 +0800

    Typo - fix configure option --with-webkit
    
    used to say --with-seed-webkit on --help

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 72a9504225312f6c0999f7507af32938a4c25bdd
Author: Alan Knowles <alan@akbkhome.com>
Date:   Tue Jul 13 18:41:09 2010 +0800

    caller_allocates support (FIXME - call failure leaks the allocated memory)
    
    This implements the caller_allocates OUT values,
    
    Note there is no support to free the allocated memory if the call fails.

 libseed/seed-engine.c |  102 ++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 97 insertions(+), 5 deletions(-)

commit d31acaad673eecd97e3f70720af81c9ef34ab4cd
Author: Jonatan Liljedahl <lijon@kymatica.com>
Date:   Tue Jul 13 15:58:32 2010 +0800

    Dynamic Object module - a module to expose internal object callback properties
    
    Usage:
    
        o = imports.DynamicObject.create({
            getProperty: function(name) {
                return some_value; // or null to forward to normal props
            },
            SetProperty: function(name, value) {
                do_something(name,value);
                return true; // or false to allow normal props to be set
            },
            deleteProperty: function(name) {
                return true; // or false to forward to normal property deletion
            },
            callAsFunction: function() {
                print("called with args: "+Array.prototype.slice.call(arguments));
            },
            callAsConstructor: function() {
                return {foo:123};
            },
            getPropertyNames: function(){} // not implemented yet...
        });
    
        o.foobar = 42;      // will call o.set_property('foobar',42)
        print(o.something); // will call o.get_property('something)

 configure.ac                               |   14 ++
 modules/DynamicObject/Makefile.am          |   25 ++++
 modules/DynamicObject/seed-DynamicObject.c |  205 ++++++++++++++++++++++++++++
 modules/Makefile.am                        |    2 +-
 4 files changed, 245 insertions(+), 1 deletion(-)

commit b9a71e10a2fa30cb45ad2fe7ecbcc7ece6e1c941
Author: Alan Knowles <alan@akbkhome.com>
Date:   Tue Jul 13 11:42:39 2010 +0800

    Support for gobject introspection pre-0.9
    
    Set's up defines for GOBJECT_INTROSPECTION_VERSION_MAJOR and GOBJECT_INTROSPECTION_VERSION_MINOR

 configure.ac           |    8 ++++++++
 libseed/Makefile.am    |    4 +++-
 libseed/seed-closure.c |   41 ++++++++++++++++++++++++++++++++++++++++-
 libseed/seed-types.c   |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 98 insertions(+), 2 deletions(-)

commit c8174c8ea9f184f45e810315bd1d41955f284277
Author: Alan Knowles <alan@akbkhome.com>
Date:   Mon Jul 12 16:38:12 2010 +0800

    Webkit-3.0 fix last commit
    
    Got the default name wrong on last commit.

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae2d2a618ead6dab7a298222382d2c8b273ed585
Author: Alan Knowles <alan@akbkhome.com>
Date:   Mon Jul 12 16:36:57 2010 +0800

    Enable build to work with Webkit-1.0  --with-webkit=1.0
    
    Defaults still builds with 3.0

 configure.ac |   26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

commit 243cdfa80a47a18b8e4dd6bd1547f722b477bbcb
Author: Tim Horton <hortont@gnome.org>
Date:   Sun Jul 11 23:13:15 2010 -0700

    Postrelease version bump

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3581c38b79403910afb0907ece3fb95286b69f05
Author: Tim Horton <hortont@gnome.org>
Date:   Sun Jul 11 23:03:34 2010 -0700

    Correct version (2.31.5)

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8bf3911b4cbc7bc472e57006c6d0e9a5731500e1
Author: Tim Horton <hortont@gnome.org>
Date:   Sun Jul 11 23:02:50 2010 -0700

    Update news

 NEWS |   14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 98ed3001015e37ad66982cc3e3fc8f0a999117a3
Author: Tim Horton <hortont@gnome.org>
Date:   Sun Jul 11 22:49:39 2010 -0700

    Update readme for WebKit changes.

 README |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4685dc7fe98f3af48a805d65cafcfb5be8de931
Author: Tim Horton <hortont@gnome.org>
Date:   Sun Jul 11 22:37:28 2010 -0700

    Remove check for JSContextGroupCreate now that we're 3.0+ only

 config.h.in  |    3 ---
 configure.ac |    6 ------
 2 files changed, 9 deletions(-)

commit 05b2755106c73ee4e431c6b12ed426ba7b749b07
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Thu Jul 1 11:00:05 2010 -0500

    Build with webkitgtk-3.0
    
    Bug #623302

 config.h.in  |    4 ++--
 configure.ac |    6 +++---
 seed.pc.in   |    2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 689e8018c87c65c77a1e5e96acb30dab91bd05e5
Author: Tim Horton <hortont@gnome.org>
Date:   Sun Jul 11 17:38:19 2010 -0700

    Fix build with latest GI, where machine-dependent type tags were removed.

 libseed/seed-closure.c |   36 ------------------------------------
 libseed/seed-types.c   |   37 +------------------------------------
 2 files changed, 1 insertion(+), 72 deletions(-)

commit b63973c61e75e59a9256a0c0a0cf90b0fad80afb
Author: Jonatan Liljedahl <lijon@kymatica.com>
Date:   Mon Jul 12 11:04:00 2010 +0800

    seed.h - SeedObjectDeletePropertyCallback fix callback arguments
    
    make seed's callback arguments for deleteProperty match Webkit
    no real need for value to be passed in delete callback
    
    Fixes arguments so they match the Webkit spec

 libseed/seed.h |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 97daccc00d1f2dda5ead4f1404baedf1c3e7d0ed
Author: Alan Knowles <alan@akbkhome.com>
Date:   Sun Jul 11 17:27:09 2010 +0800

    Caller Allocate fixes - bump required introspection version to 0.6.14
    
    See bug #615861 for discussion on gtk_status_icon_get_geometry data

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5bab9a93c01d2063ec0d70b28d09ddf2ad8747a5
Author: Alan Knowles <alan@akbkhome.com>
Date:   Mon Jul 5 13:55:12 2010 +0800

    Closure/Callbacks as return values - currently not handled, but prevents segfaults
    
    example : GLib.log_set_default_handler(f,null);
    Returns (f) the callback, our code does not currently handle this so we probably just return null

 libseed/seed-types.c |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit bbbc6f9d79d62fb0c220d155dec98a823830299c
Author: Jonatan Liljedahl <lijon@kymatica.com>
Date:   Mon Jul 5 13:15:47 2010 +0800

    Importer : prevent print(imports.somefile) running "somefile/toString.js
    
    also fixes toValue.js as well.

 libseed/seed-importer.c |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 98550799a4e8861d0d2c4ff8fc4e1aafd4909e0e
Author: Jonatan Liljedahl <lijon@kymatica.com>
Date:   Mon Jul 5 13:08:17 2010 +0800

    Seed.print - change to use g_print, rather than puts
    
    Changes Seed.print to use g_print, this enables set_print_handler to be used to redirect output.

 libseed/seed-builtins.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1441bf86f7fc02cc7717b88f88ae85ba175eb726
Author: Jonatan Liljedahl <lijon@kymatica.com>
Date:   Wed Jun 30 10:19:31 2010 +0800

    Sandbox: handle situation where __script_path__ was not set
    
    Fix to previous commit, handling situation where __script_path__ was not set in calling script

 modules/sandbox/seed-sandbox.c |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 5b169f4086f735a9921f4c049e66cf3d264dca38
Author: Jonatan Liljedahl <lijon@kymatica.com>
Date:   Wed Jun 30 10:08:17 2010 +0800

    Sandbox : set up __script_path__ in new context
    
    Sets the __script_path__ to be the same as the calling scripts path for new Contexts.

 modules/sandbox/seed-sandbox.c |    4 ++++
 1 file changed, 4 insertions(+)

commit dd8c459cd3ecc38c68d7d2f1cfdc038ce2a2ad4d
Author: Alan Knowles <alan@akkbhome.com>
Date:   Tue Jun 29 23:03:32 2010 +0800

    Fix Compiler warning
    
    Cast JSValueMakeNull on make_struct / make_union to JSObjectRef to remove compiler warnings.

 libseed/seed-structs.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d51f744c49a305717d66bc96962f83d89ba8c176
Author: Jonatan Liljedahl <j.r.liljedahl@gmail.com>
Date:   Tue Jun 29 22:52:48 2010 +0800

    Fix module loading, add support for Javascript wrappers for modules
    
    Fixes issue that modules references are free'd once they go out of scope, hence forcing reloading of module each time
    Add the feature that once a module is loaded, it also will attempt to load libseed_XXXXX.js from the same directory.
    This can be used to add features to the module

 libseed/seed-importer.c |   21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 6f4a8bd1178150df20ea071716086784094830c5
Author: Alan Knowles <alan@akbkhome.com>
Date:   Tue Jun 29 18:36:10 2010 +0800

    Revert "Allow access to global object of sandbox"
    
    This code was not needed, as context.global already existed
    
    This reverts commit a7d0f88b19e1142b9dafbe184bcb1d97a636dbf6.

 modules/sandbox/seed-sandbox.c |   20 --------------------
 1 file changed, 20 deletions(-)

commit edb3288b0c7359644342ab0f10cfa69c53f6b117
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Jun 18 19:06:15 2010 +0800

    Change the default search order of searchPath
    
    - First place looked is the same directory as __script_path__
    - Second is the initial __script_path__ of the application
    - Lastly, looks in all other locations. (eg. modules/ library paths etc.)
    * removes looking in current working directory (was previous behaviour)

 extensions/Seed.js.in |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5d41b2a81c8a6d99bd0aa02f89760022bfee2bed
Author: Jonatan Liljedahl <lijon@kymatica.com>
Date:   Fri Jun 18 18:57:44 2010 +0800

    Refactor import code, implement '.' in search path, is equivilant to __script_path__
    
    All importer codes works as follows
    - iterate through search_path
     - match file or directory eg. imports['file.js'] or imports.TheDirectoryName
     - match .js file eg. imports.filename -> filename.js
     - match module eg. imports.somelib -> libseed_somelib.so

 libseed/seed-importer.c |  216 ++++++++++++++++++-----------------------------
 1 file changed, 82 insertions(+), 134 deletions(-)

commit dbcaa116d1762d28d56cabdf27da750ea3c296b2
Author: Alan Knowles <alan@akbkhome.com>
Date:   Thu May 6 17:07:24 2010 +0800

    Better null warning message checking
    
    The original assumption that looking for a pointer where an interface was expected produced warnings for
    GValues - this makes a assumption that basic types (not objects) would be allowed where interfaces where
    expected.. - hopefully our casting code produces another warning if the types do not match.

 libseed/seed-engine.c |   16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 7e337de26b10a7670b7d438e9037884d4a216fac
Author: Alan Knowles <alan@akbkhome.com>
Date:   Tue May 4 12:56:42 2010 +0800

    struct - constructor set_property - show warning on failure
    
    rather than silently ignore failure, show a g_warning message

 libseed/seed-structs.c |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit d308d7d9421acf704fca98d90d0023e336451227
Author: Alan Knowles <alan@akbkhome.com>
Date:   Tue May 4 12:49:54 2010 +0800

    struct - set_property - show warning on failure
    
    rather than silently ignore failure, show a g_warning message

 libseed/seed-structs.c |    5 +++++
 1 file changed, 5 insertions(+)

commit 3791ecad4d0fb31a50077bd102a898544b6c0cfc
Author: Alan Knowles <alan@akbkhome.com>
Date:   Sun Apr 18 15:37:14 2010 +0800

    Add void* userdata support for gobjects
    
    gtk_menu_popup void* userdata when used with gtk_statusicon_position_menu
    expect the userdata to be a pointer to the status icon. This change checks void*
    arguments and if they are gobjects, sends them.

 libseed/seed-types.c |   22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit c67c8034d0cfd0f5c69b8f6fb726e9e24b502fc6
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Mar 29 00:12:00 2010 -0400

    Postrelease version bump.

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 076e20be56601bd470a8297f5226968757140727
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Mar 29 00:04:27 2010 -0400

    Update NEWS for 2.31.1

 NEWS         |   11 +++++++++++
 configure.ac |    2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit eb6b9c9eb55fc6e71872c459b7a8f2db5341e705
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Mar 28 23:33:55 2010 -0400

    Update NEWS for 2.30

 NEWS |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 45e262f545cb6be137eeb6632dd8605237d8f8f4
Author: Alexandre Mazari <scaroo@gmail.com>
Date:   Wed Mar 17 12:12:49 2010 +0800

    Add gtkdocs for Request #612590 - initialization using existing context
    
    gtkdoc comments for 2 new methods to initialize using existing context

 libseed/seed-engine.c |   33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

commit 0d89528065d18af2c17c29b79649819015bad3ab
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Mar 12 12:31:57 2010 +0800

    Nicer warning messages on our temporary warning about not_null check
    
    As we do not throw Exceptions currently, it is difficult to work out what caused a warning,
    This just adds the Container/Namespace of the method that caused the problem

 libseed/seed-engine.c |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 675adddd0711902892de9b4b9366f83cce939b4c
Author: Alexandre Mazari <scaroo@gmail.com>
Date:   Fri Mar 12 12:17:24 2010 +0800

    Feature Request #612590 - permit initialization using an existing JSGlobalContext
    
    Usage example:
    
    SeedEngine *eng;
    void window_object_cleared (WebKitWebView  *web_view,
                                WebKitWebFrame *frame,
                                gpointer        context,
                                gpointer        arg3,
                                gpointer        user_data) {
    	eng = seed_init_with_context(NULL, NULL, context);
    }
    ....
      g_signal_connect(G_OBJECT(web_view), "window-object-cleared",
          				G_CALLBACK(window_object_cleared), NULL);

 libseed/seed-engine.c |   56 +++++++++++++++++++++++++++++++++----------------
 libseed/seed.h        |    6 +++++-
 2 files changed, 43 insertions(+), 19 deletions(-)

commit 848d7b2d7b56477a3ef56e2c8a731b2f210e1f22
Author: Alan Knowles <alan@akkbhome.com>
Date:   Thu Mar 11 23:03:47 2010 +0800

    change callback release_in_arg to release_arg otherwise segfaults occur
    
        ClipboardTextReceivedFunc - char* text got freed before it was used.
        The logic in release_in_arg is inconsitant with what I think is being attempted here.

 libseed/seed-closure.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7d0f88b19e1142b9dafbe184bcb1d97a636dbf6
Author: Alan Knowles <alan@alanfast.akbkhome.com>
Date:   Thu Mar 11 15:09:19 2010 +0800

    Allow access to global object of sandbox
    
    x = new imports.sandbox.Context();
    x.add_globals();
    x.get_global_object().a = "hello world";
    x.eval("Seed.print(a);");
    
    Very usefull to implement a Console...

 modules/sandbox/seed-sandbox.c |   20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit c652bb73c3e28cfdfb8494bbdde5d90a927bc5f8
Author: Alan Knowles <alan@alanfast.akbkhome.com>
Date:   Tue Mar 9 17:15:36 2010 +0800

    Use fully qualified paths when sending to Evaluate script, so error messages are clearer
    
    If you have two files called Abc.js in two different directories, the error message for syntax error (and others)
    does not distinguish between them. The fix is to send the fully qualified path to the method.

 libseed/seed-importer.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c46218b7459d0f47b9ae5043c38e8f797c1a293
Author: Alan Knowles <alan@alanfast.akbkhome.com>
Date:   Mon Mar 1 17:06:01 2010 +0800

    Change null into a warning for the time being, due to gir's need to catch up
    
    Introspection tells us which arguments can be null, however the gir's for most packages have not been
    updated to show this (Gtk had a big patchfest last week to add this, but it will not be reflected on end users
    desktop gir's for a while) - until then we issue g_warnings.

 libseed/seed-engine.c |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit ad29012e1a4fee2692077ef44fde42acca6194f8
Author: alan <alan@alanfast.akbkhome.com>
Date:   Fri Feb 26 17:20:42 2010 +0800

    More null checks - arguments that are structs/unions need the pointer checking to see if they are null
    
    This may need moving upwards into make_argument, but that would mean the error messages would be less useful.

 libseed/seed-engine.c |   29 ++++++++++++++++++++++-------
 1 file changed, 22 insertions(+), 7 deletions(-)

commit 6b260de005921f125b45b62ccb4b8f5860b3befd
Author: alan <alan@alanfast.akbkhome.com>
Date:   Wed Feb 24 13:42:16 2010 +0800

    More detail on introspection of functions
    
    Adds name, direction and allow_none

 libseed/seed-builtins.c |   24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit 587a0d3fe2f84797a57c39df0f041d0d649a4039
Author: root <alan@akbkhome.com>
Date:   Wed Feb 24 13:32:54 2010 +0800

    Change Gtype conversion to use long
    
    After reading the commit history - one of the notes mentioned that Gtypes should be long..

 libseed/seed-types.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52839cb9e8993c1cfa90286f2526cb1db845d3e1
Author: alan <alan@alanfast.akbkhome.com>
Date:   Wed Feb 24 13:07:39 2010 +0800

    Fix Bug #609508 - Support Out args as return object if possible
    
    Fixes issues with in/out arguments
    Better debug message (names the argument)
    For calls that have 'out' arguments
    a) If return is VOID - the return is an object, with properties set to the out values
    b) If the first out argument is an object, then all the out values are set as properties on that.
    c) still supports out_argument.value setting (previous way of doing this)

 libseed/seed-engine.c |   95 ++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 78 insertions(+), 17 deletions(-)

commit d7897d2dc8a590302b8b0c14c813b573b86e6d98
Author: alan <alan@alanfast.akbkhome.com>
Date:   Wed Feb 24 12:54:45 2010 +0800

    White space fix
    
    White space fix

 libseed/seed-engine.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75c51fbc6b021bcb1225bdb25eca4ca284f75a39
Author: alan <alan@alanfast.akbkhome.com>
Date:   Wed Feb 24 12:49:58 2010 +0800

    Fix Bug #610786 - support for GError types in seed_gi_argument_make_js
    
    Used by gst_message_parse_error() - turns gerror into non-thrown exception

 libseed/seed-types.c |    6 ++++++
 1 file changed, 6 insertions(+)

commit d8749191461e427d3b68360781af8b157752d73d
Author: alan <alan@alanfast.akbkhome.com>
Date:   Wed Feb 24 12:31:30 2010 +0800

    Fix Bug# 610765 - test g_arg_info_may_be_null before accepting null
    
    Correct behaviour is to read gir hints on null for arguments - otherwise segfaults happen...
    This does however break a few function calls, that have got broken gir notes,
    eg. gtk_drag_source_set gtk_drag_dest_set and gst_bus_add_watch

 libseed/seed-engine.c |   19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 6a62d673c077c08726a9eb9c1b106ce900dfdc66
Author: alan <alan@alanfast.akbkhome.com>
Date:   Wed Feb 24 11:35:00 2010 +0800

    Fix Bug #610793 - support for array of GTypes
    
    used by g_type_get_interfaces - which returns an array of Gtypes

 libseed/seed-types.c |   15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit ad8db911265bbd356882344ed046c3830d200199
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Feb 22 20:59:47 2010 -0500

    Post-release version increment.

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b6dc6bb35c999747fb15ffe7782c3ff5f49ef13
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Feb 22 20:58:52 2010 -0500

    2.29.91.1 release (oops!)

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb55efd88b03fd51510232e505233c309a16146e
Author: Alan Knowles <alan@akbkhome.com>
Date:   Sun Feb 21 11:32:35 2010 +0800

    Fix Bug #610533 - Support void* pointers
    
    Gio.outputstream.write() uses void* pointers to write generic data.

 libseed/seed-types.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 79492a4c30600fd9c86bd345d7828d6e0354217f
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Feb 18 18:19:19 2010 -0500

    Ignore m4 dir (which we don't need in Git)

 .gitignore |    1 +
 1 file changed, 1 insertion(+)

commit 478c02751e32b327feeb5b52a5069e2c049446aa
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Feb 18 18:19:04 2010 -0500

    Fix missing signal test

 tests/javascript/signals/signal-invalid.js |   11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 9ff411c674f47b3464777993db4ca6976b94234c
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Feb 17 17:04:54 2010 -0500

    seed-signals: allow notify:: signals
    
    g_signal_query/g_signal_lookup don't recognize notify::x signal names,
    they do recognize notify signal of course. Take this into account and
    enable connecting to notify::x signals like shown by documentation.
    Also add a SeedException when signal name is not valid instead of just
    returning NULL.
    
    Bug #610311

 libseed/seed-signals.c |   16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit a042207f17caa1d3d5926d11e29cffbb85346cf8
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Feb 17 16:56:43 2010 -0500

    m4 dir is not needed at all
    
    Bug #610314

 configure.ac      |    2 -
 m4/intltool.m4    |  216 --
 m4/libtool.m4     | 7376 -----------------------------------------------------
 m4/ltoptions.m4   |  368 ---
 m4/ltsugar.m4     |  123 -
 m4/ltversion.m4   |   23 -
 m4/lt~obsolete.m4 |   92 -
 m4/shave.m4       |  102 -
 8 files changed, 8302 deletions(-)

commit 3bab763addf2c37454f0c8c349a806b7e2c55d64
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Feb 8 18:46:49 2010 -0500

    Post-release version increment

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bfebe34bf15e6e17ea8c32eb78002b39fac3f2d1
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Feb 8 18:44:23 2010 -0500

    NEWS for 2.29.90

 NEWS         |    9 +++++++++
 configure.ac |    2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit e29a3aca80d3e7d1095a093e2778ce6433aa9b0e
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Feb 5 21:10:58 2010 -0500

    imports['somedir/somefile.js'] works now
    
    Closes BGO#607987

 libseed/seed-importer.c |   18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit dbf7423f196043966b90fa4aad6dc50f51647bf5
Author: Alan Knowles <alan@akbkhome.com>
Date:   Fri Feb 5 20:57:24 2010 -0500

    Fix handling of GValue structs; fixes segfault
    
    Fixes gtk_tree_model_get_value calls eventually segfaulting
    Fixes BGO#608015

 libseed/seed-engine.c  |   11 ++++++++---
 libseed/seed-structs.c |   24 ++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 3 deletions(-)

commit 9a7d0b8d303909a0073bd1ca0009416554470754
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:   Tue Feb 2 23:22:40 2010 +0000

    Fix subtle crashed when a dbus reply has no message content.
    
    In the DBus spec, its perfectly valid to send empty reply messages, even
    if a method call message has been set 'no_reply'. In this case, the dbus
    module was invoking a closure with uninitialised data, causing all sorts
    of interesting behaviour.
    
    This patch fixes this by not invoking the
    closure when a reply is empty.

 modules/dbus/module.c |   15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 227f3df192bd6df029f3779a26e35e9a4a343a9b
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Jan 25 18:10:35 2010 -0500

    Post-release version bump.

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c9a7f4f7bd2fbc7b380e2718d2375c1a346959a
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jan 22 16:25:38 2010 -0500

    Update manpage and --help output with -e, etc.

 doc/seed.1 |    9 ++++++++-
 src/args.c |    2 +-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit f7c089d060eb030a6af4dcaa370e5c6c649db5ef
Author: Matt Arsenault <arsenm2@rpi.edu>
Date:   Sun Jan 17 01:46:34 2010 -0500

    Add -e option to repl.

 src/args.c |    6 +++++-
 src/main.c |   50 +++++++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 48 insertions(+), 8 deletions(-)

commit aec73be07dc64cf77de23ff637f1d568d21299b2
Author: Matt Arsenault <arsenm2@rpi.edu>
Date:   Wed Jan 6 14:11:54 2010 -0500

    Minor mpfr style change

 modules/mpfr/seed-mpfr-arithmetic.c |   66 ++++++++++++++--------------
 modules/mpfr/seed-mpfr-cmp.c        |   30 ++++++-------
 modules/mpfr/seed-mpfr-trig.c       |   82 +++++++++++++++++------------------
 modules/mpfr/seed-mpfr.c            |   70 +++++++++++++++---------------
 4 files changed, 124 insertions(+), 124 deletions(-)

commit 32997f9ee3d2f407125b4d6f1ee4015a750e71f4
Author: Matt Arsenault <arsenm2@rpi.edu>
Date:   Wed Jan 6 14:03:33 2010 -0500

    Change copyright header of mpfr module
    
    I wrote this useless part, not Robb, and it's 2010.

 modules/mpfr/seed-mpfr-arithmetic.c |    2 +-
 modules/mpfr/seed-mpfr-cmp.c        |    2 +-
 modules/mpfr/seed-mpfr-trig.c       |    2 +-
 modules/mpfr/seed-mpfr.c            |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 59ff5495fb88023a3bcf615cc2e9499b54caec7b
Author: Matt Arsenault <arsenm2@rpi.edu>
Date:   Wed Jan 6 12:34:59 2010 -0500

    Add printerr

 libseed/seed-builtins.c |   33 +++++++++++++++++++++++++++++++++
 libseed/seed-builtins.h |    1 +
 libseed/seed-engine.c   |   10 ++++++----
 3 files changed, 40 insertions(+), 4 deletions(-)

commit 46d543e06a32ce4c2ec9dbecbf4eac7c0df28570
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 16 05:03:19 2010 -0500

    The manpage had completely incorrect command line arguments (triple dashes?!)

 doc/seed.1 |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5efce55da01646afdf1c46edefa27d62f04292da
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jan 14 23:36:17 2010 -0500

    libseed: Properly bubble exceptions raised during class init
    
    Before, we were simply catching the exception, printing it, and continuing
    on happily. This completely defeats the point of exceptions. Now, we pop
    the exception into the class's qdata (a little ugly) and bubble it up and
    clear it the first time we encounter it (when the class is created, the
    first time it's instantiated).

 libseed/seed-engine.c                                 |   15 +++++++++++++++
 libseed/seed-gtype.c                                  |   11 ++++-------
 tests/javascript/gtypes/gtype-class-init-exception.js |    9 +--------
 3 files changed, 20 insertions(+), 15 deletions(-)

commit f23eef37bae31dc8c39678f5282a089cdafba21a
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jan 14 20:37:02 2010 -0500

    Revert "tests: make check should test against version in build tree, not installed"
    
    This seems to make some things angry, and it doesn't totally make sense
    (if build tree is elsewhere, or one uses 'clean', or whatever)
    
    This reverts commit 018aaa4edbc49f1b1db1ea54417388f857ee3f12.

 tests/javascript/argv.js                              |    4 ++--
 tests/javascript/array-gtype.js                       |    2 +-
 tests/javascript/builtin-argument-length.js           |    2 +-
 tests/javascript/check-syntax.js                      |    2 +-
 tests/javascript/closure-finalization.js              |    2 +-
 tests/javascript/compare.js                           |    2 +-
 tests/javascript/constructor-args.js                  |    2 +-
 tests/javascript/constructor-prototype.js             |    2 +-
 tests/javascript/enum.js                              |    2 +-
 tests/javascript/everything.js                        |    2 +-
 tests/javascript/fork.js                              |    2 +-
 tests/javascript/function-info.js                     |    2 +-
 tests/javascript/gdk-event.js                         |    2 +-
 tests/javascript/gerror.js                            |    2 +-
 tests/javascript/gobject-scope.js                     |    2 +-
 tests/javascript/gtypes/gtype-class-init-exception.js |    2 +-
 tests/javascript/gtypes/gtype-extraprop.js            |    2 +-
 tests/javascript/gtypes/gtype-gtype-class-init.js     |    2 +-
 tests/javascript/gtypes/gtype-gtype.js                |    2 +-
 tests/javascript/gtypes/gtype-property-construct.js   |    2 +-
 tests/javascript/gtypes/gtype-property-nice.js        |    2 +-
 tests/javascript/gtypes/gtype-property.js             |    2 +-
 tests/javascript/gtypes/gtype-self.js                 |    2 +-
 tests/javascript/gtypes/gtype-signal-args.js          |    2 +-
 tests/javascript/gtypes/gtype-signal.js               |    2 +-
 tests/javascript/gtypes/gtype-typerror.js             |    2 +-
 tests/javascript/gtypes/gtype.js                      |    2 +-
 tests/javascript/gvalue-argument.js                   |    2 +-
 tests/javascript/include-syntax.js                    |    2 +-
 tests/javascript/include.js                           |    2 +-
 tests/javascript/introspect.js                        |    2 +-
 tests/javascript/json-constructor.js                  |    2 +-
 tests/javascript/json.js                              |    2 +-
 tests/javascript/list-test.js                         |    2 +-
 tests/javascript/modules-noasserts.js                 |    2 +-
 tests/javascript/modules.js                           |    4 ++--
 tests/javascript/native-closure-exception.js          |    2 +-
 tests/javascript/native-closure.js                    |    2 +-
 tests/javascript/object-info.js                       |    2 +-
 tests/javascript/out-test.js                          |    2 +-
 tests/javascript/property-benchmark.js                |    2 +-
 tests/javascript/property-glib-exception.js           |    2 +-
 tests/javascript/quit.js                              |    2 +-
 tests/javascript/signals/signal-connect.js            |    2 +-
 tests/javascript/signals/signal-disconnect.js         |    2 +-
 tests/javascript/signals/signal-exception.js          |    2 +-
 tests/javascript/signals/signal-expects.js            |    2 +-
 tests/javascript/signals/signal-invalid.js            |    2 +-
 tests/javascript/signals/signal-nofunc.js             |    2 +-
 tests/javascript/signals/signal-userdata.js           |    2 +-
 tests/javascript/signals/signal.js                    |    2 +-
 tests/javascript/sqlite.js                            |    2 +-
 tests/javascript/structs/struct-constructor.js        |    2 +-
 tests/javascript/structs/struct-enumerate.js          |    2 +-
 tests/javascript/structs/struct-functions.js          |    2 +-
 tests/javascript/structs/struct-nested-set.js         |    2 +-
 tests/javascript/structs/struct-null.js               |    2 +-
 tests/javascript/structs/struct-offsets.js            |    2 +-
 tests/javascript/structs/struct-set-member.js         |    2 +-
 tests/javascript/structs/struct-union-enumerate.js    |    2 +-
 tests/javascript/syntax-test.js                       |    2 +-
 tests/javascript/type-conversion.js                   |    2 +-
 62 files changed, 64 insertions(+), 64 deletions(-)

commit 1300996938d77f8ea7e6739b4d912b7f79274831
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Jan 12 01:35:35 2010 -0500

    libseed: Fix passing a union out to a C function
    
    The parent class of seed_union was set to seed_union (undefined at that point);
    I believe it should be seed_pointer, just like seed_struct

 libseed/seed-structs.c |    8 +++++++-
 libseed/seed-structs.h |    1 +
 libseed/seed-types.c   |    9 ++++++---
 3 files changed, 14 insertions(+), 4 deletions(-)

commit 4191e15dc1ad76dcbdcab987d9a164a8c95aaaba
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Jan 11 17:27:44 2010 -0500

    Postrelease increment

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e53256d65a8b53d5edb19cac1a838f06baccc91a
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Jan 11 17:24:33 2010 -0500

    Add 2.29.5.3 NEWS, and fix 2009->2010 problems

 NEWS |   13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 707c97582d337de732d404ad6575712827f9f636
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Jan 11 17:15:26 2010 -0500

    tests: add test for null struct return values

 tests/javascript/structs/Makefile.am    |    2 ++
 tests/javascript/structs/struct-null.js |   14 ++++++++++++++
 2 files changed, 16 insertions(+)

commit 22c6df348844cb1e56bf9389fb1cdd51865b1a46
Author: Ryan Brown <r@nodr.org>
Date:   Sun Jan 10 21:46:09 2010 -0600

    Allow null struct return values

 libseed/seed-structs.c |    6 ++++++
 1 file changed, 6 insertions(+)

commit c5bc24848ce30ba79b463b1440d12ad330fb8ea0
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jan 8 19:12:58 2010 -0500

    Revert "Fix incorrect type assumption"
    
    We'll have to revisit this; it breaks things on Linux, and is all mired
    in my lack of understanding
    
    This reverts commit 07db8b4966ca85a256137d32eeca2a634f473825.

 libseed/seed-types.c |   42 +-----------------------------------------
 1 file changed, 1 insertion(+), 41 deletions(-)

commit 38ef8720434aff3447a442c31549d46d72e330e8
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jan 7 20:40:05 2010 -0500

    modules: Use NULL instead of 0 to ensure type safety

 modules/cairo/seed-cairo.c                     |    6 +-
 modules/canvas/seed-canvas.c                   |    4 +-
 modules/dbus/module.c                          |   16 +++---
 modules/ffi/seed-ffi.c                         |    2 +-
 modules/gettext/seed-gettext.c                 |    2 +-
 modules/libxml/seed-libxml.c                   |   72 ++++++++++++------------
 modules/mpfr/seed-mpfr.c                       |    4 +-
 modules/multiprocessing/seed-multiprocessing.c |    2 +-
 modules/os/seed-os.c                           |    2 +-
 modules/readline/seed-readline.c               |    2 +-
 modules/sandbox/seed-sandbox.c                 |    2 +-
 modules/sqlite/seed-sqlite.c                   |    2 +-
 12 files changed, 57 insertions(+), 59 deletions(-)

commit 98394c7c42068eec85e52f0166a9e054978ef1fb
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jan 7 19:17:09 2010 -0500

    Add null sentinels to the end of seed_static_function and seed_static_value
    arrays in all modules; fixes BGO #592585

 modules/gettext/seed-gettext.c                 |    3 ++-
 modules/libxml/seed-libxml.c                   |    3 ++-
 modules/multiprocessing/seed-multiprocessing.c |    3 ++-
 modules/os/seed-os.c                           |    3 ++-
 modules/readline/seed-readline.c               |    3 ++-
 modules/sqlite/seed-sqlite.c                   |    6 ++----
 6 files changed, 12 insertions(+), 9 deletions(-)

commit 71603e62d177324f8c3db281229be45919846385
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jan 7 19:11:30 2010 -0500

    Post-release increment.

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17e5509b4c5c0abfec77a0eb880d4b9932311eae
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jan 7 19:08:51 2010 -0500

    Release 2.29.5.2

 NEWS         |   17 +++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit 018aaa4edbc49f1b1db1ea54417388f857ee3f12
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jan 6 04:06:59 2010 -0500

    tests: make check should test against version in build tree, not installed

 tests/javascript/argv.js                              |    4 ++--
 tests/javascript/array-gtype.js                       |    2 +-
 tests/javascript/builtin-argument-length.js           |    2 +-
 tests/javascript/check-syntax.js                      |    2 +-
 tests/javascript/closure-finalization.js              |    2 +-
 tests/javascript/compare.js                           |    2 +-
 tests/javascript/constructor-args.js                  |    2 +-
 tests/javascript/constructor-prototype.js             |    2 +-
 tests/javascript/enum.js                              |    2 +-
 tests/javascript/everything.js                        |    2 +-
 tests/javascript/fork.js                              |    2 +-
 tests/javascript/function-info.js                     |    2 +-
 tests/javascript/gdk-event.js                         |    2 +-
 tests/javascript/gerror.js                            |    2 +-
 tests/javascript/gobject-scope.js                     |    2 +-
 tests/javascript/gtypes/gtype-class-init-exception.js |    2 +-
 tests/javascript/gtypes/gtype-extraprop.js            |    2 +-
 tests/javascript/gtypes/gtype-gtype-class-init.js     |    2 +-
 tests/javascript/gtypes/gtype-gtype.js                |    2 +-
 tests/javascript/gtypes/gtype-property-construct.js   |    2 +-
 tests/javascript/gtypes/gtype-property-nice.js        |    2 +-
 tests/javascript/gtypes/gtype-property.js             |    2 +-
 tests/javascript/gtypes/gtype-self.js                 |    2 +-
 tests/javascript/gtypes/gtype-signal-args.js          |    2 +-
 tests/javascript/gtypes/gtype-signal.js               |    2 +-
 tests/javascript/gtypes/gtype-typerror.js             |    2 +-
 tests/javascript/gtypes/gtype.js                      |    2 +-
 tests/javascript/gvalue-argument.js                   |    2 +-
 tests/javascript/include-syntax.js                    |    2 +-
 tests/javascript/include.js                           |    2 +-
 tests/javascript/introspect.js                        |    2 +-
 tests/javascript/json-constructor.js                  |    2 +-
 tests/javascript/json.js                              |    2 +-
 tests/javascript/list-test.js                         |    2 +-
 tests/javascript/modules-noasserts.js                 |    2 +-
 tests/javascript/modules.js                           |    4 ++--
 tests/javascript/native-closure-exception.js          |    2 +-
 tests/javascript/native-closure.js                    |    2 +-
 tests/javascript/object-info.js                       |    2 +-
 tests/javascript/out-test.js                          |    2 +-
 tests/javascript/property-benchmark.js                |    2 +-
 tests/javascript/property-glib-exception.js           |    2 +-
 tests/javascript/quit.js                              |    2 +-
 tests/javascript/signals/signal-connect.js            |    2 +-
 tests/javascript/signals/signal-disconnect.js         |    2 +-
 tests/javascript/signals/signal-exception.js          |    2 +-
 tests/javascript/signals/signal-expects.js            |    2 +-
 tests/javascript/signals/signal-invalid.js            |    2 +-
 tests/javascript/signals/signal-nofunc.js             |    2 +-
 tests/javascript/signals/signal-userdata.js           |    2 +-
 tests/javascript/signals/signal.js                    |    2 +-
 tests/javascript/sqlite.js                            |    2 +-
 tests/javascript/structs/struct-constructor.js        |    2 +-
 tests/javascript/structs/struct-enumerate.js          |    2 +-
 tests/javascript/structs/struct-functions.js          |    2 +-
 tests/javascript/structs/struct-nested-set.js         |    2 +-
 tests/javascript/structs/struct-offsets.js            |    2 +-
 tests/javascript/structs/struct-set-member.js         |    2 +-
 tests/javascript/structs/struct-union-enumerate.js    |    2 +-
 tests/javascript/syntax-test.js                       |    2 +-
 tests/javascript/type-conversion.js                   |    2 +-
 61 files changed, 63 insertions(+), 63 deletions(-)

commit 362280cd799419b41eb0919bce0a33290942ff68
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jan 6 03:53:37 2010 -0500

    tests: Make C-based test run too

 tests/c/Makefile.am |    2 ++
 1 file changed, 2 insertions(+)

commit f8d07c7157afd249dada6f58182bccdc26785103
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jan 6 03:47:37 2010 -0500

    tests: Ditch the python test framework, use standard make check with a small
    set of JavaScript functions to deal with assertions and unreachable code
    and whatnot. Also, clean up some tests, and remove some that made no sense
    whatsoever.
    
    Three or four tests still don't work (and print output to that effect)
    because of strange exception-chaining problems which I'm going to look into.

 Makefile.am                                        |    5 +-
 tests/Makefile.am                                  |    7 +-
 tests/javascript/Makefile.am                       |   49 +++++++--
 tests/javascript/argv.js                           |    6 +-
 tests/javascript/array-gtype.js                    |   16 +--
 tests/javascript/builtin-argument-length.js        |  111 +++++++++-----------
 tests/javascript/c-module.js                       |    7 --
 tests/javascript/check-syntax.js                   |   42 ++++++--
 tests/javascript/closure-finalization.js           |   12 ++-
 tests/javascript/compare.js                        |   10 +-
 tests/javascript/constructor-args.js               |   15 +--
 tests/javascript/constructor-prototype.js          |   17 ++-
 tests/javascript/enum.js                           |   14 ++-
 tests/javascript/everything.js                     |  111 ++++++++++----------
 tests/javascript/fork.js                           |   20 ++--
 tests/javascript/function-info.js                  |   13 +--
 tests/javascript/gdk-event.js                      |   35 +++---
 tests/javascript/gerror.js                         |   12 +--
 tests/javascript/gobject-scope.js                  |   12 +--
 tests/javascript/gtypes/Makefile.am                |   15 +++
 .../gtypes/gtype-class-init-exception.js           |   26 +++--
 tests/javascript/gtypes/gtype-extraprop.js         |   27 +++--
 tests/javascript/gtypes/gtype-gtype-class-init.js  |   48 ++++-----
 tests/javascript/gtypes/gtype-gtype.js             |   48 ++++-----
 .../javascript/gtypes/gtype-property-construct.js  |   59 ++++++-----
 tests/javascript/gtypes/gtype-property-nice.js     |   42 ++++----
 tests/javascript/gtypes/gtype-property.js          |   51 +++++----
 tests/javascript/gtypes/gtype-self.js              |   25 ++---
 tests/javascript/gtypes/gtype-signal-args.js       |   36 +++----
 tests/javascript/gtypes/gtype-signal.js            |   25 +++--
 tests/javascript/gtypes/gtype-typerror.js          |   21 ++--
 tests/javascript/gtypes/gtype.js                   |   42 ++++----
 tests/javascript/gtypes/testsuite.js               |    1 +
 tests/javascript/gvalue-argument.js                |    4 -
 tests/javascript/include-syntax.js                 |   19 +++-
 tests/javascript/include.js                        |    6 +-
 tests/javascript/introspect.js                     |   21 ++--
 tests/javascript/json-constructor.js               |   17 ++-
 tests/javascript/json.js                           |   24 +++--
 tests/javascript/list-test.js                      |   30 +++---
 tests/javascript/modules-noasserts.js              |   25 +++++
 tests/javascript/modules.js                        |   29 +----
 tests/javascript/native-closure-exception.js       |   34 +++---
 tests/javascript/native-closure.js                 |   27 ++---
 tests/javascript/object-info.js                    |   29 ++---
 tests/javascript/out-test.js                       |   22 ++--
 tests/javascript/print.js                          |    7 --
 tests/javascript/printf.js                         |   12 ---
 tests/javascript/printprint.js                     |    7 --
 tests/javascript/property-benchmark.js             |    6 +-
 tests/javascript/property-glib-exception.js        |   25 +++--
 tests/javascript/quit.js                           |    7 +-
 tests/javascript/quit2.js                          |    7 --
 tests/javascript/readline-bind.js                  |    9 --
 tests/javascript/readline.js                       |    8 --
 tests/javascript/signals/Makefile.am               |   11 ++
 tests/javascript/signals/signal-connect.js         |   24 ++---
 tests/javascript/signals/signal-disconnect.js      |   31 +++---
 tests/javascript/signals/signal-exception.js       |    7 +-
 tests/javascript/signals/signal-expects.js         |   20 ++--
 tests/javascript/signals/signal-invalid.js         |   15 ++-
 tests/javascript/signals/signal-nofunc.js          |   18 ++--
 tests/javascript/signals/signal-userdata.js        |    9 +-
 tests/javascript/signals/signal.js                 |   19 ++--
 tests/javascript/signals/testsuite.js              |    1 +
 tests/javascript/spawn.js                          |    8 --
 tests/javascript/sqlite.js                         |   43 ++++----
 tests/javascript/structs/Makefile.am               |   10 ++
 tests/javascript/structs/struct-constructor.js     |   17 ++-
 tests/javascript/structs/struct-enumerate.js       |   14 +--
 tests/javascript/structs/struct-functions.js       |   13 ++-
 tests/javascript/structs/struct-nested-set.js      |   27 +++--
 tests/javascript/structs/struct-offsets.js         |   15 ++-
 tests/javascript/structs/struct-set-member.js      |   15 ++-
 tests/javascript/structs/struct-union-enumerate.js |   31 +++---
 tests/javascript/structs/testsuite.js              |    1 +
 tests/javascript/syntax-test-noasserts.js          |    1 +
 tests/javascript/syntax-test.js                    |   18 +++-
 tests/javascript/testsuite.js                      |   32 ++++++
 tests/javascript/type-conversion.js                |   42 ++++----
 tests/make-test.py                                 |   55 ----------
 tests/run-tests.py                                 |  104 ------------------
 82 files changed, 936 insertions(+), 1020 deletions(-)

commit 62bf28a41b3372cd6eed5823e941f0d54ccc9a0e
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jan 6 02:05:05 2010 -0500

    Return non-zero exit code if an exception occurs

 src/main.c |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 585cca1d52aa7e082aaa029c585fef8ea6d25d43
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jan 6 02:04:54 2010 -0500

    Remove extraneous space in output

 modules/example/seed-example.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 577fc25b8e4b932107f2f3a6b81a27c11d08fea8
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jan 6 00:04:07 2010 -0500

    Note to self: need to properly integrate our exceptions with JS

 libseed/seed-exceptions.c |    3 +++
 1 file changed, 3 insertions(+)

commit 07db8b4966ca85a256137d32eeca2a634f473825
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Jan 4 00:56:29 2010 -0500

    Fix incorrect type assumption
    
    seed_gi_argument_make_js was assuming that enums and flags are always longs,
    which is (apparently) incorrect. Check the type and convert accordingly.

 libseed/seed-types.c |   42 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

commit 2723b3a122609b9de20dab1208bf3e6ac90d140c
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Jan 4 00:56:15 2010 -0500

    Fix spacing in warning (double space)

 libseed/seed-structs.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7d21ff802d08154fe222742ed8b61b1a92bebe16
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jan 3 22:11:03 2010 -0500

    GType can be bigger than int32; use seed_value_to_long for now
    
    This is probably not correct, since the size of the type is variable, and all...

 libseed/seed-gtype.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4331a5c5a9d9446c2e5909a53c25a15de9f16ed8
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 22:45:36 2010 -0500

    Update OS X build instructions (MacPorts!)

 doc/reference/building-osx.sgml |   65 ++++++++++++---------------------------
 1 file changed, 19 insertions(+), 46 deletions(-)

commit 3a19d85fd53f5bc1e566101bacf0bc044c00cfe0
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 22:06:35 2010 -0500

    libseed: Out arguments should use out_values, not out_args, for finding values!
    
    Fixes bug introduced in commit 249a26bd077

 libseed/seed-engine.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b41de3fafa5d1b0ebf89f373c3f132003b719771
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 19:56:46 2010 -0500

    tests: Fix struct-union-enumerate test

 tests/javascript/structs/struct-union-enumerate.js |   20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

commit f2e337ff9712644cc8d2c5c2c23c2f491619fba9
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 19:40:30 2010 -0500

    Fix readline tests

 tests/javascript/readline-bind.js |    6 +++---
 tests/javascript/readline.js      |    4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 8050bd63efb3d540aeacefefe2bd953e2b57e3cf
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 18:40:24 2010 -0500

    Fix completely incorrect nested struct/union set test

 tests/javascript/structs/struct-nested-set.js |    8 +--
 tests/run-tests.py                            |   68 +++++++++++++------------
 2 files changed, 40 insertions(+), 36 deletions(-)

commit de65135b89104cc49cd893951650cc3d6f4236eb
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 18:19:27 2010 -0500

    Ignore missing X extensions when testing
    
    This fixes testing over X forwarding to a machine lacking expected extensions

 tests/run-tests.py |   65 ++++++++++++++++++++++++++--------------------------
 1 file changed, 32 insertions(+), 33 deletions(-)

commit 2ff26650b1180982c532d801873d4af648edce9b
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 16:55:07 2010 -0500

    Fix glong/gint "mismatch" elsewhere

 libseed/seed-types.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c075da4ca37a47e9d0938664f25d6727f107029
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 16:51:57 2010 -0500

    Fix lack of gnome-js-common directory in default search path
    
    I accidentally broke this when fixing the pkglibdir/datadir substitution

 extensions/Makefile.am |    2 +-
 extensions/Seed.js.in  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit bac440a2733a2b59920b0078123a073db19b9f33
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jan 2 16:43:23 2010 -0500

    Fix enum typing bug from commit cedbd78451
    
    A glong/gint mismatch was wreaking havoc on various enums.
    It's clear why this was broken; g_value_info_get_value says
    that it returns a glong.

 libseed/seed-importer.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 671ad0881ca3c68e59099a18164a72f34ad3f2ad
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jan 1 17:26:51 2010 -0500

    Post-release version increment

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b12dcb4e4bfaf40ace0fb216b4ef3af5fa20256
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jan 1 17:25:58 2010 -0500

    Release 2.29.5.1

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f6301aa559216ac8f2c86064e1d674b9dbd650a
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jan 1 17:23:16 2010 -0500

    Fix some 'duplicate symbol' errors on other platforms

 libseed/seed-engine.c    |    2 ++
 libseed/seed-engine.h    |    2 +-
 modules/mpfr/seed-mpfr.c |    3 +++
 modules/mpfr/seed-mpfr.h |    4 ++--
 4 files changed, 8 insertions(+), 3 deletions(-)

commit 329294e29b4f8c352b60940a61029723c081aafc
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jan 1 16:47:57 2010 -0500

    Post-release increment

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ac0d91449158e79b6e90072452bb033c7bc054e
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jan 1 16:38:56 2010 -0500

    2.29.5 release notes

 NEWS |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 78e4742fe907d08348a8c93c098761ec57b32bd6
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Dec 31 05:44:51 2009 -0500

    os module: oops! other GNU extensions were in use; reenable these

 modules/os/seed-os.c |    2 ++
 1 file changed, 2 insertions(+)

commit c2be82dabf2208fc533838a2deea1c8f415583fd
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Dec 31 05:40:29 2009 -0500

    Use realpath() instead of the GNU libc extension canonicalize_file_path (again)

 modules/os/seed-os.c |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 53a1447c45949c8d9ab4a4e082499cf24bf9dafc
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Dec 31 05:36:09 2009 -0500

    extensions: Fix substitution of paths into Seed.js
    
    This fixes the failure to find native modules when installing to unexpected
    prefixes.

 configure.ac           |    1 -
 extensions/Makefile.am |    3 +++
 extensions/Seed.js.in  |    4 ++--
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 75f843389e2eccd25fc77d71119af09892462a0f
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Dec 31 05:12:28 2009 -0500

    extensions: fix some indentation oddities

 extensions/Seed.js.in |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 0f9ce34375f9bfda6b11e6ccbb54b4fd75f2eb40
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Dec 30 03:40:25 2009 -0500

    interpreter: display exceptions (if any) when trying to execute the repl

 src/main.c |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit f4576cc155a1583da3d174165748e782690bcfd9
Author: Ryan Brown <r@nodr.org>
Date:   Sat Dec 19 16:04:51 2009 -0500

    Use the right type when creating GValues for GObject subtypes

 libseed/seed-types.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c052e1cfed23bfed6f890895564206e37ed6fe1
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Dec 30 02:56:42 2009 -0500

    Distribute the repl snippet along with seed

 extensions/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 48eabb14b1fafe329156a9dbba144586ec850454
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Dec 30 02:54:29 2009 -0500

    Use realpath() instead of the GNU libc extension canonicalize_file_path

 libseed/seed-importer.c |    5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 8a5ad68baa02968b7e521581db58b3b72d290d6b
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Dec 30 02:53:33 2009 -0500

    Remove Mac OS X specific configuration
    
    There's no reason to use the system's WebKit, since it has to be a nightly anyway.
    Instead, use webkit-gtk; the version in macports is now recent enough.

 configure.ac |   44 ++++++++++----------------------------------
 1 file changed, 10 insertions(+), 34 deletions(-)

commit 1118eb7835ba0b94aee09f9f576342fcce344128
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Dec 30 02:39:26 2009 -0500

    Use POSIX thread-local storage API instead of GCC extensions
    
    This is necessary to make Seed build on platforms where the GCC
    TLS API is not available, such as Mac OS X.

 libseed/seed-engine.c |   16 ++++++++++------
 libseed/seed-engine.h |    2 +-
 libseed/seed-types.c  |    7 ++++---
 3 files changed, 15 insertions(+), 10 deletions(-)

commit a08ec31a2833e681b9c91a62fc1a6f60c4259187
Author: Robert Carr <racarr@gnome.org>
Date:   Thu Dec 17 17:32:36 2009 -0500

    Improve handling of case where constructing struct with 0 size

 libseed/seed-structs.c |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit c5c4352f77624d4717f4757c87ff7e1373082dc3
Author: Robert Carr <racarr@gnome.org>
Date:   Thu Dec 17 17:25:21 2009 -0500

    [importer] Struct/union constructors need to take a reference to the GIBaseInfo they store in their privates...

 libseed/seed-importer.c |    4 +++-
 libseed/seed-structs.c  |    2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit d70268ca6c3482b38f1076b13f360bade04dbe6c
Author: Robert Carr <racarr@gnome.org>
Date:   Thu Dec 17 17:09:48 2009 -0500

    Built in REPL was broken because it was installing from examples tree (now seed-examples on git.gnome.org). Move a copy of REPL snippet into seed

 extensions/Makefile.am |    3 +++
 extensions/repl.js     |   49 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

commit 63c58af6a128168fe79eb7be0cea048ecdb1c712
Author: Robert Carr <racarr@gnome.org>
Date:   Thu Dec 17 15:40:07 2009 -0500

    Add regression test for BGO 593182

 tests/javascript/gtypes/Makefile.am               |    1 +
 tests/javascript/gtypes/gtype-gtype-class-init.js |   30 +++++++++++++++++++++
 2 files changed, 31 insertions(+)

commit a60bf4010a7c8c864cfdb5483ce3e5dc0f0d4977
Author: Robert Carr <racarr@gnome.org>
Date:   Thu Dec 17 15:23:39 2009 -0500

    seed_get_class_info_for_type had a logic error, causing GIBaseInfos to be unreffed, in the case of "They didn't exist".
    
    This is obviously not a good idea and has been rectified. Closes BGO #593182

 libseed/seed-gtype.c |   14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 2638adf4800488a044db21f567945584030adb0a
Author: Robert Carr <racarr@gnome.org>
Date:   Thu Dec 17 15:23:34 2009 -0500

    Update some autotools junk? I guess. I could only really say if I understood autotools

 config.h.in   |    3 +++
 m4/libtool.m4 |    3 +++
 2 files changed, 6 insertions(+)

commit 8bccd48bafbef62671e4a1dcbe8a18e604f76370
Author: Iain Nicol <iain@thenicols.net>
Date:   Mon Nov 2 03:59:35 2009 +0000

    libseed: do not call JSValueProtect on values the GC might have freed
    
    Closes BGO #599666

 libseed/seed-types.c |    3 +++
 1 file changed, 3 insertions(+)

commit fa6441078948879b7b48cd85c842f796c3e77690
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Dec 16 17:04:06 2009 -0500

    Post-release increment

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04771b669d35196f8c4e87d035c7f541e324094b
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Dec 16 17:01:05 2009 -0500

    Update NEWS and README for 2.29.4

 NEWS   |   11 +++++++++++
 README |   10 +++++-----
 2 files changed, 16 insertions(+), 5 deletions(-)

commit cb4289137ec0ea3204e1b0ad3b7e2a86fa8a94da
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Nov 16 00:35:52 2009 +0100

    reference: Add a note about search path ownership.
    
    The current reference documentation of seed_engine_get_search_path()
    does not specify whether the return value should be freed or not, and
    that return value is not const so it's ambiguous.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=602032

 libseed/seed-api.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 251a556dc841a8165d865771d9f30de94428d901
Author: Iain Nicol <iain@thenicols.net>
Date:   Thu Nov 19 13:03:35 2009 +0000

    libseed: Improve integral type conversions; mostly portability issues
    
    Partial fix for BGO #602404.

 libseed/seed-closure.c |   34 +++++++++++----
 libseed/seed-types.c   |  113 +++++++++++++++++++++++++++++++++++++++++++++---
 libseed/seed-types.h   |   10 +++++
 3 files changed, 142 insertions(+), 15 deletions(-)

commit 36ec11b954ed7a1ded45927a4788adf8c0ed0dcb
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Dec 15 14:33:27 2009 +0100

    Remove unused "arg_type" argument in make_native_closure.
    
    This argument is kept around in the closure but isn't used anywhere,
    so let's just drop it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=604617

 libseed/seed-closure.c |    5 +----
 libseed/seed-closure.h |    2 --
 libseed/seed-types.c   |    1 -
 3 files changed, 1 insertion(+), 7 deletions(-)

commit 9989d47738853ec7226387b3ffbb50858d323037
Author: Steve Frécinaux <code@istique.net>
Date:   Tue Dec 15 14:39:21 2009 +0100

    Remove arg_info param from seed_gi_make_argument().
    
    This arg_info value was only used when triggering make_native_closure(),
    and was even set to NULL in most calls of this function, so let's just
    remove it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=604617

 libseed/seed-closure.c |    2 +-
 libseed/seed-engine.c  |    3 +--
 libseed/seed-structs.c |   10 ++++------
 libseed/seed-types.c   |    4 ++--
 libseed/seed-types.h   |    1 -
 5 files changed, 8 insertions(+), 12 deletions(-)

commit 67f3d46b9387e1f4166c1403a9c491732c2b022c
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Nov 30 17:24:18 2009 -0500

    Postincrement after release (now 2.29.4)

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf39481aa040bc7dbdb96c891402c9132b68cbd3
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Nov 16 19:03:39 2009 -0500

    Postincrement version number to 2.29.3

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5462cff55d30e3c3cf54d832a02fca0fbc13ddce
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Nov 16 19:01:18 2009 -0500

    More 2.29.2 changes (update NEWS and version)

 Makefile.am  |    1 -
 NEWS         |    3 +--
 configure.ac |    2 +-
 3 files changed, 2 insertions(+), 4 deletions(-)

commit b4d995eccb03ce0952aebe050e13461d5970a0ee
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Nov 16 18:52:27 2009 -0500

    Seed 2.29.2 changes

 NEWS          |   11 +++++++++
 RELEASE       |   75 ---------------------------------------------------------
 config.h.in   |    3 ---
 m4/libtool.m4 |    3 ---
 4 files changed, 11 insertions(+), 81 deletions(-)

commit f2e49562301df3c9f50ba865eb8b0b407a2883b2
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Nov 1 00:06:18 2009 -0400

    libseed: make seed_value_from_filename return "null" if passed "NULL"

 libseed/seed-types.c |   28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit fa42dffc8acd356e0cfc06c5c7862ef42df21c4c
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Nov 1 00:01:25 2009 -0400

    tests: Update one test affected by previous commit

 tests/javascript/sqlite.js |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9cf4a15d929007c9dfdb3c1a1fea6d03825b8614
Author: Iain Nicol <iain@thenicols.net>
Date:   Fri Oct 30 22:08:51 2009 +0000

    make seed_value_from_string return "null" if passed "NULL"

 libseed/seed-types.c |   13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 1b648f199672e0d7521910cb70469f8882a95f84
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Oct 28 01:52:16 2009 -0400

    tests: A bunch of exceptions changed format a while back, update tests

 tests/javascript/check-syntax.js            |    2 +-
 tests/javascript/include-syntax.js          |    2 +-
 tests/javascript/property-glib-exception.js |    2 +-
 tests/javascript/syntax-test.js             |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 9ba90d411acf73bf23325239687501bfa014cdde
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Oct 28 01:26:21 2009 -0400

    interpreter: Add --version argument; chain option parsing to libseed.

 libseed/seed-engine.c |    4 +--
 libseed/seed-engine.h |    2 ++
 libseed/seed.h        |    3 +-
 src/Makefile.am       |    3 +-
 src/args.c            |   81 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/main.c            |   13 ++++++++
 6 files changed, 102 insertions(+), 4 deletions(-)

commit bc26585c4b3560a30b73c1304af6a3dc598ab459
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Oct 28 00:54:44 2009 -0400

    libseed: Add --seed-version argument

 libseed/seed-engine.c |   14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit c995b68cdd372129aed51335ed6242b758c4850f
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Oct 28 00:25:27 2009 -0400

    clutter extension: Add wrapper for animate_with_alpha

 extensions/Clutter.js |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 31ed2f1f52eb55bd5ada9c87ad31ca046bcfded1
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Aug 22 04:35:51 2009 +0000

    Clean up 'seed' interpreter
    
    Don't bother passing argc/argv to functions that don't need it
    Use EXIT_SUCCESS/EXIT_FAILURE instead of implementation-specific values
    Use seed_exception_to_string instead of stringifying by hand

 src/main.c |   40 +++++++++++++++++-----------------------
 1 file changed, 17 insertions(+), 23 deletions(-)

commit d776c49457d1f6053ecb118375c84b736ca83d51
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Oct 7 02:10:35 2009 -0400

    Move all examples to separate seed-examples repository.

 Makefile.am                                        |    1 -
 config.h.in                                        |    3 +
 configure.ac                                       |   38 -
 examples                                           |    5 +
 examples/COPYING                                   |    9 -
 examples/Gnio-server.js                            |   40 -
 examples/Gnio.js                                   |   24 -
 examples/HACKING                                   |    8 -
 examples/Makefile.am                               |   52 -
 examples/accelgroup.js                             |   21 -
 examples/actions.js                                |   63 --
 examples/async-quine.js                            |   19 -
 examples/broken/browser/COPYING                    |  339 -------
 examples/broken/browser/Makefile.am                |   27 -
 examples/broken/browser/browser-actions.js         |  347 -------
 examples/broken/browser/browser-bookmarks.js       |   54 -
 examples/broken/browser/browser-find.js            |   39 -
 examples/broken/browser/browser-main.js            |   24 -
 examples/broken/browser/browser-menu.js            |  148 ---
 examples/broken/browser/browser-tab.js             |  148 ---
 examples/broken/browser/browser-toolbar.js         |   25 -
 examples/broken/browser/main.js                    |  119 ---
 examples/broken/clutter-transitions/Makefile.am    |   15 -
 examples/broken/clutter-transitions/main.js        |   85 --
 examples/broken/clutter-transitions/one.jpg        |  Bin 379735 -> 0 bytes
 .../clutter-transitions/transition-library.js      |  661 ------------
 examples/broken/clutter-transitions/two.jpg        |  Bin 218469 -> 0 bytes
 examples/broken/ide/Makefile.am                    |   26 -
 examples/broken/ide/exception.svg                  |   76 --
 examples/broken/ide/ide-actions.js                 |  126 ---
 examples/broken/ide/ide-messagearea.js             |  121 ---
 examples/broken/ide/ide-sourceview.js              |  203 ----
 examples/broken/ide/ide-tab.js                     |   65 --
 examples/broken/ide/ide-tabheader.js               |   27 -
 examples/broken/ide/ide-tabview.js                 |   80 --
 examples/broken/ide/ide-toolbar.js                 |   26 -
 examples/broken/ide/ide-window.js                  |   40 -
 examples/broken/ide/legacy/ide.js                  |  155 ---
 examples/broken/ide/legacy/tabview.js              |   77 --
 examples/broken/ide/legacy/toolbar.js              |  143 ---
 examples/broken/ide/main.js                        |   30 -
 examples/broken/pong/Makefile.am                   |   19 -
 examples/broken/pong/ball.png                      |  Bin 1570 -> 0 bytes
 examples/broken/pong/midline.png                   |  Bin 4741 -> 0 bytes
 examples/broken/pong/player.png                    |  Bin 1671 -> 0 bytes
 examples/broken/pong/player2.png                   |  Bin 1491 -> 0 bytes
 examples/broken/pong/pong.js                       |  341 -------
 examples/browser/BrowserSettings.js                |   11 -
 examples/browser/BrowserStatusbar.js               |   21 -
 examples/browser/BrowserTab.js                     |   67 --
 examples/browser/BrowserToolbar.js                 |   71 --
 examples/browser/BrowserView.js                    |  113 ---
 examples/browser/COPYING                           |  339 -------
 examples/browser/Makefile.am                       |   23 -
 examples/browser/TabbedBrowser.js                  |   60 --
 examples/browser/main.js                           |   19 -
 examples/cairo.js                                  |   45 -
 examples/calculator-mpfr.js                        |  145 ---
 examples/calculator.js                             |  138 ---
 examples/clutter-1.0.js                            |  104 --
 examples/clutter-cairo-1.0.js                      |   34 -
 examples/clutter-cogl-1.0.js                       |  103 --
 examples/clutter-pad/Makefile.am                   |   15 -
 examples/clutter-pad/clutter-pad.ui                |  271 -----
 examples/clutter-pad/examples/Makefile.am          |   17 -
 .../clutter-pad/examples/animated-rectangle.js     |   26 -
 examples/clutter-pad/examples/box2d.js             |   61 --
 examples/clutter-pad/examples/cairo.js             |   52 -
 examples/clutter-pad/examples/pink-stage.js        |    7 -
 examples/clutter-pad/examples/spring.js            |   89 --
 examples/clutter-pad/main.js                       |  197 ----
 examples/clutter-pad/redhand.png                   |  Bin 3605 -> 0 bytes
 examples/clutter-pad/test.js                       |   27 -
 examples/clutter-shader/Makefile.am                |   20 -
 examples/clutter-shader/ShaderEditor.js            |   46 -
 examples/clutter-shader/ShaderView.js              |   55 -
 examples/clutter-shader/bob.jpg                    |  Bin 26580 -> 0 bytes
 examples/clutter-shader/default.glsl               |   24 -
 examples/clutter-shader/main.js                    |   42 -
 examples/dbus/Makefile.am                          |   18 -
 examples/dbus/dbus-banshee.js                      |   55 -
 examples/dbus/dbus-consolekit.js                   |   58 --
 examples/dbus/dbus-networkmanager.js               |   93 --
 examples/dbus/networkManagerIfaces.js              | 1049 --------------------
 examples/gconf.js                                  |    9 -
 examples/gdkpixbufloader.js                        |   31 -
 examples/glib/Makefile.am                          |   17 -
 examples/glib/env.js                               |    7 -
 examples/glib/thread.js                            |   27 -
 examples/glib/timeout.js                           |   20 -
 examples/glib/timer.js                             |   12 -
 examples/gtkplug.js                                |   37 -
 examples/gtktextview.js                            |   21 -
 examples/gtktreeview.js                            |   36 -
 examples/json-packing.js                           |   37 -
 examples/json-reddit.js                            |   21 -
 examples/ls.js                                     |   18 -
 examples/n-oscillator.js                           |  111 ---
 examples/notify-test.js                            |   32 -
 examples/opengl/Makefile.am                        |   15 -
 examples/opengl/glut-teapot.js                     |   52 -
 examples/opengl/seed-gears.js                      |  229 -----
 examples/opengl/triangle-actor.js                  |   35 -
 examples/pango-fontset.js                          |   16 -
 examples/pango.js                                  |  402 --------
 examples/poppler.js                                |  152 ---
 examples/quine.js                                  |    7 -
 examples/repl.js                                   |   49 -
 examples/soup.js                                   |   14 -
 examples/threaded-repl.js                          |   12 -
 examples/turtle/Makefile.am                        |   23 -
 examples/turtle/turtle.c                           |  307 ------
 examples/twitter/Makefile.am                       |   13 -
 examples/twitter/pretty.js                         |   36 -
 examples/twitter/twitter.js                        |  131 ---
 examples/video.js                                  |   21 -
 examples/vte-test.js                               |   31 -
 examples/xml/Makefile.am                           |   17 -
 examples/xml/sample.xml                            |   12 -
 examples/xml/weather.js                            |   41 -
 examples/xml/xml-dom.js                            |   16 -
 examples/xml/xml-tree.js                           |   17 -
 examples/xml/xml-xpath.js                          |    7 -
 123 files changed, 8 insertions(+), 9467 deletions(-)

commit 425ed40aa5b35deed2eb9c2c9c878ef24d293b37
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Oct 7 01:46:26 2009 -0400

    Use @libdir@ instead of @prefix@/lib
    
    This fixes same-gnome-clutter and lightsoff on platforms where
    @libdir@ is NOT @prefix@/lib (i.e. where @libdir@ is @prefix@/lib64
    instead)

 extensions/Seed.js.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b60d66e40b39bd48965219228f776aff0b2d7f1c
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Sep 20 19:06:55 2009 -0400

    Post-release bump to 2.29.1

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6748a7c92a0af7b430d367718d392770795b865
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Sep 20 18:48:51 2009 -0400

    Update NEWS for the last three releases (oops!)

 NEWS |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 4411f87ddd8d2652adeadcf6f187414e653411fc
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Sep 7 22:14:07 2009 -0400

    Post-release bump to 2.28.0

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7053fcff8e4bbc5710b14485ec45768bc47ab37d
Author: Robert Carr <racarr@gnome.org>
Date:   Mon Sep 7 02:13:10 2009 -0400

    [libseed] Implement instanceof for GObject constructors and named GObject constructors, closes BGO 592936

 libseed/seed-engine.c |   22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit 6532bef01b88fafe673ea5340e6560273d5f2f5c
Author: Robert Carr <racarr@gnome.org>
Date:   Mon Sep 7 01:57:18 2009 -0400

    [libseed] Implement G_TYPE_STRV in seed_gvalue_from_seed_value, closes BGO 584321

 libseed/seed-types.c |  161 ++++++++++++++++++++++++++++++--------------------
 1 file changed, 97 insertions(+), 64 deletions(-)

commit 2536cdd2f3da941e6dd651b4eb1279eb6d7c0c6a
Author: Robert Carr <racarr@gnome.org>
Date:   Mon Sep 7 01:38:51 2009 -0400

    [libseed] Add seed_engine_destroy

 libseed/seed-engine.c |   10 ++++++++++
 libseed/seed.h        |    2 ++
 m4/libtool.m4         |    3 +++
 3 files changed, 15 insertions(+)

commit 94293bf711ac3fb0a1e065495107fb358ff6106e
Author: Josselin Mouette <joss@malsain.org>
Date:   Fri Sep 4 14:37:12 2009 -0400

    [modules] Build as loadable modules, instead of fully-versioned libraries

 modules/cairo/Makefile.am           |    1 +
 modules/canvas/Makefile.am          |    1 +
 modules/dbus/Makefile.am            |    1 +
 modules/example/Makefile.am         |    1 +
 modules/ffi/Makefile.am             |    1 +
 modules/gettext/Makefile.am         |    1 +
 modules/gtkbuilder/Makefile.am      |    1 +
 modules/libxml/Makefile.am          |    1 +
 modules/mpfr/Makefile.am            |    1 +
 modules/multiprocessing/Makefile.am |    1 +
 modules/os/Makefile.am              |    1 +
 modules/readline/Makefile.am        |    1 +
 modules/sandbox/Makefile.am         |    1 +
 modules/sqlite/Makefile.am          |    1 +
 14 files changed, 14 insertions(+)

commit 2daaf7d97a4bfed44c554c38309243d811346a58
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Aug 24 22:00:06 2009 -0400

    Revert "Clean up 'seed' interpreter"
    
    This reverts commit c061547a7953fc7072b9e0043d0f5c33c7f3ec10.

 src/main.c |   41 +++++++++++++++++++++++------------------
 1 file changed, 23 insertions(+), 18 deletions(-)

commit c061547a7953fc7072b9e0043d0f5c33c7f3ec10
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Aug 22 00:35:51 2009 -0400

    Clean up 'seed' interpreter
    
    Don't bother passing argc/argv to functions that don't need it
    Use EXIT_SUCCESS/EXIT_FAILURE instead of implementation-specific values
    Use seed_exception_to_string instead of stringifying by hand

 src/main.c |   41 ++++++++++++++++++-----------------------
 1 file changed, 18 insertions(+), 23 deletions(-)

commit 144161af4c10029345f864b3d82dc442b7a7a8b8
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Aug 21 18:07:58 2009 -0400

    Post-release bump to 2.27.92

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c45e1edf164da14432691a46523d6096a068d5a9
Author: Xan Lopez <xan@gnome.org>
Date:   Fri Aug 21 15:17:01 2009 +0300

    Use LDFLAGS instead of CFLAGS when appropriate
    
    And remove a rogue tab.

 modules/sqlite/Makefile.am |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 9bc0c696397ff32be36bab9bd81aac6a62f69b80
Author: Xan Lopez <xan@gnome.org>
Date:   Fri Aug 21 14:25:28 2009 +0300

    Use AM_SILENT_RULES instead of shave.
    
    When using automake >= 1.11, use AM_SILENT_RULES to make building less
    verbose. Can be disabled passing --disable-silent-rules to configure
    or V=1 to make.

 configure.ac             |    7 ++-
 scripts/shave-libtool.in |  109 ----------------------------------------------
 scripts/shave.in         |  109 ----------------------------------------------
 3 files changed, 3 insertions(+), 222 deletions(-)

commit 641d154b48c23971093625041a0e8eb329bde7b9
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Aug 13 22:01:41 2009 -0400

    [libseed] Add seed_context_create, which just wraps JSGarbageCollect

 doc/reference/seed-sections.txt      |    1 +
 doc/reference/tmpl/seed-context.sgml |    8 ++++++++
 libseed/seed-api.c                   |   15 +++++++++++++++
 libseed/seed.h                       |    1 +
 4 files changed, 25 insertions(+)

commit 19cede6431a581593df3878fb36682827bdbd893
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Aug 10 18:00:02 2009 -0400

    Post-release bump to 2.27.91

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 86d9b7f225d68d378148e9d86839ef55f5a1e5f5
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Aug 10 16:59:46 2009 -0400

    We're calling this 2.27.90 to sync up with the GNOME version now that we're a module

 NEWS         |    4 ++--
 configure.ac |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 68547b8e895dc6ee0b54c88675f06ba00801d264
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Aug 10 16:28:17 2009 -0400

    gitignore the generated index.html

 .gitignore |    1 +
 1 file changed, 1 insertion(+)

commit 2bf2aa84be18476d1de9f662b6656982c4a96fc6
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Aug 10 16:27:26 2009 -0400

    [ffi] Use size_t format flag

 modules/ffi/seed-ffi.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a070643f5694c154f9308087a6ab5dd3a95b506f
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 10:12:11 2009 -0800

    [docs] Modules link from doc index should go to module documentation, not seed-module C API docs

 doc/index.html.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6047df4d846f8788e708f365217523fbab98b09a
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 09:59:03 2009 -0800

    Update example index, make HACKING point there

 doc/index.html.in |   82 +++++++++++++++++++++++++----------------------------
 examples/HACKING  |   81 +---------------------------------------------------
 2 files changed, 40 insertions(+), 123 deletions(-)

commit b0b64cf7998a326d16adb4aaec3cf290d7537196
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 09:45:08 2009 -0800

    [docs] Point to large manual for module documentation

 doc/index.html.in |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5cde0e6cfab39b52a917940f6f4f461f198b7ab5
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 09:42:08 2009 -0800

    [docs] Forgot to include one of the files in the last commit

 .gitignore                 |    2 +
 configure.ac               |    1 +
 doc/Makefile.am            |    2 +-
 doc/index.html             |  114 --------------------------------------------
 doc/index.html.in          |  114 ++++++++++++++++++++++++++++++++++++++++++++
 doc/modules/version.xml.in |    1 +
 6 files changed, 119 insertions(+), 115 deletions(-)

commit 09bf288d0aa2a1156a29d74a98d19a4f0e17b373
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 09:27:47 2009 -0800

    [docs] Factor out gtk-doc displayed version number

 configure.ac                 |    2 ++
 doc/modules/Makefile.am      |    5 ++---
 doc/modules/book.xml         |    9 ++++++---
 doc/reference/Makefile.am    |    4 ++--
 doc/reference/seed-docs.sgml |    8 +++++---
 doc/reference/version.xml.in |    1 +
 6 files changed, 18 insertions(+), 11 deletions(-)

commit 2f81bc9bd27fafc8238e0e59fa3e082998cc8234
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 09:23:24 2009 -0800

    Update gitignore to match new documentation, etc.

 .gitignore |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 470e46e0255fccf6f4034cb99ea58e9b9933f5ea
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 09:10:00 2009 -0800

    [tests] Fix everything.js test after inspection of source

 tests/javascript/everything.js |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit df659051b341ea09f87e3ddee644f173b3924f45
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 09:00:51 2009 -0800

    Distribute various assorted files which we were missing

 examples/Makefile.am                |   52 ++++++++---------------------------
 modules/ffi/Makefile.am             |    6 ++++
 tests/javascript/gtypes/Makefile.am |    1 +
 3 files changed, 18 insertions(+), 41 deletions(-)

commit f2ff30b4f37423adbeefe5895d0214974c576d3a
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 08:29:51 2009 -0800

    [cairo] Quit when floating window is closed

 examples/cairo.js |    1 +
 1 file changed, 1 insertion(+)

commit 184e3f92d8892259879b0ee575a7afb6592ac40a
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 08:21:11 2009 -0800

    [browser] Use nice property installation, fix toolbar bugs

 examples/browser/BrowserTab.js     |   42 ++++++++++++------------------------
 examples/browser/BrowserToolbar.js |    9 ++++----
 examples/browser/TabbedBrowser.js  |    6 ++----
 3 files changed, 21 insertions(+), 36 deletions(-)

commit a0eb88ad2bac6b37d022960784b132754b9e05c0
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 08:19:29 2009 -0800

    [libseed] Support pretty property installation for objects

 libseed/seed-gtype.c |   38 ++++++++++++++++++++++++++++++++------
 1 file changed, 32 insertions(+), 6 deletions(-)

commit 286b71a4e746400b84d9cbe3bced83db3034fdeb
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 08:00:58 2009 -0800

    Remove OPEN_QUESTIONS; this is from before we had a bugzilla

 OPEN_QUESTIONS |    4 ----
 1 file changed, 4 deletions(-)

commit fbc08d6937f2b88a9d0840051f31f989666fd6f3
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 07:52:00 2009 -0800

    Update NEWS for today's release
    
    I'm not sure what the version number of today's release should be;
    the obvious choice is 0.8.6, but since we're now an official module,
    perhaps it should be 2.27.90.

 NEWS |   19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 5f39a036e1e2bb7334cb3ead911a14b1e0b1b079
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 07:37:57 2009 -0800

    [docs] Filename tag is "filename", not "file"

 doc/reference/imports.sgml        |    2 +-
 doc/reference/tmpl/seed-eval.sgml |    8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)

commit b6d835b0818fa56d218131d76816a21d9bc18fda
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 07:31:58 2009 -0800

    [docs] Distribute importer docs, include seed_script_destroy function

 doc/reference/Makefile.am       |    2 +-
 doc/reference/seed-sections.txt |    1 +
 m4/libtool.m4                   |    3 ---
 3 files changed, 2 insertions(+), 4 deletions(-)

commit 8a1560043c1386ef48aa848c65b4871c1a9e145d
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 07:15:25 2009 -0800

    Move ChangeLog to NEWS, autogenerate ChangeLog, to fit in with other GNOME modules

 ChangeLog               |  271 +----------------------------------------------
 Makefile.am             |   31 ++++--
 NEWS                    |  269 ++++++++++++++++++++++++++++++++++++++++++++++
 config.h.in             |    3 -
 modules/ffi/Makefile.am |    2 +-
 5 files changed, 295 insertions(+), 281 deletions(-)

commit 723f390151903df2b2e3402032aee7677cab1092
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 06:40:00 2009 -0800

    [docs] Standardize on 'val' for type conversion function input value

 libseed/seed-types.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 905aa7dfaee6f2ba561e86fff4a9fe0180940923
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Aug 10 06:33:50 2009 -0800

    [ffi] Include ffi flags when building ffi module for nonstandard installs

 modules/ffi/Makefile.am |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b7d9adbb9b226c0e07a725ea8b641038c4f61332
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Aug 6 07:44:17 2009 -0400

    From here on out, use post-release version increment
    
    This puts us in sync with the rest of GNOME and makes it easier for
    other projects depending on Seed to require the latest development version.

 configure.ac                 |    2 +-
 doc/modules/book.xml         |    2 +-
 doc/reference/seed-docs.sgml |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 5a788b7154bb4d6f9193c99e53c2d6ac695c260f
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Aug 5 23:49:57 2009 -0400

    Relicense main.c as LGPLv3, closes 590810

 src/main.c |   32 +++++++++++++++-----------------
 1 file changed, 15 insertions(+), 17 deletions(-)

commit f3e1f631102409a8cdc5c31652a854347a3a6587
Author: Robert Carr <racarr@gnome.org>
Date:   Sun Aug 2 21:20:02 2009 -0400

    [ffi] Add support for pointer types to FFI. Also avoid recreating FFIFunction objects and cache them in a GHashTable in the new seed_ffi_library_priv struct.

 modules/ffi/seed-ffi.c     |   51 +++++++++++++++++++++++++++++++++-----------
 modules/ffi/test-strdup.js |   12 +++++++++++
 modules/ffi/test-xlib.js   |   24 +++++++++++++++++++++
 3 files changed, 74 insertions(+), 13 deletions(-)

commit b2acd1899e80b0b7b0decb8b7d8d42607067f3b1
Author: Robert Carr <racarr@gnome.org>
Date:   Sun Aug 2 14:05:53 2009 -0400

    [libxml] getAttribute would only work for the first attribute in a tag. Fix this

 modules/libxml/xml.js |    1 +
 1 file changed, 1 insertion(+)

commit 05fc42c0bc3939e6e6189d1a3902c12d05adec8d
Author: Robert Carr <racarr@gnome.org>
Date:   Sun Aug 2 13:55:24 2009 -0400

    [ffi] Hey, ffi actually works now. Add tests to prove this

 modules/ffi/Makefile.am    |    3 +-
 modules/ffi/seed-ffi.c     |   83 ++++++++++++++++++++++----------------------
 modules/ffi/test-sin.js    |   12 +++++++
 modules/ffi/test-strcmp.js |   13 +++++++
 4 files changed, 68 insertions(+), 43 deletions(-)

commit 828878ad4200b30af64be5f539c5da0a1a493fda
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Aug 1 21:43:59 2009 -0400

    [examples] Distribute proper versions of clutter examples

 config.h.in                                 |    3 +++
 doc/reference/tmpl/seed-typeconversion.sgml |    2 +-
 examples/Makefile.am                        |    9 ++++-----
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 04adfffbe102296024ff2d1d8f5fb6f16d38860a
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 21:28:14 2009 -0400

    [ffi] Calling functions works now...

 modules/ffi/Makefile.am |    2 +-
 modules/ffi/seed-ffi.c  |  220 +++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 216 insertions(+), 6 deletions(-)

commit 9011b640aef992b5c3d32296d47dfea564fa5b17
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 18:48:08 2009 -0400

    [ffi] Start implementing the calling bits...

 modules/ffi/seed-ffi.c |   36 ++++++++++++++++++++++++++++++++++--
 1 file changed, 34 insertions(+), 2 deletions(-)

commit 5681c3843e90c76b85dd69d43980c89a31cf7aae
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 18:27:21 2009 -0400

    ffi: Implement signature reading/building of internal representation for function signatures

 modules/ffi/seed-ffi.c |  135 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 134 insertions(+), 1 deletion(-)

commit 571e2a04909667b5f9df07648cdc9f99e1f74fa6
Merge: f28d045 5e7849a
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 17:52:55 2009 -0400

    Merge branch 'master' into ffi

commit 5e7849a059c22653f0262c437b1a594a608ce91f
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 17:52:34 2009 -0400

    [libseed] Fix bug in seed_value_to_string where if an object had an explicitly null toString member (overriding the default object one), it would cause a crash

 libseed/seed-types.c |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit f28d04531685356203c6a2c2aee28f0aa01b959a
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 17:47:52 2009 -0400

    Implement getting functions from libraries...sort of...no calling yet

 modules/ffi/seed-ffi.c |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit c9518305fb0e6403dea3cce677bc06d0d442e707
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 17:32:23 2009 -0400

    Add ffi.Library constructor

 modules/ffi/Makefile.am |   24 ++++++++++++++
 modules/ffi/seed-ffi.c  |   80 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

commit b79b825990e62e5e6c87ec6b9815f09d58e7a56a
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 17:19:54 2009 -0400

    Initial add of ffi module

 configure.ac        |   20 ++++++++++++--------
 libseed/seed.h      |   10 ++++++++++
 modules/Makefile.am |    2 +-
 3 files changed, 23 insertions(+), 9 deletions(-)

commit 08095552dde09554a7a4de36a66b90ced7d7283c
Author: Robert Carr <racarr@gnome.org>
Date:   Sat Aug 1 15:54:29 2009 -0400

    [libseed] Organize seed.h by value/object/context/closure/etc functions.

 libseed/seed.h |  132 ++++++++++++++++++++++++++------------------------------
 1 file changed, 62 insertions(+), 70 deletions(-)

commit 00f9a08b7a743c1d9a644f65ed40ff9dc20856ab
Author: Robert Carr <racarr@gnome.org>
Date:   Fri Jul 31 23:48:29 2009 -0400

    [libseed] Fix gtype-gtype.js test

 libseed/seed-gtype.c                   |    3 +++
 tests/javascript/gtypes/gtype-gtype.js |   15 ++++++++++-----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 03eaaeb6d49089b93c407dc7abcbd139770e15fc
Author: Robert Carr <racarr@gnome.org>
Date:   Fri Jul 31 23:42:50 2009 -0400

    Fix build

 configure.ac         |    2 --
 examples/Makefile.am |    9 ++-------
 2 files changed, 2 insertions(+), 9 deletions(-)

commit b8012a636c670949081e447116184bc338badf8b
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 31 23:26:59 2009 -0400

    [n-oscillator] Use new semi-attractive gobject property definition

 examples/n-oscillator.js |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

commit 9ef3f053e9a81411026b1670e8bba12d3bf08137
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 31 23:19:04 2009 -0400

    [notify-test] Make notify test only notify on file creation, and show semi-useful information, just for fun

 examples/notify-test.js |   20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 55b773883ec6c46803849744f0f66b0593b7bbe2
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 31 23:09:58 2009 -0400

    [examples] Move clutter-transitions to broken as it hasn't been ported from 0.8

 examples/broken/clutter-transitions/Makefile.am    |   15 +
 examples/broken/clutter-transitions/main.js        |   85 +++
 examples/broken/clutter-transitions/one.jpg        |  Bin 0 -> 379735 bytes
 .../clutter-transitions/transition-library.js      |  661 ++++++++++++++++++++
 examples/broken/clutter-transitions/two.jpg        |  Bin 0 -> 218469 bytes
 examples/clutter-transitions/Makefile.am           |   15 -
 examples/clutter-transitions/main.js               |   85 ---
 examples/clutter-transitions/one.jpg               |  Bin 379735 -> 0 bytes
 examples/clutter-transitions/transition-library.js |  661 --------------------
 examples/clutter-transitions/two.jpg               |  Bin 218469 -> 0 bytes
 examples/pango.js                                  |    4 +-
 11 files changed, 763 insertions(+), 763 deletions(-)

commit 4760f2f970f7e35bba97f737696beee4b4084f95
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 31 23:05:40 2009 -0400

    [examples] Clutter 1.0 is stable; there's no reason to hold around 0.8 or 0.9 examples anymore. Deprecate pong because it's horrible and never got ported from 0.8.

 examples/broken/pong/Makefile.am        |   19 ++
 examples/broken/pong/ball.png           |  Bin 0 -> 1570 bytes
 examples/broken/pong/midline.png        |  Bin 0 -> 4741 bytes
 examples/broken/pong/player.png         |  Bin 0 -> 1671 bytes
 examples/broken/pong/player2.png        |  Bin 0 -> 1491 bytes
 examples/broken/pong/pong.js            |  341 +++++++++++++++++++++++++++++++
 examples/clutter-0.8.js                 |  118 -----------
 examples/clutter-0.9.js                 |  106 ----------
 examples/clutter-1.0.js                 |  104 ++++++++++
 examples/clutter-cairo-1.0.js           |   34 +++
 examples/clutter-cairo.js               |   34 ---
 examples/clutter-cogl-0.8.js            |  126 ------------
 examples/clutter-cogl-0.9.js            |  110 ----------
 examples/clutter-cogl-1.0.js            |  103 ++++++++++
 examples/clutter-pad/main.js            |    3 -
 examples/clutter-shader/ShaderEditor.js |    2 -
 examples/clutter-shader/ShaderView.js   |    2 -
 examples/clutter-shader/main.js         |    8 +-
 examples/pong/Makefile.am               |   19 --
 examples/pong/ball.png                  |  Bin 1570 -> 0 bytes
 examples/pong/midline.png               |  Bin 4741 -> 0 bytes
 examples/pong/player.png                |  Bin 1671 -> 0 bytes
 examples/pong/player2.png               |  Bin 1491 -> 0 bytes
 examples/pong/pong.js                   |  341 -------------------------------
 24 files changed, 605 insertions(+), 865 deletions(-)

commit 02c31eb1b43babb8f3ddbf73bc37b4a4cbdca9d8
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 31 22:20:22 2009 -0400

    [libseed] Throw exception if property is installed with no type

 libseed/seed-gtype.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f77bf3533bcabf0596deda792afc628c376cbb44
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 31 22:18:47 2009 -0400

    [libseed] More error checking for pretty property installation

 libseed/seed-gtype.c |   43 ++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 40 insertions(+), 3 deletions(-)

commit c5fa8fcf5afd15113c2d6d481cbc2e4ee7429a82
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 31 00:28:13 2009 -0400

    Revert "[libseed] The real problem with seed_gtype_construct was that the qdata storing the instance init function was being overwritten, use a hash table keyed by type now"
    
    This reverts commit c7daca0f60ae7e687804b11a7f71990a96042b49.
    
    Conflicts:
    
    	libseed/seed-gtype.c

 examples/pango.js    |    3 -
 libseed/seed-gtype.c |  165 +++++++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 155 insertions(+), 13 deletions(-)

commit 1ee31abd425e67a8d202a576a2520691ef6368be
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 31 00:21:17 2009 -0400

    Revert "[libseed] Commit c7daca0f removed set/get_property on gtype class."
    
    This reverts commit a5abcd40e738bc9d30cfec5369aca74b06cbab24.

 libseed/seed-gtype.c |   40 ----------------------------------------
 1 file changed, 40 deletions(-)

commit fabfb136e709eda42c2d6d11230e2c2e7b539bda
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 30 22:19:16 2009 -0400

    [tests] Accidentally committed broken test in last commit.

 tests/javascript/gtypes/gtype-property-nice.js |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f509e54d94dca9e0a22b41054976856818e51c6
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 30 22:17:51 2009 -0400

    [libseed] More pretty-install property types, exception handling, etc.

 libseed/seed-gtype.c                           |  195 ++++++++++++++++++++----
 tests/javascript/gtypes/gtype-property-nice.js |    2 +-
 2 files changed, 168 insertions(+), 29 deletions(-)

commit 90ccc29b60c2ba4dd2d77c50dad497ed4f05acb3
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 30 21:30:14 2009 -0400

    [libseed] Add more attractive way to define GObject properties on newly created GTypes.
    
    This is incomplete as of yet (only supports bool and char properties, but it's mostly just copy-'n-paste from here on out).
    
    Also, add a test that shows how to use this (to add a single boolean property, the others follow in an obvious way, except add "maximum_value" and "minimum_value" properties for properties that use them.
    
    This also needs a *ton* more error checking.

 libseed/seed-gtype.c                           |  125 +++++++++++++++++++++++-
 tests/javascript/gtypes/gtype-property-nice.js |   32 ++++++
 2 files changed, 155 insertions(+), 2 deletions(-)

commit a5abcd40e738bc9d30cfec5369aca74b06cbab24
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 30 20:53:28 2009 -0400

    [libseed] Commit c7daca0f removed set/get_property on gtype class.
    
    This fixes breakage in adding properties to JS-side GTypes.

 libseed/seed-gtype.c |   40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

commit c53da2b3078bfd1c29a3fa0242b1de36e985872f
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 29 21:01:58 2009 -0400

    Update copyright headers and indentation notes.

 libseed/seed-api.c                             |    4 +++-
 libseed/seed-builtins.c                        |    4 +++-
 libseed/seed-builtins.h                        |    6 ++----
 libseed/seed-closure.c                         |    6 ++++--
 libseed/seed-closure.h                         |    6 ++----
 libseed/seed-debug.h                           |    6 ++----
 libseed/seed-engine.c                          |    4 +++-
 libseed/seed-engine.h                          |    6 ++----
 libseed/seed-exceptions.c                      |    4 +++-
 libseed/seed-exceptions.h                      |    6 ++----
 libseed/seed-gtype.c                           |    4 +++-
 libseed/seed-gtype.h                           |    6 ++----
 libseed/seed-importer.c                        |   19 +++++++++++++++++++
 libseed/seed-importer.h                        |   19 +++++++++++++++++++
 libseed/seed-module.h                          |   19 +++++++++++++++++++
 libseed/seed-private.h                         |    6 ++----
 libseed/seed-signals.c                         |    4 +++-
 libseed/seed-signals.h                         |    6 ++----
 libseed/seed-structs.c                         |    4 +++-
 libseed/seed-structs.h                         |    7 ++-----
 libseed/seed-types.c                           |    4 +++-
 libseed/seed-types.h                           |    6 ++----
 libseed/seed.h                                 |    6 ++----
 modules/cairo/seed-cairo-enums.c               |   19 +++++++++++++++++++
 modules/cairo/seed-cairo-image-surface.c       |   19 +++++++++++++++++++
 modules/cairo/seed-cairo-matrix.c              |   19 +++++++++++++++++++
 modules/cairo/seed-cairo-pattern.c             |   19 +++++++++++++++++++
 modules/cairo/seed-cairo-pdf-surface.c         |   19 +++++++++++++++++++
 modules/cairo/seed-cairo-surface.c             |   19 +++++++++++++++++++
 modules/cairo/seed-cairo.c                     |   19 +++++++++++++++++++
 modules/canvas/seed-canvas.c                   |   19 +++++++++++++++++++
 modules/dbus/dbus-exports.c                    |   19 +++++++++++++++++++
 modules/dbus/dbus-values.c                     |   21 +++++++++++++++++++--
 modules/dbus/module.c                          |   19 +++++++++++++++++++
 modules/example/seed-example.c                 |   19 +++++++++++++++++++
 modules/gettext/seed-gettext.c                 |   19 +++++++++++++++++++
 modules/gtkbuilder/seed-gtkbuilder.c           |   19 +++++++++++++++++++
 modules/libxml/seed-libxml.c                   |   19 +++++++++++++++++++
 modules/mpfr/seed-mpfr-arithmetic.c            |   18 ++++++++++++++++++
 modules/mpfr/seed-mpfr-cmp.c                   |   18 ++++++++++++++++++
 modules/mpfr/seed-mpfr-trig.c                  |   18 ++++++++++++++++++
 modules/mpfr/seed-mpfr.c                       |   19 +++++++++++++++++++
 modules/multiprocessing/seed-multiprocessing.c |   19 +++++++++++++++++++
 modules/os/seed-os.c                           |   19 +++++++++++++++++++
 modules/readline/seed-readline.c               |   19 +++++++++++++++++++
 modules/sandbox/seed-sandbox.c                 |   19 +++++++++++++++++++
 modules/sqlite/seed-sqlite.c                   |   19 +++++++++++++++++++
 tests/c/api-closure.c                          |   19 +++++++++++++++++++
 tests/c/api-js-signal-from-c.c                 |   19 +++++++++++++++++++
 tests/c/api-types.c                            |   19 +++++++++++++++++++
 tests/c/basic.c                                |   19 +++++++++++++++++++
 tests/c/main.c                                 |   19 +++++++++++++++++++
 52 files changed, 655 insertions(+), 57 deletions(-)

commit b8aa7fd72ea82785122937ab617a5cde6c21d9bf
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 29 20:54:45 2009 -0400

    [libseed] Indentation fix. Sorry, Robb.

 libseed/seed-api.c        |   97 +++++++---------
 libseed/seed-builtins.c   |   23 ++--
 libseed/seed-builtins.h   |    5 +-
 libseed/seed-closure.c    |   67 ++++++-----
 libseed/seed-closure.h    |   22 ++--
 libseed/seed-engine.c     |   97 ++++++++--------
 libseed/seed-engine.h     |   11 +-
 libseed/seed-exceptions.c |    5 +-
 libseed/seed-exceptions.h |   22 ++--
 libseed/seed-gtype.c      |  119 +++++++++++---------
 libseed/seed-importer.c   |  275 +++++++++++++++++++++++----------------------
 libseed/seed-signals.c    |   75 +++++++------
 libseed/seed-structs.c    |   17 +--
 libseed/seed-types.c      |  130 ++++++++++-----------
 libseed/seed-types.h      |   15 +--
 15 files changed, 496 insertions(+), 484 deletions(-)

commit 79a52bf83738b259dfb4bc348a1f97198ad3f438
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Wed Jul 29 19:24:54 2009 -0400

    [docs] Various tiny grammatical fixes

 doc/reference/tmpl/seed-exception.sgml |    8 ++++----
 doc/reference/tmpl/seed-jsclass.sgml   |    8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 5200efdb207f460061e5f58ac5fab5096befc0dc
Author: Robert Carr <racarr@gnome.org>
Date:   Wed Jul 29 05:33:06 2009 -0400

    [libseed] Real solution to the seed_gtype_construct recursion problem when inheriting from Seed defined GTypes. In seed_gtype_construct, we see if our parent is also a Seed defined type (has constructor == seed_gtype_construct), and if so we chain up to it's parent. If not, we chain to our parent.

 libseed/seed-gtype.c |   53 ++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 38 insertions(+), 15 deletions(-)

commit c7daca0f60ae7e687804b11a7f71990a96042b49
Author: Robert Carr <racarr@gnome.org>
Date:   Wed Jul 29 05:00:46 2009 -0400

    [libseed] The real problem with seed_gtype_construct was that the qdata storing the instance init function was being overwritten, use a hash table keyed by type now

 libseed/seed-gtype.c |  158 ++------------------------------------------------
 1 file changed, 6 insertions(+), 152 deletions(-)

commit 2713cdcd087e55b96467c43c7dc57c83540a02ab
Author: Robert Carr <racarr@gnome.org>
Date:   Wed Jul 29 04:49:40 2009 -0400

    [libseed] Remove some unused quarks

 libseed/seed-gtype.c |    5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 343c99ffe3db1d9cdec89216e3aeae17c2e68985
Author: Robert Carr <racarr@gnome.org>
Date:   Wed Jul 29 04:40:58 2009 -0400

    [libseed] Fix the code duplication in init/init_with_context_group. init_with_context_group was out of sync anyway

 libseed/seed-engine.c |  101 ++++++++-----------------------------------------
 1 file changed, 16 insertions(+), 85 deletions(-)

commit 6932a8fff032b8c04ce6003bc0beff6cf61ba3b9
Author: Robert Carr <racarr@gnome.org>
Date:   Wed Jul 29 03:51:27 2009 -0400

    [libseed] All Seed created GTypes have the same construct function (seed_gtype_construct), and so when chaining to the parent constructor, it is neccessary to explicitly pass the parent type rather than the constructor type, or suffer imminent stack overflow closes 590049. This was introduced in the switch from using init to constructors. Also includes a test

 libseed/seed-gtype.c                   |    2 +-
 tests/javascript/gtypes/Makefile.am    |    1 +
 tests/javascript/gtypes/gtype-gtype.js |   26 ++++++++++++++++++++++++++
 3 files changed, 28 insertions(+), 1 deletion(-)

commit c5c340ad6dea7d0e034b1544e9ea074b03329891
Author: Robert Carr <racarr@gnome.org>
Date:   Wed Jul 29 03:42:01 2009 -0400

    [libseed] Prototype of gobject_methods should be Function.prototype. JSCore does not expose the JSObjectRef for Function.prototype, so it is neccessary to evaluate Function.prototype and assign from this.

 libseed/seed-engine.c |   10 ++++++++++
 libseed/seed-engine.h |    2 ++
 2 files changed, 12 insertions(+)

commit 2074f448e9033a28e5a56757b4a96ebdf929ed30
Author: Robert Carr <racarr@gnome.org>
Date:   Tue Jul 28 23:55:59 2009 -0400

    [docs] Add remarks about JavaScriptCore exception model

 doc/reference/tmpl/seed-exception.sgml |   12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 705f8593007bc891d846acb94e8618b0f5534072
Author: Robert Carr <racarr@gnome.org>
Date:   Tue Jul 28 23:48:28 2009 -0400

    [docs] Add some documentation to SeedClass

 doc/reference/tmpl/seed-jsclass.sgml |   12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 0665abac32a65f343e7dc645b6add2b15c9507cd
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 27 16:08:33 2009 -0400

    [libseed] Use g_build_filename for portability

 libseed/seed-importer.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit acdf1ac0bdb852be8da7b947a32090ca8f1f89d0
Author: Robert Carr <racarr@svn.gnome.org>
Date:   Sun Jul 26 12:03:11 2009 -0400

    [libseed] Implement __init__.js functionality. When an importer directory is loaded (say imports.lightsoff) if the folder contains __init__.js it will be run (with the imports.lightsoff object as this)

 libseed/seed-api.c      |    9 +++++++++
 libseed/seed-engine.h   |   11 +++++++++++
 libseed/seed-importer.c |    5 +++++
 libseed/seed.h          |    1 +
 4 files changed, 26 insertions(+)

commit 5b17a330a7e1548ae4de440c62d1cf014b69208b
Author: Robert Carr <racarr@svn.gnome.org>
Date:   Sun Jul 26 11:53:28 2009 -0400

    [libseed] Refactor some of the importer dir handling code (adding __init__.js) soon

 libseed/seed-importer.c |   22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit 35e489736416bec156ed64da969d7dd689db3299
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 23 08:23:44 2009 -0400

    [docs] Search path documentation

 doc/reference/imports.sgml |   13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 42884e419cc2d06ae171bcd16b4e7baf6195ea48
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 23 07:43:57 2009 -0400

    [docs] Loading native modules documentation

 doc/reference/imports.sgml |   21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit e4992b7a74635d3bd9b592d675d3cedaa4506fc7
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 22 15:47:30 2009 -0400

    [docs] Initial gtk-doc about the importer (from JS-side)
    
    This and all subsequent commits should be reviewed later or by
    other eyes, as this documentation is being written on a bus...

 doc/reference/imports.sgml   |   59 ++++++++++++++++++++++++++++++++++++++++++
 doc/reference/seed-docs.sgml |    8 +++---
 2 files changed, 64 insertions(+), 3 deletions(-)

commit ec8d13813ca60c723c98c33bf56a7af104c9a69c
Author: Ernani Azevedo <ernaniaz@gmail.com>
Date:   Tue Jul 21 14:42:38 2009 -0400

    [docs] Make documentation respect DESTDIR install parameter

 doc/modules/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 249a26bd0774ff7a3c45c295c1b355ab015981c1
Author: Xan Lopez <xan@gnome.org>
Date:   Mon Jun 22 15:18:36 2009 +0300

    Fix iteration over out parameters after invoking a function.
    
    We were using the same index to iterate over both in and out arrays,
    but since they are different arrays both starting at 0 we need to use
    two variables.
    
    On top of that, use out_args as the arguments source, since that's the
    array that we pass to g_function_info_invoke.

 libseed/seed-engine.c |    9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit cb2a4316ccf6c7fc923bbc9ccde1072d83b1e994
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 16 16:55:27 2009 -0400

    [os] Also use canonicalize_file_name in os.realpath

 modules/os/seed-os.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2b6406f682002c136cb62176214859699768f2df
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 16 16:32:32 2009 -0400

    [libseed] Use canonicalize_file_name instead of realpath
    
    Apparently MAX_PATH is broken on many systems, and realpath is just a bad idea;
    this trades one problem for another, because now we depend on a glibc extension

 libseed/seed-importer.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 357249509ac56e88629791f6f89bee2122ace403
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 16 07:52:48 2009 -0400

    Replace use of g_strconcat with "/" with g_build_filename

 libseed/seed-importer.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e530b8e5f6bba577709c94e244def26eb862d8f
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Wed Jul 15 01:54:11 2009 -0400

    [libseed] [os] Make __script_path__ canonical and absolute. Add os.realpath.

 extensions/Seed.js.in   |   23 ++++++++++++++++++++---
 libseed/seed-importer.c |   17 ++++++++++++++---
 modules/os/seed-os.c    |   23 +++++++++++++++++++++++
 3 files changed, 57 insertions(+), 6 deletions(-)

commit 5f4db73080bb6d7f5d0a6edbc5cc5eed34a01716
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Tue Jul 14 17:22:52 2009 -0400

    [gtkbuilder] Override Gtk.Builder.add_from_string to automatically pass the length argument

 extensions/Gtk.js                    |   10 ++++++++++
 modules/gtkbuilder/seed-gtkbuilder.c |    2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 43bbb4efb5929f31a8388ccfc21bebbd71996450
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Tue Jul 14 16:57:04 2009 -0400

    [libseed] Expose path to script as __script_path__ on all JS contexts

 extensions/Seed.js.in   |    6 +++---
 libseed/seed-importer.c |    6 ++++++
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 507a6b4fd2ffabb94861f02e4854282e09d8ddbc
Author: Tim Horton <hortont424@gmail.com>
Date:   Mon Jul 13 20:33:22 2009 -0400

    [examples] ls.js accidentally got Seed. stripped from printf (not print)

 examples/ls.js |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f0e383e71ae80fceb558ed2334fa64459d0245f8
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 13 04:20:29 2009 -0400

    [docs] Seed online docs moved to library.gnome.org

 doc/reference/seed-docs.sgml |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c86a963cc8ad8ac6b336439d5177e1709a1a9175
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 12 18:03:19 2009 -0400

    [docs] Native function example

 doc/reference/tmpl/seed-nativefuncs.sgml |   38 ++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit d07fc3f0de74f1a97066d1fde477d98a09cc2974
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 12 17:49:42 2009 -0400

    [docs] Move SeedFunctionCallback docs to seed-api.c

 doc/reference/tmpl/seed-nativefuncs.sgml |   15 +++++++--------
 libseed/seed-api.c                       |   17 +++++++++++++++++
 2 files changed, 24 insertions(+), 8 deletions(-)

commit bd64bd2880e4a97ad149a9531857a2bd470c1424
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 12 17:40:31 2009 -0400

    [docs] SeedFunctionCallback documentation
    
    I put docs for this in the sgml template. Not sure that's right, but it seems
    wrong to put it in seed.h too

 doc/reference/tmpl/seed-nativefuncs.sgml |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 80047cc4c1417f6bcb0ffd9664c7b8c44480566e
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 12 17:30:19 2009 -0400

    [libseed] Fix inconsistent argument naming on seed_create_function

 doc/reference/tmpl/seed-nativefuncs.sgml |    4 ++--
 libseed/seed.h                           |    4 ++--
 m4/libtool.m4                            |    3 +++
 3 files changed, 7 insertions(+), 4 deletions(-)

commit a1ef3808f0f2dd353bf32a66ae5ee9a9bbc67b16
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 12 17:27:20 2009 -0400

    [docs] seed_create_function

 doc/reference/tmpl/seed-nativefuncs.sgml |   11 +++++++++++
 libseed/seed-engine.c                    |   12 ++++++++++++
 2 files changed, 23 insertions(+)

commit cb832d1dd5adf4f55e50044c4e35a76254af2d9c
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 12 17:21:25 2009 -0400

    [docs] Update native function documentation

 doc/reference/tmpl/seed-nativefuncs.sgml |   17 +++++------------
 libseed/seed-api.c                       |    5 ++++-
 2 files changed, 9 insertions(+), 13 deletions(-)

commit e1d947a9d2fe8aabae4a32703ed0e76157752269
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 12 16:33:47 2009 -0400

    [docs] Update more seed_value* docs

 libseed/seed-api.c |   54 +++++++++++++++++++++++++++++++++++++++++++---------
 m4/libtool.m4      |    3 ---
 2 files changed, 45 insertions(+), 12 deletions(-)

commit 76d4134bebfe35ff4525053f62bf32a6dde30c88
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 12 16:12:39 2009 -0400

    [docs] seed_value_[to/from]_object

 libseed/seed-types.c |   28 +++++++++++++++++++++++++++-
 1 file changed, 27 insertions(+), 1 deletion(-)

commit b3ab1da1d2dd3edd04d193a00b0f76b2b935849a
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 12 16:04:43 2009 -0400

    [docs] seed_value_to/from_filename, binary_string, etc

 libseed/seed-api.c   |   32 ++++++++++++++++++--------------
 libseed/seed-types.c |   43 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+), 14 deletions(-)

commit 7b31d94a35d91ebe2149ba5ab01048dbad297c76
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 12 15:51:05 2009 -0400

    [docs] Add example for exception throwing

 doc/reference/tmpl/seed-context.sgml   |    2 +-
 doc/reference/tmpl/seed-exception.sgml |   34 ++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 1 deletion(-)

commit a3b64d47ed29af92f5cb0d4afe34962f67df6a24
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 12 15:21:26 2009 -0400

    [docs] Update SeedScript/evaluation docs

 doc/reference/tmpl/seed-eval.sgml |   34 +++++++++++++++++++++++++++++++++-
 libseed/seed-api.c                |   10 ++++++++--
 2 files changed, 41 insertions(+), 3 deletions(-)

commit 2ca762eb8626ee08057a9a35e9531b917ed06102
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jul 11 21:12:47 2009 -0400

    [docs] Expand seed_value_to_string docs to explain various conditions

 libseed/seed-types.c |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 5b45b9c62d2171b90318d23f021a3f6f736f1f6a
Author: Tim Horton <hortont424@gmail.com>
Date:   Sat Jul 11 21:04:08 2009 -0400

    [libseed] Type-conversion documentation (filler, to make gtk-doc happy)

 libseed/seed-types.c |  114 +++++++++++++++++++++++++++++++++++++-------------
 m4/libtool.m4        |   27 ++++++++++--
 2 files changed, 109 insertions(+), 32 deletions(-)

commit 78ca796573ea93c37a049ea9b9c815d79de9b0d8
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 11 01:41:47 2009 -0400

    [libseed] More minor GLib usage and redefinition fixes.

 libseed/seed-api.c        |   12 ++---
 libseed/seed-builtins.c   |   59 +++++++++-------------
 libseed/seed-closure.c    |   16 +++---
 libseed/seed-engine.c     |    9 ++--
 libseed/seed-exceptions.c |    9 ++--
 libseed/seed-gtype.c      |   66 ++++++++++++------------
 libseed/seed-structs.c    |    9 ++--
 libseed/seed-types.c      |  123 +++++++++++++++++++++------------------------
 8 files changed, 141 insertions(+), 162 deletions(-)

commit cedbd784516b7309afbeada52256f18239810768
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 11 00:19:04 2009 -0400

    [libseed] Use glib types everywhere, don't redefine variables in inner scope, etc.

 libseed/seed-engine.c     |   39 ++++++++++++++---------------
 libseed/seed-exceptions.c |    8 +++---
 libseed/seed-importer.c   |   61 ++++++++++++++++++++++++---------------------
 libseed/seed-signals.c    |    9 ++++---
 libseed/seed-structs.c    |   47 +++++++++++++++++-----------------
 5 files changed, 86 insertions(+), 78 deletions(-)

commit 5391d53c3c92bea30143ea0468212f798a721bf1
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 23:17:26 2009 -0400

    [tests] Distribute module test

 tests/javascript/Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit f879de36b63568c9ab37e437067fd538fdc6c4df
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Fri Jul 10 23:08:31 2009 -0400

    [libseed] Reduced unneccessary libc string functions in favor of glib ones

 libseed/seed-builtins.c   |    4 +---
 libseed/seed-engine.c     |    7 +++----
 libseed/seed-exceptions.c |    3 +--
 libseed/seed-importer.c   |   28 ++++++++++++++--------------
 libseed/seed-signals.c    |    5 ++---
 libseed/seed-structs.c    |    6 ++----
 libseed/seed-types.c      |    3 +--
 m4/libtool.m4             |   24 ++++--------------------
 src/main.c                |    2 --
 9 files changed, 28 insertions(+), 54 deletions(-)

commit a3f95340e19e82faf4c0c6e2b70a9388e33f9f93
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 20:33:10 2009 -0400

    [examples] Note to the user that calculator-mpfr isn't working yet

 examples/calculator-mpfr.js |    3 +++
 tools/check-release.sh      |    1 +
 2 files changed, 4 insertions(+)

commit 722d61cdb9da1fd2db204026a637250081187f0b
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 20:29:36 2009 -0400

    Revert "[docs] Try to keep html directory around (empty file so git doesn't lose it)"
    
    This reverts commit 3acbf99b1f53e4494a9bb1a5af31a0d68188119e.

 0 files changed

commit 357f14425225a723c75d315a8e024387e7c8bc9f
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 20:29:27 2009 -0400

    Revert "[docs] Missed part of the last commit"
    
    This reverts commit 19658a0833b6f5fdc95d26d1151e2b42a6b2a1b8.

 doc/reference/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 19658a0833b6f5fdc95d26d1151e2b42a6b2a1b8
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 20:27:25 2009 -0400

    [docs] Missed part of the last commit

 doc/reference/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3acbf99b1f53e4494a9bb1a5af31a0d68188119e
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 20:16:29 2009 -0400

    [docs] Try to keep html directory around (empty file so git doesn't lose it)

 0 files changed

commit ee2714fc1e4050a7237d0fd0e630064f144ccbb2
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 20:15:24 2009 -0400

    [docs] Make sure to distribute contact documentation page

 doc/reference/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9769390e6cc3b24e10ad3f47503fdfad1e028387
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 20:15:05 2009 -0400

    [tools] Use public git repo for check-release, not git+ssh

 tools/check-release.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7ce9a47b25a7b481c2b58693a26a070195fce51
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 20:00:53 2009 -0400

    [build] Clean up configure output surrounding mpfr detection

 configure.ac |    5 -----
 1 file changed, 5 deletions(-)

commit 040640ee779534c623e6642d61e359ad6d91cb72
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 19:58:10 2009 -0400

    [build] Distribute manpage

 doc/Makefile.am |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 51b6443fc5a573432af9574e48ae79167d8154e6
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 19:56:39 2009 -0400

    [docs] Add empty seed.types back so make dist doesn't complain

 .gitignore |    1 -
 1 file changed, 1 deletion(-)

commit dd992cfa5813a59963b7d8d4f84c5ea55773de32
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 18:06:25 2009 -0400

    [modules] Fix last remaining minor warnings in canvas and dbus

 modules/canvas/seed-canvas.c |    6 +++---
 modules/dbus/dbus-values.c   |    3 +++
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 2e57474eec77500d802e255eb52767f3740a2f19
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 17:26:42 2009 -0400

    [docs] Don't scan seed-debug or seed-path, as they're not public api

 doc/reference/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b1663647e75c94c9c202a86489108f81105cbfe
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 17:23:03 2009 -0400

    [docs] Include module references in big Seed Reference
    
    It's becoming clear that we should put *everything* in the one
    big book, so we can have interlinking and so that everything is
    in the same devhelp book.

 doc/Makefile.am                       |    2 +-
 doc/modules/book.xml                  |    2 +-
 doc/modules/gtkbuilder/gtkbuilder.xml |   10 +++++-----
 doc/modules/readline/readline.xml     |   10 +++++-----
 doc/modules/sandbox/sandbox.xml       |   11 +++++------
 doc/modules/sqlite/sqlite.xml         |   16 ++++++++--------
 doc/reference/Makefile.am             |    2 +-
 doc/reference/contact.sgml            |    2 +-
 doc/reference/seed-docs.sgml          |   17 +++++++++++++----
 9 files changed, 40 insertions(+), 32 deletions(-)

commit 4ff12561a2c7d4ad270ca296f72f8b7b5472a93e
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 16:32:25 2009 -0400

    Update version to 0.8.5

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4079409f2a59ad0e8b884dacce7071eeffd54eaa
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 16:31:43 2009 -0400

    Add changelog data for 0.8.5

 ChangeLog |   35 ++++++++++++++++++++++++++++++++---
 1 file changed, 32 insertions(+), 3 deletions(-)

commit 15bc4fe551bd33f3234b4b9c05fb662bc7b410e6
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 15:50:20 2009 -0400

    Repair changelog (0.8 didn't conform to 80 chars, double spacing)

 ChangeLog |   66 ++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 50 insertions(+), 16 deletions(-)

commit 1e8e6a75232f1b0c2f719a8f9383bea4a2bffc08
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 10 15:45:57 2009 -0400

    [docs] Move webkit minimum revision details to deps list, not intro

 doc/reference/building.sgml     |    4 ++--
 doc/reference/introduction.sgml |    7 ++-----
 2 files changed, 4 insertions(+), 7 deletions(-)

commit 8b599c999131de68d7fe26f09aa68e2e4a56efd6
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 9 00:57:41 2009 -0400

    [docs] Significantly updated exception documentation

 doc/reference/tmpl/seed-exception.sgml |    1 +
 libseed/seed-exceptions.c              |   23 +++++++++++++++++++++--
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 914a2e95e68724fbed2ef209392b537871faca5d
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 9 00:43:30 2009 -0400

    [docs] Remove import_namespace and include from runtime docs

 doc/runtime.html.in |   27 ---------------------------
 1 file changed, 27 deletions(-)

commit e6b1696d22f915bf5098a7d21256f164f79f53d2
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 9 00:41:57 2009 -0400

    [docs] Add exception names to reference

 doc/reference/tmpl/seed-exception.sgml |   14 ++++++++++++--
 libseed/seed-exceptions.c              |    5 ++---
 libseed/seed-module.h                  |    3 ++-
 3 files changed, 16 insertions(+), 6 deletions(-)

commit ad5feadbd8a0b3f8f8d1551a1e9263fcada58061
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 9 00:14:26 2009 -0400

    [docs] Scan seed-header.h; install seed-header.h; docs for seed-header.h

 doc/reference/seed-sections.txt      |    3 ++
 doc/reference/tmpl/seed-modules.sgml |   28 +++++++++++++
 libseed/Makefile.am                  |    2 +-
 libseed/seed-module.h                |   72 ++++++++++++++++++++++++++++++++++
 modules/Makefile.am                  |    2 -
 modules/cairo/Makefile.am            |    1 -
 modules/canvas/Makefile.am           |    1 -
 modules/dbus/Makefile.am             |    1 -
 modules/example/Makefile.am          |    1 -
 modules/gettext/Makefile.am          |    1 -
 modules/gtkbuilder/Makefile.am       |    1 -
 modules/libxml/Makefile.am           |    1 -
 modules/mpfr/Makefile.am             |    1 -
 modules/multiprocessing/Makefile.am  |    3 +-
 modules/os/Makefile.am               |    3 +-
 modules/readline/Makefile.am         |    2 +-
 modules/sandbox/Makefile.am          |    1 -
 modules/seed-module.h                |   33 ----------------
 modules/sqlite/Makefile.am           |    2 +-
 19 files changed, 108 insertions(+), 51 deletions(-)

commit 87b930b47e17e8da289425083706058170288919
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 21:59:00 2009 -0400

    [docs] Fix incorrect argument name in prepare_global_context docs.

 libseed/seed-engine.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6cc781232c0d804b831ec1cbe1e9e6163456e5d
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 21:58:20 2009 -0400

    [docs] Add context sample code

 doc/reference/tmpl/seed-context.sgml |   14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit cb63a71c7e172ae696e47b257ecce9a58d0b0f4f
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 19:30:25 2009 -0400

    [mpfr] Made mpfr.zeta support mpfr_zeta_ui

 modules/mpfr/seed-mpfr-trig.c |   11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 97f6941a9e2aa10b431e6433c6e03dbfa23a0ff8
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 19:07:19 2009 -0400

    [mpfr] Added mpfr.cmp_si_2exp

 modules/mpfr/seed-mpfr-cmp.c |   40 ++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c     |    1 +
 modules/mpfr/seed-mpfr.h     |    1 +
 3 files changed, 42 insertions(+)

commit 43110b2c79de98c3db06c6c0482aed9d096689b1
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 19:01:22 2009 -0400

    [mpfr] Added mpfr.div_2si

 modules/mpfr/seed-mpfr-arithmetic.c |   40 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 42 insertions(+)

commit ebfee4e5c63cfd8be80e3a1f1f1048a0c9e30421
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 19:00:15 2009 -0400

    [mpfr] Added mpfr.mul_2si

 modules/mpfr/seed-mpfr-arithmetic.c |   40 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 42 insertions(+)

commit bf1f335aeb7dd36ff5cc05b891530bfff5e2775d
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 18:50:13 2009 -0400

    [mpfr] Added mpfr.pow

 modules/mpfr/seed-mpfr-arithmetic.c |   65 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 67 insertions(+)

commit 851a5a6506f87c37c1b41a8ad304eb60cc1cb162
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 18:33:25 2009 -0400

    [mpfr] Added mpfr.root

 modules/mpfr/seed-mpfr-arithmetic.c |   41 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 43 insertions(+)

commit c6fdb66f865aa6d520845a3f4fee50b758bc8dd0
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 18:26:10 2009 -0400

    [mpfr] Added mpfr.sqr

 modules/mpfr/seed-mpfr-arithmetic.c |   30 ++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 32 insertions(+)

commit 5738d1175fc4838440bc994cb156a9f48035887c
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 18:24:23 2009 -0400

    [mpfr] Added mpfr.div

 modules/mpfr/seed-mpfr-arithmetic.c |   61 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 63 insertions(+)

commit 8c10fb9166d09d97592951840e0029fb40ccaabb
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 18:22:58 2009 -0400

    [mpfr] Added mpfr.sub

 modules/mpfr/seed-mpfr-arithmetic.c |   61 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 63 insertions(+)

commit 404d588cd8beb3743a1427e3e34d27409e217548
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 18:19:19 2009 -0400

    [mpfr] Added mpfr.mul

 modules/mpfr/seed-mpfr-arithmetic.c |   61 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    2 ++
 3 files changed, 64 insertions(+)

commit a9aba4a900db1e383f9b14074791f5c3b41b6fce
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 17:55:44 2009 -0400

    [mpfr] mpfr.check_range

 modules/mpfr/seed-mpfr.c |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 5f7e61f5c3710a2e8b91a635ad1eb56a7067f352
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 17:54:16 2009 -0400

    [mpfr] Added mpfr.subnormalize

 modules/mpfr/seed-mpfr.c |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit aa2c73c6f6afeb3631ee1f01aa2f9c51a002aa21
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 17:49:29 2009 -0400

    [docs] Add a bit of SeedContext documentation

 doc/reference/tmpl/seed-context.sgml |    6 +++++-
 libseed/seed-api.c                   |    4 ++++
 libseed/seed-engine.c                |   11 +++++++++--
 3 files changed, 18 insertions(+), 3 deletions(-)

commit 11df7daf19cf4eaf064fdd1cbee83e8f24228eec
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 16:19:41 2009 -0400

    [docs] Use &nbsp; to make empty lines not disappear. Hackk..

 doc/reference/tmpl/seed-main.sgml    |    8 ++++----
 doc/reference/tmpl/seed-modules.sgml |   25 ++++++++++++-------------
 2 files changed, 16 insertions(+), 17 deletions(-)

commit ebfa0c081960c5cd2418452e768712ffff935d8f
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 13:38:09 2009 -0400

    Added mpfr.clear_flags()

 modules/mpfr/seed-mpfr-trig.c |   12 ++++++++++++
 modules/mpfr/seed-mpfr.c      |    1 +
 modules/mpfr/seed-mpfr.h      |    1 +
 3 files changed, 14 insertions(+)

commit bfc30ff0b89e2d0664f0763a666e9f790317627d
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 13:35:21 2009 -0400

    Added other flags

 modules/mpfr/seed-mpfr.c |  104 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 104 insertions(+)

commit 4d4eb865512698b708d161da00ee6eec5d2591c7
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 13:30:00 2009 -0400

    Underflow flag

 modules/mpfr/seed-mpfr.c |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 7668be5a9559e9f281527e1edfdf261ff4c938dc
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 13:22:23 2009 -0400

    Added emin_min, emin_max, emax_min, emax_max

 modules/mpfr/seed-mpfr.c |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

commit 62546b402f150009bcbccbf0e638b18209373ecd
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 8 13:09:27 2009 -0400

    Made mpfr.cmp work with doubles

 modules/mpfr/seed-mpfr-cmp.c |   14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 4a0f80f582272689368d3a792078b8d07a280210
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Wed Jul 8 14:22:44 2009 -0400

    [gettext] Don't free the wrong string (causing double-free crash in case of no translation)

 modules/gettext/seed-gettext.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b531c83fcd6eb374a9af4fcb5c763ab2d20d1723
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 01:24:17 2009 -0400

    [docs] Expand "Initialization" docs

 libseed/seed-api.c    |    4 +++-
 libseed/seed-engine.c |   24 +++++++++++++++++++++---
 2 files changed, 24 insertions(+), 4 deletions(-)

commit 596536aef46f13167f48dc664685c83768e32cd1
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 01:10:06 2009 -0400

    [docs] Add a few simple examples for writing modules. Why isn't spacing preserved in inline code?

 doc/reference/tmpl/seed-modules.sgml     |   92 +++++++++++++++++++++++++++++-
 doc/reference/tmpl/seed-nativefuncs.sgml |    2 +-
 2 files changed, 91 insertions(+), 3 deletions(-)

commit 976c7463e44b9eed61047488dd0e51c667ed8879
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 00:57:18 2009 -0400

    [libseed] Fix spelling error in SeedFunctionCallback

 libseed/seed.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37591fb2e2c449a91b76306eb8ae2cfcae761ebe
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 00:23:46 2009 -0400

    [docs] Add simple "Hello world" to docs

 doc/reference/tmpl/seed-main.sgml   |   25 +++++++-
 doc/reference/tmpl/seed-unused.sgml |  110 -----------------------------------
 2 files changed, 24 insertions(+), 111 deletions(-)

commit f2913266b2903527b55333c32318974259608b4a
Author: Tim Horton <hortont424@gmail.com>
Date:   Wed Jul 8 00:11:10 2009 -0400

    [docs] Add overrides for some of the structs which aren't getting scanned

 .gitignore                           |    1 -
 doc/reference/seed-overrides.txt     |   41 ++++++++++++++++++++++++++++++++++
 doc/reference/tmpl/seed-closure.sgml |   11 +++++++++
 doc/reference/tmpl/seed-eval.sgml    |    4 ++++
 doc/reference/tmpl/seed-main.sgml    |   12 +++++++++-
 libseed/seed-api.c                   |    5 +++--
 6 files changed, 70 insertions(+), 4 deletions(-)

commit 9c5c7ca039b69bf4dea73057452977ca98b27d2a
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Jul 7 22:17:52 2009 -0400

    [docs] Fix numerous gtk-doc warnings

 doc/reference/tmpl/seed-jsclass.sgml     |    2 +-
 doc/reference/tmpl/seed-nativefuncs.sgml |    2 +-
 doc/reference/tmpl/seed-nativetypes.sgml |    2 +-
 libseed/seed-exceptions.c                |    4 +++-
 libseed/seed.h                           |    7 +++----
 5 files changed, 9 insertions(+), 8 deletions(-)

commit 8d02ea7b7780a0aaef4430eccadf94fb93ba0e72
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Jul 7 01:48:27 2009 -0400

    [os] Fix a few more warnings

 modules/os/seed-os.c |    7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit dd5906ddfc057e865ab10647457d52d749f1593c
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Jul 7 01:46:56 2009 -0400

    [modules] Fix many warnings

 Makefile.am                                    |    4 ++--
 modules/multiprocessing/seed-multiprocessing.c |    1 -
 modules/readline/seed-readline.c               |    6 +-----
 3 files changed, 3 insertions(+), 8 deletions(-)

commit dbabb34e177646246a6f5aa2e60fbd6b9c301e7f
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Jul 7 01:33:34 2009 -0400

    [libseed] Make seed_make_pointer public; libxml module uses it, and I see no reason not to

 doc/reference/seed-sections.txt             |    3 ++-
 doc/reference/tmpl/seed-typeconversion.sgml |   10 ++++++++++
 libseed/seed.h                              |    1 +
 3 files changed, 13 insertions(+), 1 deletion(-)

commit ade592dd81d8ef69484d0192eb9ad3679251606a
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Jul 7 01:29:11 2009 -0400

    [libxml] Fix many warnings now that -Wall is on

 modules/libxml/seed-libxml.c |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 3da6f00a365d347db51e88430fdc84ea8ad339d6
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Jul 7 01:18:45 2009 -0400

    [example module] Fix warnings (include glib, etc)

 modules/example/Makefile.am    |    1 -
 modules/example/seed-example.c |    5 +++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 78284d355c6046536472034429fdf4787e703b6b
Author: Tim Horton <hortont424@gmail.com>
Date:   Tue Jul 7 01:16:28 2009 -0400

    [gettext] Fix missing return from dcgettext

 modules/gettext/seed-gettext.c |    2 ++
 1 file changed, 2 insertions(+)

commit 77a6cdd64f3e7326e6b8b75716d1ee3a213de8d7
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 13:07:08 2009 -0400

    [docs] Add seed_empty_class to classes doc, needs to be prettier

 doc/reference/seed-sections.txt      |    1 +
 doc/reference/tmpl/seed-jsclass.sgml |    7 +++++++
 2 files changed, 8 insertions(+)

commit 4cb03f4187c65cc7f5c54403e14d86de810d1911
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 08:44:28 2009 -0400

    [docs] Update wording of module deps

 doc/reference/building.sgml |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 01a8c1016a764cc89955929ddc7d57a8a1f5619c
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 08:36:05 2009 -0400

    [docs] Add bugzilla to contact page

 doc/reference/contact.sgml                  |    6 +++++-
 doc/reference/tmpl/seed-closure.sgml        |    1 -
 doc/reference/tmpl/seed-context.sgml        |    1 -
 doc/reference/tmpl/seed-eval.sgml           |    1 -
 doc/reference/tmpl/seed-exception.sgml      |    1 -
 doc/reference/tmpl/seed-jsclass.sgml        |    1 -
 doc/reference/tmpl/seed-main.sgml           |    1 -
 doc/reference/tmpl/seed-modules.sgml        |    1 -
 doc/reference/tmpl/seed-nativefuncs.sgml    |    1 -
 doc/reference/tmpl/seed-nativetypes.sgml    |    1 -
 doc/reference/tmpl/seed-object.sgml         |    1 -
 doc/reference/tmpl/seed-signals.sgml        |    1 -
 doc/reference/tmpl/seed-typeconversion.sgml |    1 -
 13 files changed, 5 insertions(+), 13 deletions(-)

commit 761d0ef1c02cea817263eab77def83e80434e199
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 08:31:23 2009 -0400

    [docs] Apparently, keeping the generated sgml files around is OK, they get *merged* with new data from the source (and they're where our section titles are)

 doc/reference/tmpl/seed-closure.sgml        |   66 ++++
 doc/reference/tmpl/seed-context.sgml        |   90 ++++++
 doc/reference/tmpl/seed-eval.sgml           |   69 ++++
 doc/reference/tmpl/seed-exception.sgml      |   78 +++++
 doc/reference/tmpl/seed-jsclass.sgml        |   54 ++++
 doc/reference/tmpl/seed-main.sgml           |   49 +++
 doc/reference/tmpl/seed-modules.sgml        |   19 ++
 doc/reference/tmpl/seed-nativefuncs.sgml    |   46 +++
 doc/reference/tmpl/seed-nativetypes.sgml    |  109 +++++++
 doc/reference/tmpl/seed-object.sgml         |  273 ++++++++++++++++
 doc/reference/tmpl/seed-signals.sgml        |   33 ++
 doc/reference/tmpl/seed-typeconversion.sgml |  452 +++++++++++++++++++++++++++
 doc/reference/tmpl/seed-unused.sgml         |   38 +++
 13 files changed, 1376 insertions(+)

commit bd1ba3812693afa393f300f18a9721136880a5e4
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 08:21:18 2009 -0400

    [docs] Add manpage (seed.1)

 Makefile.am |    3 ++-
 doc/seed.1  |   29 +++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 1 deletion(-)

commit acb8a8b4571dd903cfb90bc48f214e762ea4f2df
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 07:56:21 2009 -0400

    [docs] Set namespace to "seed" so reference index is usable

 doc/reference/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8ccfef5944328395a88247fa9e482e6bd6091f1
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 07:54:03 2009 -0400

    [docs] Only list seed/seed.html once in sections

 doc/reference/seed-sections.txt |   14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

commit 6876b5287e00ce7b26dc03d973ab0737e6710b72
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 07:50:41 2009 -0400

    [docs] Update makefile (put static sgml files in the right section)

 doc/reference/Makefile.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6dd8133e74a65a1c3594f07ce0e5ef5959ac3131
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jul 6 07:44:02 2009 -0400

    [docs] Continuing reorg; break into new sections, name sections

 doc/reference/seed-docs.sgml                |   28 ++--
 doc/reference/seed-sections.txt             |  218 +++++++++++++++------------
 doc/reference/tmpl/seed-eval.sgml           |   10 ++
 doc/reference/tmpl/seed-jsclass.sgml        |   10 ++
 doc/reference/tmpl/seed-modules.sgml        |   10 ++
 doc/reference/tmpl/seed-nativefuncs.sgml    |   10 ++
 doc/reference/tmpl/seed-nativetypes.sgml    |   10 ++
 doc/reference/tmpl/seed-signals.sgml        |   10 ++
 doc/reference/tmpl/seed-typeconversion.sgml |   10 ++
 doc/reference/tmpl/seed-value.sgml          |   10 --
 10 files changed, 209 insertions(+), 117 deletions(-)

commit b59d855ec74057fee31e1265e51d0c1410cefd32
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 23:00:01 2009 -0400

    [mpfr] Put stuff on mpfr namespace that belongs there

 modules/gettext/seed-gettext.c |    4 +-
 modules/mpfr/seed-mpfr.c       |   95 +++++++++++++++++++---------------------
 2 files changed, 47 insertions(+), 52 deletions(-)

commit 12960844df76632b0aa020d85be58ffc0133da2a
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 21:52:36 2009 -0400

    [mpfr] get/set emin/emax

 modules/mpfr/seed-mpfr.c |   66 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

commit 9dbc65f301ad4fb32ff86ad0746243fe4bb04f1a
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 21:19:03 2009 -0400

    [mpfr] Added mpfr.get_version and get_patches

 modules/mpfr/seed-mpfr.c |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 6023680fe5d5cfaf92327024ba21b977f9c10c30
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 21:06:41 2009 -0400

    [mpfr] Added mpfr.setsign mpfr.signbit, mpfr.copysign

 modules/mpfr/seed-mpfr-arithmetic.c |   82 ++++++++++++++++++++++++++++++++++-
 modules/mpfr/seed-mpfr.c            |    3 ++
 modules/mpfr/seed-mpfr.h            |    3 ++
 3 files changed, 87 insertions(+), 1 deletion(-)

commit e4db8303b02e73cd9ecf9e551866e53d92f71801
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 20:22:48 2009 -0400

    [mpfr] Add mpfr.can_round and other fixes

 modules/mpfr/seed-mpfr.c |   33 +++++++++++++++++++++++++++++----
 1 file changed, 29 insertions(+), 4 deletions(-)

commit dd843896e1a3ba40e61790121fe8613d984034e8
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 20:01:37 2009 -0400

    [mpfr] get/set default rounding mode

 modules/mpfr/seed-mpfr.c |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit bda517ed18032de986345e84a7b500af8fde0d97
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 19:51:13 2009 -0400

    [mpfr] Added mpfr.prec_round

 modules/mpfr/seed-mpfr-arithmetic.c |   23 +++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    2 ++
 3 files changed, 26 insertions(+)

commit 8de7ca10090920cd681563b89ad52c9753a11395
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 19:40:02 2009 -0400

    [mpfr] Added mpfr.min, mpfr.max

 modules/mpfr/seed-mpfr-arithmetic.c |   64 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    2 ++
 modules/mpfr/seed-mpfr.h            |    3 ++
 3 files changed, 69 insertions(+)

commit ceefddab9e23f237c3f25f4a79cd1a0fdc5556e1
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 19:28:31 2009 -0400

    [mpfr] Added nexttoward, nextabove, nextbelow

 modules/mpfr/seed-mpfr-arithmetic.c |   61 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    3 ++
 modules/mpfr/seed-mpfr.h            |    4 +++
 3 files changed, 68 insertions(+)

commit 013123ce3fc5d75c56070ea624e192609be6b7fe
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 19:07:25 2009 -0400

    [mpfr] Fixed wrong function name in exception

 modules/mpfr/seed-mpfr-trig.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b38405d41a87e45e9eebab79e4b701362ef5289a
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 19:06:28 2009 -0400

    [mpfr] More rounding related functions

 modules/mpfr/seed-mpfr-arithmetic.c |  112 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    4 ++
 modules/mpfr/seed-mpfr.h            |    5 ++
 3 files changed, 121 insertions(+)

commit 8606bdc33cab90824bb263a65c98cae041c91625
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 5 23:06:36 2009 -0400

    [docs] Update contact docs to have Git repo and email addresses

 doc/reference/contact.sgml |   11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 4607806086a74b4caca92e96659ad03446247ba5
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 5 22:57:55 2009 -0400

    [docs] Add contact information to docs

 doc/reference/contact.sgml   |   23 +++++++++++++++++++++++
 doc/reference/seed-docs.sgml |   19 ++++++++-----------
 libseed/seed-api.c           |   12 ------------
 libseed/seed-closure.h       |    6 ------
 libseed/seed-exceptions.h    |    6 ------
 libseed/seed-types.h         |   12 ------------
 6 files changed, 31 insertions(+), 47 deletions(-)

commit 3c2c736db83736b4cfe2f87d2eec5aae58ce83b8
Author: Tim Horton <hortont424@gmail.com>
Date:   Sun Jul 5 22:45:03 2009 -0400

    [docs] Add the rest of the sgml templates

 doc/reference/tmpl/seed-closure.sgml   |   10 ++
 doc/reference/tmpl/seed-exception.sgml |   10 ++
 doc/reference/tmpl/seed-main.sgml      |   10 ++
 doc/reference/tmpl/seed-main.sgml.sgml |  226 ++++++++++++++++++++++++++++++++
 doc/reference/tmpl/seed-object.sgml    |   10 ++
 doc/reference/tmpl/seed-string.sgml    |   10 ++
 doc/reference/tmpl/seed-value.sgml     |   10 ++
 7 files changed, 286 insertions(+)

commit 4d07b99f9e26454a1f4fc553a8d401013c73fe9d
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 5 19:29:43 2009 -0400

    [docs] Move SeedContext section annotation to doc dir instead of header
    
    Shortly, I will begin the (for me, anyway) final reorg of the documentation,
    based on a bit of sketching on paper. It's going to involve splitting into
    quite a few sections, and will end up looking much more like Gtk/Glib once
    I'm done. After that, I'm planning on porting the tutorial.

 .gitignore                           |   14 ++------------
 doc/reference/tmpl/seed-context.sgml |   10 ++++++++++
 libseed/seed-engine.h                |    6 ------
 3 files changed, 12 insertions(+), 18 deletions(-)

commit d31406898690806d151375ab0fffdabb05acdaa9
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 18:15:57 2009 -0400

    More rounding functions

 modules/mpfr/seed-mpfr-arithmetic.c |  120 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    4 ++
 modules/mpfr/seed-mpfr.h            |    5 ++
 3 files changed, 129 insertions(+)

commit 986c52b0841740882b3310088c8203ba38a54a9f
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 18:08:40 2009 -0400

    Added rounding functions

 modules/mpfr/seed-mpfr-arithmetic.c |  145 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    5 ++
 modules/mpfr/seed-mpfr.h            |    6 ++
 3 files changed, 156 insertions(+)

commit 3a4d4d994fee72505bae0d969dd3ed8fb6a4b0e0
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 17:40:55 2009 -0400

    Added mpfr.print as sort of fake printf

 modules/mpfr/seed-mpfr.c |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 74260aa0f5bcb9bd888c600bfb617f832dbdb96a
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 17:20:50 2009 -0400

    [mpfr] Fixed various problems / cleaned up warnings

 modules/mpfr/seed-mpfr-arithmetic.c |    1 -
 modules/mpfr/seed-mpfr.c            |    6 ++----
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 334cb9666eadda35d01e3cd0c6488b1e393687ca
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 17:15:55 2009 -0400

    [mpfr] Added mpfr.dim

 modules/mpfr/seed-mpfr-arithmetic.c |   32 ++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 34 insertions(+)

commit 51eb7abf52b250f4524e63b2f99b318455d5dbc5
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 16:58:50 2009 -0400

    [mpfr] Added mpfr.abs and mpfr.neg

 modules/mpfr/seed-mpfr-arithmetic.c |   60 +++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    2 ++
 modules/mpfr/seed-mpfr.h            |    3 ++
 3 files changed, 65 insertions(+)

commit f792cc58d87fa8e0efba1fad48a6527db4828fad
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 16:31:15 2009 -0400

    [mpfr] Added mpfr.free_cache

 modules/mpfr/seed-mpfr-trig.c |   12 ++++++++++++
 modules/mpfr/seed-mpfr.c      |    1 +
 modules/mpfr/seed-mpfr.h      |    2 ++
 3 files changed, 15 insertions(+)

commit c580721293d0da555710c7eac2172b3af011e9fa
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 16:26:52 2009 -0400

    [mpfr] Added mpfr.hypot

 modules/mpfr/seed-mpfr-trig.c |   32 ++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    1 +
 modules/mpfr/seed-mpfr.h      |    1 +
 3 files changed, 34 insertions(+)

commit f199c315b3f9742a028f0b0afc5c8ec1feb2e80e
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 16:21:47 2009 -0400

    [mpfr] Added mpfr.agm

 modules/mpfr/seed-mpfr-trig.c |   32 ++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    1 +
 modules/mpfr/seed-mpfr.h      |    1 +
 3 files changed, 34 insertions(+)

commit 7f4db360a4cf9166b9a48e80cc6f796d7dc86bc5
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 16:19:33 2009 -0400

    [mpfr] Added mpfr.fma and mpfr.fms

 modules/mpfr/seed-mpfr-trig.c |   68 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    2 ++
 modules/mpfr/seed-mpfr.h      |    3 ++
 3 files changed, 73 insertions(+)

commit 71e62c1cc04edff826e8dda6a146a5a5454af889
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 16:12:44 2009 -0400

    [mpfr] Added bessel functions

 modules/mpfr/seed-mpfr-trig.c |  199 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    6 ++
 modules/mpfr/seed-mpfr.h      |    7 ++
 3 files changed, 212 insertions(+)

commit 49d206c70cacc50106dff7696dcf22ef910bde8c
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 5 16:29:30 2009 -0400

    [build] Turn -Wall on globally (was just in libseed)

 configure.ac |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit f74d61a0bf6db72110def769da3eca2217062e2d
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 12:28:29 2009 -0400

    [mpfr] Added various special functions

 modules/mpfr/seed-mpfr-trig.c |  240 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    8 ++
 modules/mpfr/seed-mpfr.h      |   10 ++
 3 files changed, 258 insertions(+)

commit f1b1b0747ac4ac190bb004f9df448c5bf90c7469
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 12:19:12 2009 -0400

    [mpfr] Added various comparison functions

 modules/mpfr/seed-mpfr-cmp.c |  188 ++++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c     |    7 ++
 modules/mpfr/seed-mpfr.h     |    7 ++
 3 files changed, 202 insertions(+)

commit 5776376b8879038f7f18f5fd5e76b320349772b0
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 12:08:03 2009 -0400

    [mpfr] Added mpfr.greater_p

 modules/mpfr/seed-mpfr-cmp.c |   28 ++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c     |    1 +
 modules/mpfr/seed-mpfr.h     |    2 ++
 3 files changed, 31 insertions(+)

commit cb57e058f41fb89052f94cb98a2eb15999117a70
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 12:04:13 2009 -0400

    [mpfr] Added mpfr.nan_p, inf_p, number_p, zero_p

 modules/mpfr/seed-mpfr-cmp.c |   80 ++++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c     |    4 +++
 modules/mpfr/seed-mpfr.h     |    5 +++
 3 files changed, 89 insertions(+)

commit 57bcef156892fd17be9aacc30d7cfea749610215
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:58:56 2009 -0400

    [mpfr] Added mfpr.cmpabs

 modules/mpfr/seed-mpfr-cmp.c |   28 ++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c     |    1 +
 modules/mpfr/seed-mpfr.h     |    1 +
 3 files changed, 30 insertions(+)

commit f0ab9ba15066f982e524b3a5954cb077ec336dff
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:57:20 2009 -0400

    [mpfr] Added mpfr.cmp, and new file for comparsion functions

 modules/mpfr/Makefile.am     |    3 ++-
 modules/mpfr/seed-mpfr-cmp.c |   32 ++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c     |    1 +
 modules/mpfr/seed-mpfr.h     |    2 ++
 4 files changed, 37 insertions(+), 1 deletion(-)

commit 76def6eb1a80f10763bd43cf080144976bb6a4ee
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:51:07 2009 -0400

    [mpfr] Added mpfr.cbrt

 modules/mpfr/seed-mpfr-arithmetic.c |   30 ++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 32 insertions(+)

commit 333c71453eb3a68a0d56f0160c82d057cc3e6ab2
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:49:29 2009 -0400

    [mpfr] Added mpfr.rec_sqrt

 modules/mpfr/seed-mpfr-arithmetic.c |   30 ++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    1 +
 3 files changed, 32 insertions(+)

commit d7784d2347a8437774e2ecd87a5f18c2539e4f35
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:35:42 2009 -0400

    [mpfr] Added mpfr.sqrt

 modules/mpfr/seed-mpfr-arithmetic.c |   31 +++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c            |    1 +
 modules/mpfr/seed-mpfr.h            |    2 ++
 3 files changed, 34 insertions(+)

commit 2fb758ce6ba25b6d3cac349b27464bcec8a692dc
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:32:22 2009 -0400

    [mpfr] mpfr fits functions

 modules/mpfr/seed-mpfr.c |  184 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 184 insertions(+)

commit 2136e91a86b33044ad7b09bae738398be3eda49e
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:21:37 2009 -0400

    [mpfr] Added mpfr.get_d

 modules/mpfr/seed-mpfr.c |   23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 55369c5f50d41093d05d04f657491c8df1ac0cdc
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:17:36 2009 -0400

    [mpfr] Added mpfr.swap

 modules/mpfr/seed-mpfr.c |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 3ccb5d97b96d995ea7248ad0de2919f100a1ff01
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:13:51 2009 -0400

    [mpfr] Added mpfr.set_nan

 modules/mpfr/seed-mpfr.c |   16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit b2e3858551476c5cc4142d0dfbc514efac017131
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 11:12:13 2009 -0400

    [mpfr] Added mpfr.set_inf

 modules/mpfr/seed-mpfr.c |   33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit ee44ad8fc38e04d2302340304a25d497359fa7aa
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 02:45:50 2009 -0400

    [mpfr] Added asinh, acosh, atanh

 modules/mpfr/seed-mpfr-trig.c |   92 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    3 ++
 modules/mpfr/seed-mpfr.h      |    4 ++
 3 files changed, 99 insertions(+)

commit a4d7e13b1fa4ccbd9e0396222c9a98ddadfcb933
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 02:39:46 2009 -0400

    [mpfr] Added sech, csch, coth

 modules/mpfr/seed-mpfr-trig.c |   91 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    3 ++
 modules/mpfr/seed-mpfr.h      |    4 ++
 3 files changed, 98 insertions(+)

commit 0db0b75a50f935f3472890b59583bc93b4dafcef
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 02:34:07 2009 -0400

    [mpfr] Implement sinh, cosh, tanh

 modules/mpfr/seed-mpfr-trig.c |   92 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    3 ++
 modules/mpfr/seed-mpfr.h      |    4 ++
 3 files changed, 99 insertions(+)

commit 1acdc8bb40cf8270de9c641c6b4575a13cc9d3cf
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 02:20:45 2009 -0400

    [mpfr] log functions

 modules/mpfr/seed-mpfr-trig.c |   93 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.c      |    3 ++
 modules/mpfr/seed-mpfr.h      |    4 ++
 3 files changed, 100 insertions(+)

commit e0ed90d2a8b5f5720ce56926c4bb6591a97e3227
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 02:15:18 2009 -0400

    [mpfr] Forgot to add functions from last commit to function list

 modules/mpfr/seed-mpfr.c |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 24882acbee597b5bd129d3dfebb5c733bc7217c1
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 02:12:06 2009 -0400

    [mpfr] Implement inverse trig functions

 modules/mpfr/seed-mpfr-trig.c |   91 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.h      |    4 ++
 2 files changed, 95 insertions(+)

commit f93379064725ad720b03e14b1b409edd2a5d6ddb
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 02:05:47 2009 -0400

    [mpfr] Implement csc, sec, cot

 modules/mpfr/seed-mpfr-trig.c |   90 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.h      |    4 ++
 2 files changed, 94 insertions(+)

commit 7b1baa89cea536db733ca949099881bd759a909e
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 01:48:44 2009 -0400

    [mpfr] Added mpfr.cos and mpfr.tan

 modules/mpfr/seed-mpfr-trig.c |   59 +++++++++++++++++++++++++++++++++++++++++
 modules/mpfr/seed-mpfr.h      |    2 ++
 2 files changed, 61 insertions(+)

commit a7ccaea5d7e2ae5715be36d9705c487740933361
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 01:43:12 2009 -0400

    [mpfr] More fixes to the mpfr multi-file build.

 modules/mpfr/seed-mpfr.c |   48 ++--------------------------------------------
 modules/mpfr/seed-mpfr.h |   47 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 46 deletions(-)

commit f3a901a607d1b52813e893b9022a29d1d94eca51
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 01:36:40 2009 -0400

    [mpfr] Add continuation chars to makefile so we actually build all source files

 modules/mpfr/Makefile.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1b4d49cbf1b05997cd7fe468c06cf78a2a90af43
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 5 01:52:28 2009 -0400

    [modules] Change wording of argument count check

 modules/seed-module.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a6091a19d52f12cddd41653441b121d534b1eca
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 5 01:49:27 2009 -0400

    [modules] No more pluralization of argument count, no more asprintf

 modules/seed-module.h |   12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit f246677a0e84531f83cc6b5c7a05954901bbc156
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 5 01:17:55 2009 -0400

    [mpfr] Add seed-mpfr.h to extra-dist

 modules/mpfr/Makefile.am |    2 ++
 1 file changed, 2 insertions(+)

commit d7d77a8110245c8a083b4ab3169f2515ab989113
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sun Jul 5 01:12:03 2009 -0400

    [mpfr] Split up mpfr module into multiple files

 modules/mpfr/Makefile.am            |    2 +
 modules/mpfr/seed-mpfr-arithmetic.c |   66 ++++++++++++++++++++++++
 modules/mpfr/seed-mpfr-trig.c       |   36 +++++++++++++
 modules/mpfr/seed-mpfr.c            |   96 +----------------------------------
 modules/mpfr/seed-mpfr.h            |   14 +++++
 5 files changed, 120 insertions(+), 94 deletions(-)

commit 12925f69b95dee3b4f62922df9b4a54aa3b43aec
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sun Jul 5 01:14:39 2009 -0400

    [build] Remove INSTALL.osx from extra_dist.

 Makefile.am |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 0cf7425ca1cb58f72635b79470de2fbcf737d62a
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 23:39:34 2009 -0400

    [docs] Update doc index. Should work in-tree, not on the web (Robb: fix structure on server)

 doc/index.html |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f6fda2bf1b40acc32b2f3a2857eb4102cdb775c4
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 23:33:51 2009 -0400

    [docs] Move INSTALL.osx to docs

 INSTALL.osx                     |   38 ---------------------
 doc/reference/Makefile.am       |    2 +-
 doc/reference/building-osx.sgml |   70 +++++++++++++++++++++++++++++++++++++++
 doc/reference/seed-docs.sgml    |    1 +
 4 files changed, 72 insertions(+), 39 deletions(-)

commit c9a940dc0c6fa65ea5364ade09389b109fd462ca
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 23:17:00 2009 -0400

    [docs] Forgot introduction file in last commit.

 doc/reference/introduction.sgml |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 22775e447fef732fb5af5165b3a2fea556e2666f
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 23:16:18 2009 -0400

    [docs] Add introduction (from README)

 doc/reference/Makefile.am    |    2 +-
 doc/reference/seed-docs.sgml |    1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 3aa18d4aade45c19d1a554f15ceefa8915b8b445
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 23:12:37 2009 -0400

    [docs] Add building seed documentation (borrowed from glib)

 doc/reference/building.sgml  |  294 ++++++++++++++++++++++++++++++++++++++++++
 doc/reference/seed-docs.sgml |    2 +-
 2 files changed, 295 insertions(+), 1 deletion(-)

commit 5d47a099bb6c15efbf01187954dbecadd7d60c82
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 21:55:52 2009 -0400

    [docs] Reorganize index to be more like Gtk

 doc/reference/seed-docs.sgml |   45 +++++++++++++++++++++---------------------
 libseed/seed-api.c           |   12 +++++++++++
 libseed/seed-closure.h       |    6 ++++++
 libseed/seed-engine.h        |    6 ++++++
 libseed/seed-exceptions.h    |    2 +-
 libseed/seed-types.h         |    4 ++--
 6 files changed, 50 insertions(+), 25 deletions(-)

commit 815831645b9a9785345d340a3f5ba84b3a01b3a1
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 20:57:59 2009 -0400

    Add afp temporary files to gitignore

 .gitignore |    1 +
 1 file changed, 1 insertion(+)

commit 0fb0f93f63698a503df033b9bb5f1d993976815e
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 17:11:23 2009 -0400

    [multiprocessing] For some reason, this is the only capitalized module. No longer.

 configure.ac                                   |    2 +-
 examples/gtkplug.js                            |    4 +-
 modules/Makefile.am                            |    2 +-
 modules/Multiprocessing/Makefile.am            |   26 ----
 modules/Multiprocessing/bi.js                  |   28 ----
 modules/Multiprocessing/fork.js                |   42 ------
 modules/Multiprocessing/seed-Multiprocessing.c |  193 ------------------------
 modules/multiprocessing/Makefile.am            |   26 ++++
 modules/multiprocessing/bi.js                  |   28 ++++
 modules/multiprocessing/fork.js                |   42 ++++++
 modules/multiprocessing/seed-multiprocessing.c |  193 ++++++++++++++++++++++++
 11 files changed, 293 insertions(+), 293 deletions(-)

commit a927140a4161bfb55f70744621af529945be99ee
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 17:07:36 2009 -0400

    [multiprocessing] Update examples to new imports system (!)

 modules/Multiprocessing/bi.js                  |   10 ++++++----
 modules/Multiprocessing/fork.js                |   14 ++++++++------
 modules/Multiprocessing/seed-Multiprocessing.c |   16 +++++++++++-----
 3 files changed, 25 insertions(+), 15 deletions(-)

commit 91c4679c6f9a81f12c8d6e7d352533bc4fcce69f
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 17:00:24 2009 -0400

    [gtkbuilder] Port to seed-module.h (not much to do)

 modules/gtkbuilder/seed-gtkbuilder.c |   12 ++++++++----
 modules/seed-module.h                |    2 +-
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 0fc6c3c40112bc3f58d0f3c1b936c849b59719ce
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 16:44:38 2009 -0400

    [calculator-mpfr] Stole prefix parser from ease to make a calculator for Matt to fill in with mpfr functions

 examples/calculator-mpfr.js |  142 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 142 insertions(+)

commit 8041f4719aed21ebc1066bc95cd86b601eaaf2e3
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 16:13:30 2009 -0400

    [modules] Prefix all module .sos with seed_ (libseed_readline.so)
    
    This cuts down on confusion and ambiguous library names, and fixes the
    need-to-clean-every-time issue with mpfr and readline.
    
    However, if you currently have a seed checkout, you need to remove the
    .libs directory from modules/[readline,mpfr] before the problem will be solved.

 libseed/seed-importer.c             |    2 +-
 modules/Multiprocessing/Makefile.am |    8 ++++----
 modules/cairo/Makefile.am           |    8 ++++----
 modules/canvas/Makefile.am          |    8 ++++----
 modules/dbus/Makefile.am            |    8 ++++----
 modules/example/Makefile.am         |    6 +++---
 modules/gettext/Makefile.am         |    6 +++---
 modules/gtkbuilder/Makefile.am      |    6 +++---
 modules/libxml/Makefile.am          |    6 +++---
 modules/mpfr/Makefile.am            |    8 ++++----
 modules/os/Makefile.am              |    8 ++++----
 modules/readline/Makefile.am        |   10 +++++-----
 modules/sandbox/Makefile.am         |    6 +++---
 modules/sqlite/Makefile.am          |    8 ++++----
 14 files changed, 49 insertions(+), 49 deletions(-)

commit 0b7fba5a148898e7fbd22044ebfe4af5d65a31b6
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 04:16:58 2009 -0400

    [modules] Standardize on seed-{modulename}.c for all except DBUS (for now)

 modules/Multiprocessing/Makefile.am            |    2 +-
 modules/Multiprocessing/multi.c                |  187 ----
 modules/Multiprocessing/seed-Multiprocessing.c |  187 ++++
 modules/example/Makefile.am                    |    2 +-
 modules/example/example.c                      |    8 -
 modules/example/seed-example.c                 |    8 +
 modules/gettext/Makefile.am                    |    2 +-
 modules/gettext/gettext.c                      |  303 -------
 modules/gettext/seed-gettext.c                 |  303 +++++++
 modules/gtkbuilder/Makefile.am                 |    2 +-
 modules/gtkbuilder/gtkbuilder.c                |   82 --
 modules/gtkbuilder/seed-gtkbuilder.c           |   82 ++
 modules/libxml/Makefile.am                     |    2 +-
 modules/libxml/libxml.c                        |  561 ------------
 modules/libxml/seed-libxml.c                   |  561 ++++++++++++
 modules/mpfr/Makefile.am                       |    2 +-
 modules/mpfr/mpfr.c                            |  534 ------------
 modules/mpfr/seed-mpfr.c                       |  534 ++++++++++++
 modules/os/Makefile.am                         |    2 +-
 modules/os/os.c                                | 1094 ------------------------
 modules/os/seed-os.c                           | 1094 ++++++++++++++++++++++++
 modules/sandbox/Makefile.am                    |    2 +-
 modules/sandbox/sandbox.c                      |  117 ---
 modules/sandbox/seed-sandbox.c                 |  117 +++
 modules/seed-module.h                          |    2 +-
 25 files changed, 2895 insertions(+), 2895 deletions(-)

commit 3d0ff0b3dc72cdcb0a3017fe300d3f5d2889c6ed
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 04:09:40 2009 -0400

    [readline] Port readline module to seed-module.h

 modules/readline/Makefile.am     |    2 +-
 modules/readline/seed-readline.c |   85 ++++++++++++++------------------------
 2 files changed, 31 insertions(+), 56 deletions(-)

commit aa01ea84d8ba93a2a7e8128909b947289a74a717
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 04:03:50 2009 -0400

    [gettext] Forgot to put static functions on gettext ns

 modules/gettext/gettext.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit eaf23273742a500e58edb47f2fa88d38d3f150f1
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 03:57:14 2009 -0400

    [modules] Include /modules in all modules so they can eventually find the header

 modules/Multiprocessing/Makefile.am |    1 +
 modules/cairo/Makefile.am           |    1 +
 modules/canvas/Makefile.am          |    1 +
 modules/dbus/Makefile.am            |    1 +
 modules/example/Makefile.am         |    1 +
 modules/gtkbuilder/Makefile.am      |    1 +
 modules/libxml/Makefile.am          |    1 +
 modules/os/Makefile.am              |    1 +
 modules/sandbox/Makefile.am         |    1 +
 modules/sqlite/Makefile.am          |    1 +
 10 files changed, 10 insertions(+)

commit 2fcc8a61cee0ae09d505bab260990db7a67493df
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 03:52:42 2009 -0400

    [mpfr] Port mpfr module to seed-module.h

 modules/mpfr/Makefile.am |    1 +
 modules/mpfr/mpfr.c      |  213 ++++++++++++++++++++--------------------------
 modules/seed-module.h    |    6 +-
 3 files changed, 100 insertions(+), 120 deletions(-)

commit db8549329d691bde6e54f45eaf1c905bdda7a289
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 03:39:27 2009 -0400

    [gettext] Use static class functions to cleanup init

 modules/gettext/gettext.c |   91 +++++++++++++++++----------------------------
 1 file changed, 35 insertions(+), 56 deletions(-)

commit 4a89fc578ed73092ec4c901374ec1a95a42dccb2
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 03:33:26 2009 -0400

    [modules] Split DEFINE_ENUM_MEMBER into two parts, one which uses the enum member's C name, and one which enables the user to override the name

 modules/gettext/gettext.c |   28 ++++++++++++++--------------
 modules/seed-module.h     |    7 ++++++-
 2 files changed, 20 insertions(+), 15 deletions(-)

commit 04c61a9c60158908c3275c43674b9ad8b450cf0f
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 03:29:18 2009 -0400

    [gettext] Port gettext to DEFINE_ENUM_MEMBER

 modules/gettext/gettext.c |   41 +++++++++++++++--------------------------
 1 file changed, 15 insertions(+), 26 deletions(-)

commit 15e99ed21d8833d0663062ae137eb59d5fb2bd3c
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 03:28:55 2009 -0400

    [modules] DEFINE_ENUM_MEMBER macro

 modules/seed-module.h |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit 4b6e53ca0ad55681acdf462eeed3596fac9785a6
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 03:17:55 2009 -0400

    [gettext] Port gettext to new CHECK_ARG_COUNT macro

 modules/gettext/Makefile.am |    1 +
 modules/gettext/gettext.c   |   83 +++++++------------------------------------
 2 files changed, 13 insertions(+), 71 deletions(-)

commit 614ae012babc0da5dd7d6d0474e7f9ea5d9adbec
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 03:13:30 2009 -0400

    [modules] Begin seed-modules.h, filled with argument-checking macros, etc

 modules/Makefile.am   |    2 ++
 modules/seed-module.h |   19 +++++++++++++++++++
 2 files changed, 21 insertions(+)

commit 726d1085ef332f1458b3bc7c727c24b0fc92da8b
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 02:40:43 2009 -0400

    [mpfr] mpfr set/get exp

 modules/mpfr/mpfr.c |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 7f2b9694fbbe839824ad07f509f714928b4b792f
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 02:29:23 2009 -0400

    [mpfr] Added other mpfr constants

 modules/mpfr/mpfr.c |   52 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

commit 6446deb35db7171957ade662337a8b01868d7e1b
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 02:32:57 2009 -0400

    [docs] Add the three new seed_value functions to the reference

 doc/reference/seed-sections.txt |    3 +++
 1 file changed, 3 insertions(+)

commit 9a62819429d9ddf95bf06b95f19c9a1afead556e
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Sat Jul 4 02:23:28 2009 -0400

    [tests] We don't care what the modules test outputs (except to stderr)

 tests/javascript/modules.js |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5efda6a612269a871c0db17974e3fc8da03ccc11
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 02:11:51 2009 -0400

    [mpfr] Added mpfr.pi

 modules/mpfr/mpfr.c |   25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit d672ce7bf680c9831939a2db767df2dc5f62dc70
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 02:03:32 2009 -0400

    [mpfr] Added mpfr enums and constants

 modules/mpfr/mpfr.c |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit e501b043ee8a9133f577e21f46a40a597fec0109
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 01:45:27 2009 -0400

    [mpfr] Minor type consistency change (size_t -> gsize)

 modules/mpfr/mpfr.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 008d509824ea2b6c92b4a4821b1e679b1debb33f
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 01:43:21 2009 -0400

    [mpfr] Fixed mistakes in use of macro

 modules/mpfr/mpfr.c |    8 ++++++++
 1 file changed, 8 insertions(+)

commit dfce47fb03b2d3d619509d82bec1871eba93c2c2
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 01:30:26 2009 -0400

    [mpfr] Fixed missing type in seed_mpfr_arg_type

 modules/mpfr/mpfr.c |    2 ++
 1 file changed, 2 insertions(+)

commit d9b222410e9c4d122c9d31dcbcc7b11e90cb29dd
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 01:28:50 2009 -0400

    [mpfr] Switched to using macro madness for exceptions

 modules/mpfr/mpfr.c |  147 ++++++++++++++++++++-------------------------------
 1 file changed, 58 insertions(+), 89 deletions(-)

commit 67a2c92cae81778de056edc01a78be7b002a359b
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 00:56:29 2009 -0400

    [mpfr] Renamed class "mpfr" to "mpfr_t"

 modules/mpfr/mpfr.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 286e3a9905c09a8d24da65b1bda437189a8dc55a
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 00:54:02 2009 -0400

    [mpfr] Added mpfr.sin

 modules/mpfr/mpfr.c |   41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit b55b77184e5aa920e782d39e0aa24018c948ee76
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 00:38:30 2009 -0400

    [mpfr] Redid mpfr with set constructor to be better. Don't use the init with set functions as they always use default precision

 modules/mpfr/mpfr.c |   90 +++++++++++++++++++++++++++------------------------
 1 file changed, 47 insertions(+), 43 deletions(-)

commit 17e76fbdcb249c64d28b5c2e68bc9066b365eb21
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Sat Jul 4 00:16:01 2009 -0400

    [mpfr] Added mpfr.set function

 modules/mpfr/mpfr.c |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 55 insertions(+), 1 deletion(-)

commit 7812a6eededd99df9e24e1937178be563a56e71d
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 3 22:14:37 2009 -0400

    Add module test to check for undefined symbols and assist the coverage tool

 tests/javascript/modules.js |   29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 74de3a26e0e75dc8146b25d1bc7ef5bab092df85
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 3 22:08:44 2009 -0400

    Fix profiling for modules

 Makefile.am  |   18 +++++++++++++-----
 configure.ac |   35 ++++++++++++++++++++---------------
 2 files changed, 33 insertions(+), 20 deletions(-)

commit 059d45c14ac1fe078d1935697e02435eb30a5883
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 3 21:39:52 2009 -0400

    Add profiling output to gitignore

 .gitignore |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 887666a521731cb820439a4821e946fcef3b4005
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 3 21:38:50 2009 -0400

    [libseed] Repair bizarre indentation in Makefile

 Makefile.am         |    2 +-
 libseed/Makefile.am |   20 ++++++++++----------
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 62c77eb8d4dddc043cf584a2083539f63d3e83fa
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jul 3 21:32:08 2009 -0400

    [gettext] On some systems, we need to explicitly include locale.h to get the LC_* consts

 modules/gettext/gettext.c |    1 +
 1 file changed, 1 insertion(+)

commit 57018389d9926914c389e98facffffa8450a0a40
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Fri Jul 3 13:47:52 2009 -0400

    [mpfr] Added mpfr.out_str()

 modules/mpfr/mpfr.c |   42 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

commit 83745245f8021add925b3a779cd630922297a2f6
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Fri Jul 3 13:14:49 2009 -0400

    [mpfr] Redid mpfr_add. Not sure it should be done this way.

 modules/mpfr/mpfr.c |   80 +++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 72 insertions(+), 8 deletions(-)

commit 50ebd8774fda73e4f90a7cd3708c41e1d8977ffc
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Fri Jul 3 11:12:01 2009 -0400

    [mpfr] Removed seed_mpfr_init2 since real constructor replaces it.

 modules/mpfr/mpfr.c |   28 ----------------------------
 1 file changed, 28 deletions(-)

commit 35bbf203bcc3bff37aa9c4ff8576837f788b70fc
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jul 3 04:42:19 2009 -0400

    Revert "[modules] Change *order* of link arguments by moving to AM_LDFLAGS"
    
    This reverts commit 99ed7947d9b96333b93e628cf56da2cf29445a01.
    
    We *still* have this problem.

 modules/mpfr/Makefile.am     |    2 +-
 modules/readline/Makefile.am |    3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit a52f17f0a9d4b5bc6dcd2bb97218a5e4e323dcc9
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Fri Jul 3 02:32:28 2009 -0400

    [mpfr] Minor fixes to mpfr module

 modules/mpfr/mpfr.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 46d3d35ab601f6ceede89cca519aba012e1b6dfd
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Fri Jul 3 02:11:12 2009 -0400

    [mpfr] Added attempts at constructors for mpfr types

 modules/mpfr/mpfr.c |  136 +++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 133 insertions(+), 3 deletions(-)

commit 7acd9008ae3d901d02a3d745ed52c8a0d0761035
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Fri Jul 3 00:52:02 2009 -0400

    [libseed] Added seed_value_is_object_of_class()

 libseed/seed-api.c |   15 +++++++++++++++
 libseed/seed.h     |    1 +
 2 files changed, 16 insertions(+)

commit 1c2eb6bd0f55aa47594387fad35791da96b1f287
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Fri Jul 3 00:25:00 2009 -0400

    [libseed] Added seed_value_is_string() and seed_value_is_number()

 libseed/seed-api.c |   28 ++++++++++++++++++++++++++++
 libseed/seed.h     |    2 ++
 2 files changed, 30 insertions(+)

commit d153da7ca50fb5ddccc34e9da135fababbb80d99
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 22:11:26 2009 -0400

    [mpfr] Renamed set and get precision to prec to be consistent with mpfr

 modules/mpfr/mpfr.c |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 99ed7947d9b96333b93e628cf56da2cf29445a01
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 2 23:38:17 2009 -0400

    [modules] Change *order* of link arguments by moving to AM_LDFLAGS
    
    This fixes the eternal forced cleaning when readline (and now mpfr)
    fail to build because their seed modules are named the same thing
    as the libraries (and because we're not using pkg-config to find the
    libraries).

 modules/mpfr/Makefile.am     |    2 +-
 modules/readline/Makefile.am |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit fc5e7a3ba5709a68db75ee269a4fc95d994b1554
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 20:09:55 2009 -0400

    [mpfr] Changes to the mpfr_module to make more sense

 modules/mpfr/Makefile.am |    2 +
 modules/mpfr/mpfr.c      |   96 +++++++++++++++++++++++++++++++++++++---------
 2 files changed, 79 insertions(+), 19 deletions(-)

commit d3a75783ac03281c8408cd1f9037a86127f1e891
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 17:08:10 2009 -0400

    [mpfr] Added test mpfr_add binding. Fixed backwards from/to seed type functions

 modules/mpfr/mpfr.c |   37 ++++++++++++++++++++++++++++++++++---
 1 file changed, 34 insertions(+), 3 deletions(-)

commit 0c0f41d84d2ea976e51d6f135253f4f9ec43121c
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 16:14:59 2009 -0400

    [mpfr] Finish integrating mpfr module into build system

 configure.ac             |    3 +--
 modules/mpfr/Makefile.am |    2 +-
 modules/mpfr/mpfr.c      |   10 +++-------
 3 files changed, 5 insertions(+), 10 deletions(-)

commit a0616eb8785cd07a33c20ab587b5466846f3e43d
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 2 15:58:26 2009 -0400

    [build] Stylistic updates and bug-fixes to module makefiles

 modules/Multiprocessing/Makefile.am |    6 +++---
 modules/cairo/Makefile.am           |    4 ++--
 modules/canvas/Makefile.am          |    4 ++--
 modules/example/Makefile.am         |    2 +-
 modules/gettext/Makefile.am         |    2 +-
 modules/libxml/Makefile.am          |    2 +-
 modules/os/Makefile.am              |   10 +++++-----
 modules/sandbox/Makefile.am         |    2 +-
 modules/sqlite/Makefile.am          |   12 ++++++------
 9 files changed, 22 insertions(+), 22 deletions(-)

commit 675321d80b0d710b3747de47ae7be573e420da97
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 12:29:35 2009 -0400

    [mpfr] Start of mpfr module

 configure.ac             |   42 ++++++++++++++++++++++++++++++++
 modules/Makefile.am      |    2 +-
 modules/mpfr/Makefile.am |   24 +++++++++++++++++++
 modules/mpfr/mpfr.c      |   60 ++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 127 insertions(+), 1 deletion(-)

commit 70a5a5339e0282e6d93f1285e25fd1749e730f26
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 11:57:54 2009 -0400

    [libseed] Added to/from type functions for short/ushort

 libseed/seed-types.c |   86 +++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 85 insertions(+), 1 deletion(-)

commit 2946295d9e5fd7e1f200c04897a6341a129731e6
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 11:05:50 2009 -0400

    [gettext] Various bits of code cleanup

 modules/gettext/gettext.c |   84 ++++++++++++++++++++++-----------------------
 1 file changed, 42 insertions(+), 42 deletions(-)

commit 6322cd3f3767d3c1c2a40ff7f1e288978d9f6e50
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 11:01:58 2009 -0400

    [gettext] Added the enums from setlocale
    
    It's not clear these belong here, as they're not strictly part of
    gettext (they're in the stdclib), but that's where they logically
    fit for the time being.

 modules/gettext/gettext.c |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 2a96d5fc390899e4bad0401fa6aed4c30938ad44
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 2 05:07:38 2009 -0400

    [clutter-pad] Update spring example to recent Clutter API changes

 examples/clutter-pad/examples/spring.js |    2 --
 1 file changed, 2 deletions(-)

commit f6dd1bc8902254444c4a9e0a5729f043bf26dca8
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 2 04:55:28 2009 -0400

    [gettext] Matt made up some functions, and build failed to warn about them (?)

 modules/gettext/gettext.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 9bf91d0ebefa62815aa116f821610539c6eb4b61
Author: Tim Horton <hortont424@gmail.com>
Date:   Thu Jul 2 04:50:35 2009 -0400

    [tests] Update everything.js to match g-i changes

 tests/javascript/everything.js |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 462e6de4a157adb27d319b8c95ed141945c2f64e
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 2 04:16:19 2009 -0400

    [build] Matt lost some quotes in make-functions.js earlier

 doc/modules/make-functions.js |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6603afe7d8ea933484e5b15dd4f5cba677ac2804
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 2 04:11:24 2009 -0400

    [build] Distribute Seed extension script as Seed.js.in

 extensions/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3683483d9a9b0cc0d909926361a52fa757128ce1
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 2 03:20:49 2009 -0400

    Add all sorts of stuff to .gitignore

 .gitignore |   34 +++++++++++++++++++++++++++++++++-
 1 file changed, 33 insertions(+), 1 deletion(-)

commit 9d1f826b05856ca8e3f7a3b9e7d4883a3d059502
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 2 02:57:02 2009 -0400

    [gettext] Fix up various indentation problems in gettext module

 modules/gettext/gettext.c |  161 +++++++++++++++++++++++----------------------
 1 file changed, 82 insertions(+), 79 deletions(-)

commit e01e9cdfd6fe51b4631b653de0ad278eb367e78e
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Thu Jul 2 02:42:33 2009 -0400

    [gettext] Bind the remainder of the gettext functions

 modules/gettext/gettext.c |  312 ++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 297 insertions(+), 15 deletions(-)

commit a18b603ca8c82e0d4da7e9c7037f4d8fba4f249f
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Thu Jul 2 00:32:14 2009 -0400

    [gettext] Add textdomain binding, rename i18n->gettext for consistency

 modules/gettext/gettext.c |   51 ++++++++++++++++++++++++++++++++++-----------
 1 file changed, 39 insertions(+), 12 deletions(-)

commit 37bb655d4baa753f863a819a67a4dd99f778515f
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 1 11:10:59 2009 -0400

    [build] Use print instead of Seed.printf during doc build, as it doesn't depend on an installed version of seed

 doc/modules/make-functions.js |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit b3a3479cfd299097371eb7c451e4d4303e0b3910
Author: Matt ARSENAULT <arsenm2@rpi.edu>
Date:   Wed Jul 1 10:49:09 2009 -0400

    Remove trailing whitespace all throughout examples/libseed, as it infuriates Git.

 examples/HACKING                                   |    4 +-
 examples/actions.js                                |    4 +-
 examples/async-quine.js                            |    4 +-
 examples/cairo.js                                  |    8 +-
 examples/calculator.js                             |    2 +-
 examples/clutter-0.9.js                            |   30 +-
 examples/clutter-cogl-0.8.js                       |   30 +-
 examples/clutter-cogl-0.9.js                       |   30 +-
 examples/n-oscillator.js                           |   26 +-
 examples/pango-fontset.js                          |    4 +-
 examples/pango.js                                  |  134 ++++----
 libseed/seed-api.c                                 |   80 ++---
 libseed/seed-builtins.c                            |   99 +++---
 libseed/seed-builtins.h                            |   20 +-
 libseed/seed-closure.c                             |   50 +--
 libseed/seed-closure.h                             |   22 +-
 libseed/seed-debug.h                               |   20 +-
 libseed/seed-engine.c                              |   82 ++---
 libseed/seed-engine.h                              |   22 +-
 libseed/seed-exceptions.c                          |   24 +-
 libseed/seed-exceptions.h                          |   22 +-
 libseed/seed-gtype.c                               |  106 +++---
 libseed/seed-gtype.h                               |   20 +-
 libseed/seed-importer.c                            |  256 +++++++-------
 libseed/seed-private.h                             |   20 +-
 libseed/seed-signals.c                             |   50 +--
 libseed/seed-signals.h                             |   22 +-
 libseed/seed-structs.c                             |   18 +-
 libseed/seed-structs.h                             |   20 +-
 libseed/seed-types.c                               |   86 ++---
 libseed/seed-types.h                               |   20 +-
 libseed/seed.h                                     |   38 +--
 modules/Multiprocessing/bi.js                      |    2 +-
 modules/Multiprocessing/fork.js                    |    4 +-
 modules/Multiprocessing/multi.c                    |    2 +-
 modules/cairo/seed-cairo-enums.c                   |   10 +-
 modules/cairo/seed-cairo-image-surface.c           |   18 +-
 modules/cairo/seed-cairo-matrix.c                  |   88 ++---
 modules/cairo/seed-cairo-matrix.h                  |    4 +-
 modules/cairo/seed-cairo-pattern.c                 |   34 +-
 modules/cairo/seed-cairo-pdf-surface.c             |   24 +-
 modules/cairo/seed-cairo-surface.c                 |   48 +--
 modules/cairo/seed-cairo.c                         |  358 ++++++++++----------
 modules/canvas/seed-canvas.c                       |   72 ++--
 modules/dbus/dbus-exports.c                        |  106 +++---
 modules/dbus/dbus-values.c                         |   54 +--
 modules/dbus/module.c                              |   52 +--
 modules/gettext/gettext.c                          |   12 +-
 modules/gtkbuilder/gtkbuilder.c                    |   14 +-
 modules/libxml/libxml.c                            |   68 ++--
 modules/os/os.c                                    |  242 ++++++-------
 modules/readline/seed-readline.c                   |   16 +-
 modules/sandbox/sandbox.c                          |   30 +-
 modules/sqlite/seed-sqlite.c                       |    4 +-
 src/main.c                                         |    4 +-
 tests/c/api-types.c                                |    4 +-
 tests/javascript/enum.js                           |    2 +-
 tests/javascript/gdk-event.js                      |    2 +-
 .../gtypes/gtype-class-init-exception.js           |    2 +-
 tests/javascript/gtypes/gtype-extraprop.js         |    2 +-
 tests/javascript/gtypes/gtype-self.js              |    2 +-
 tests/javascript/gtypes/gtype.js                   |    2 +-
 tests/javascript/introspect.js                     |    2 +-
 tests/javascript/json.js                           |    2 +-
 tests/javascript/type-conversion.js                |    2 +-
 tests/make-test.py                                 |    2 +-
 tests/run-tests.py                                 |   10 +-
 67 files changed, 1347 insertions(+), 1326 deletions(-)

commit 536c0bfa32413cbe323cb5c9d95bc98ea53d9c97
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Wed Jul 1 04:03:26 2009 -0400

    [examples] Use implicitly created Clutter stage; fixes Clutter examples on platforms without multistage support

 examples/clutter-0.8.js              |    2 +-
 examples/clutter-0.9.js              |    2 +-
 examples/clutter-cairo.js            |    2 +-
 examples/clutter-cogl-0.8.js         |    2 +-
 examples/clutter-cogl-0.9.js         |    2 +-
 examples/clutter-transitions/main.js |    2 +-
 examples/opengl/triangle-actor.js    |    2 +-
 examples/pong/pong.js                |    2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit d3002bd3e9809f25838f1fa1822afa1db70209c1
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Mon Jun 29 03:25:57 2009 -0400

    Remove various import_namespace calls that have been hanging around.

 extensions/Seed.js.in |    6 +++---
 tools/run-lint.js     |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 36800fa11648026654c18ff9e38e023ad870967d
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jun 26 17:31:44 2009 -0400

    [libseed] When importing, search "." _last_

 extensions/Seed.js.in |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f4591162662e0671a92e240fbe2c283faa493c34
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jun 26 17:12:21 2009 -0400

    [examples] Also forgot to remove same from Makefile.am. Apparently I've lost my mind...

 examples/Makefile.am |    1 -
 1 file changed, 1 deletion(-)

commit 4f7cacb99cd0b12ef1cf3f78f17ee3f3130dbda8
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jun 26 17:09:07 2009 -0400

    [examples] Forgot to remove same from configure.ac in last commit

 configure.ac |    1 -
 1 file changed, 1 deletion(-)

commit 39a587147b7835bc31309ee1215f8767fd80738d
Author: Tim Horton <hortont424@gmail.com>
Date:   Fri Jun 26 17:03:57 2009 -0400

    [examples] Same Seed (now, for a time, same-gnome-clutter) now lives in
    the gsoc-seed-games branch of gnome-games.

 doc/index.html                  |    1 -
 examples/HACKING                |    5 +-
 examples/same-seed/Makefile.am  |   29 ----
 examples/same-seed/bkg.svg      |   95 -----------
 examples/same-seed/blue.svg     |   97 -----------
 examples/same-seed/board.js     |  338 ---------------------------------------
 examples/same-seed/green.svg    |   97 -----------
 examples/same-seed/light.js     |  122 --------------
 examples/same-seed/main.js      |   48 ------
 examples/same-seed/red.svg      |   97 -----------
 examples/same-seed/same-seed.ui |   72 ---------
 examples/same-seed/same.c       |  296 ----------------------------------
 examples/same-seed/score.js     |   79 ---------
 examples/same-seed/yellow.svg   |   97 -----------
 14 files changed, 3 insertions(+), 1470 deletions(-)

commit 950cccdefb33aef4b5ba2cfd928d7a0f0394d4d8
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Wed Jun 24 18:13:17 2009 -0400

    [gettext] Add a tiny gettext module that provides a binding to _()
    
    This seems like a strange place for this to go, but I can't find
    any other way to access gettext strings.

 configure.ac                |   10 +++++++++
 modules/Makefile.am         |    2 +-
 modules/gettext/Makefile.am |   24 ++++++++++++++++++++
 modules/gettext/gettext.c   |   52 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 87 insertions(+), 1 deletion(-)

commit ca16639cc269e1075dcb485a5c33f87bc8ea5e12
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Wed Jun 24 02:12:01 2009 -0400

    [patches] Clutter animatev patch and gobject-introspection patches landed upstream

 patches/clutter-animatev-annotation.patch |   22 ----------------------
 1 file changed, 22 deletions(-)

commit 6acb6c0a7f4c1ad730bbe0c289b2dc586eec2ba3
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Tue Jun 23 04:20:33 2009 -0400

    [extensions] Include the path of the executed script in the default search path

 extensions/Seed.js.in |   21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 84c119ae565650740358b08dc8fe7d2c8faca837
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jun 19 22:55:51 2009 -0400

    [build] Update to more recent shave

 configure.ac             |    2 +-
 m4/shave.m4              |  118 +++++++++++++++++++++++++++++++++++-----------
 scripts/shave-libtool.in |   46 ++++++++++++++++--
 scripts/shave.in         |   37 ++++++++++++++-
 4 files changed, 169 insertions(+), 34 deletions(-)

commit e6728b422f97eae1b8154cee6bbfc55055b7013c
Author: Tim Horton <hortont@svn.gnome.org>
Date:   Fri Jun 19 22:40:01 2009 -0400

    [dbus] Fix two small (stylistic) warnings in DBUS extension module

 modules/dbus/dbus-exports.c |    2 +-
 modules/dbus/util/dbus.c    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 823f39f8cde2fba97540826f73a95cd89324b79a
Author: Tim Horton <hortont@svn.gnome.org>
